
2010-11-26	Lennart Poettering
	70f69ac: build-sys: simplify things for building on fedora
	1af3253: i18n: update POTFILES.in
	3a67dde: build-sys: bump soname

2010-11-25	Daniel T Chen
	dad4b4e: Handle 'Internal Mic 1' as an 'Input Source'

2010-11-19	David Henningsson
	167a9a4: Add "Rear Mic" to alsa mixer paths.

2010-11-25	Lennart Poettering
	b53f06a: alsa-source: fix enum types
	9472d7a: alsa-mixer: make a few strings translatable

2010-11-25	Jan Kratochvil
	745f59a: pulse: make sure legacy_dir is not static

2010-11-18	Wanming.Zhang@tieto.com
	b173f9c: man: Remove repeated lines

2010-11-14	Stephen Moehle
	8036598: upnp: Implement the MediaServer2 D-Bus interface

2010-11-17	Colin Guthrie
	70a060d: combine: Only check if the sink is h/w etc. in automatic mode

2010-11-12	Antti-Ville Jansson
	33ea7b7: combine: Handle reappearing slave sinks in non-automatic mode.

2010-11-11	Pierre-Louis Bossart
	34fd605: alsa: remove redundant call to snd_pcm_nonblock()

2010-10-03	David Fries
	2c9c908: doxygen: Add 'See also' linking to the overview page

2010-10-12	David Fries
	f2593da: doxygen: Documentation improvements
	14bc454: doxygen: Fix the "all" comments regarding volume helper functions.

2010-09-18	David Fries
	b7303e2: doxygen: Fix documentation typos

2010-10-01	Colin Guthrie
	352ae22: sink-input: Fix comment

2010-10-16	Colin Guthrie
	848dd37: intended-roles: Mark devices with a form factor of 'headset' as being appropriate for 'phone' streams

2010-10-15	Daniel Mack
	8a30d4c: alsa-mixer: add profile for Native Instruments Korecontroller

2010-10-08	David Henningsson
	a8d76e9: SSE/MMX/ARM: Fix high frequency noise with unusual number of channels

2010-10-06	Colin Guthrie
	a378c02: augment-properties: Fix debug messages and statement bracketing.

2010-10-01	Colin Guthrie
	9109a18: suspend: Do not assert when checking for device suspended status and a stream is not linked.

2010-06-04	Colin Guthrie
	a21b832: device-manager: Ensure that sinks/sources populate the device manager lists in order of their priority.

2010-01-31	Colin Guthrie
	858abe6: augment-properties: Search for .desktop files in subfolders too.

2010-02-05	Colin Guthrie
	a7a6f44: stream-restore: Clear the save_sink/save_source flags on apply_entry.

2009-12-06	Arun Raghavan
	9729966: Add a configure option to change 'udevrulesdir'

2010-09-18	Colin Guthrie
	165cb87: x11: Use the default screen for X11 properties.
	5c0bc09: xcb: xcb_get_setup() can return 0, so make sure we check it before using
	2c564f2: xcb: Ensure the XCB connection is valid before using it.

2010-09-14	Colin Guthrie
	eef247b: alsa: Only set the 'first' flag to false when we actually call snd_pcm_start()

2010-09-11	Daniel Mack
	28f4aeb: alsa-mixer: add profile for Traktor Kontrol S4

2010-09-09	Wim Taymans
	1ff360c: alsa: make defines for smoother configuration

2010-09-08	Wim Taymans
	1c29f55: alsa: work around slightly broken _delay implementations

2010-09-06	Wim Taymans
	74c117f: alsa-time-test: make test usable for capture too
	1503b8c: alsa-source: refactor smoother and device start
	3d9b710: smoother: avoid losing precision

2010-09-04	Colin Guthrie
	a65825f: alsa: Set the rewind safeguard proportionally to sample spec

2010-08-24	Tanu Kaskinen
	8748ebd: alsa-sink: Get rid of a compiler warning regarding rewind_safeguard type.

2010-04-29	Pierre-Louis Bossart
	514fd1e: add rewind-safeguard parameter

2010-02-23	Lennart Poettering
	e2ef3a1: alsa: don't make use of tsched related variables when tsched is disabled

2010-09-03	Wim Taymans
	4fb02d8: alsa: increase the smoother window

2010-08-23	Wim Taymans
	9375019: alsa: resume smoother after unsuspend

2010-05-29	Colin Guthrie
	2b88634: x11: Partially convert to XCB.

2010-07-19	Lennart Poettering
	4a1072e: udev: fix hex decoding

2010-07-13	Pierre-Louis Bossart
	aaae99d: alsa: disable rewinds when using ALSA plugins

2010-06-06	Colin Guthrie
	6c8660a: alsa: Fix assertion on mmap_write (triggered via a52 plugin)

2010-05-08	Colin Guthrie
	65f89dc: rtp: Fix bracketing in pa_rtp_recv.

2010-05-03	David Henningsson
	d519ca4: jack: Prevent crash on jack server shutdown

2010-05-03	Lennart Poettering
	bc7314f: thread: name all threads so that the names appear in /proc/$PID/task/$TID/comm

2010-03-22	Lennart Poettering
	22f708a: Revert "Fix crash on jack server shutdown"

2010-03-22	Jez Austin
	e8b83fa: socket-client: properly handle asyncns failures

2010-03-17	Colin Guthrie
	a7c1778: intended-roles: Do not pick monitor sources when doing automatic role-based device selection

2010-03-14	David Henningsson
	e756467: Fix crash on jack server shutdown

2010-03-10	Daniel T Chen
	29845be: Handle 'Digital Mic' as an 'Input Source'

2010-03-02	Kees Cook
	d3efa43: core-util: ensure that we chmod only the dir we ourselves created

2010-02-23	Lennart Poettering
	0d1154d: core: rework how stream volumes affect sink volumes
	30f28eb: esd,simple: use pa_memblockq_pop_missing()

2010-02-21	Lennart Poettering
	195069c: core-util: introduce generic function pa_strip()

2010-02-22	Lennart Poettering
	dd682d6: alsa: reset max_rewind/max_request while suspending

2010-02-21	Lennart Poettering
	522c446: alsa-util: strip spaces from ALSA card/pcm names

2010-02-22	Lennart Poettering
	4a32103: native: improve logging for buffer_attrs
	a469d44: suspend-on-idle: resume audio device even for initially corked streams

2010-02-21	Lennart Poettering
	b2e9fb6: pacat: pass buffer_attr to recording streams too
	f9b9579: scache: when playing a sample from the cache make sure not queue them up when the sink is suspended
	1805895: sample-cache: use the sample name as unmodified fallback in the properties when playing a sample from the cache
	8adf536: stream-restore: be a little bit more verbose why we don't reastore a sink
	ddabaa3: proplist: explicitly mention a role 'test'
	117c99d: vala: fix wrapping of port setting calls
	3f44bf0: channelmap: Use "Subwoofer" as pretty name for LFE

2010-02-19	Daniel T Chen
	047e16f: Add missing profile and alsa-mixer/paths to src/Makefile.am

2010-02-19	Lennart Poettering
	6bbdd20: vala: fix definition of the GLib mainloop adapter
	5ce18c3: vala: fix definition of INVALID_INDEX
	dfe27f6: shm: don't complain about missing SHM segments

2010-02-18	Lennart Poettering
	6e064d1: pacmd: don't enter busy loop when reading from stdin very early
	96ec29c: pacmd: store away fd type
	19fa81b: pacat: always fully fulfill write requests

2010-02-16	Lennart Poettering
	5e2af2d: fdsem: be more verbose when reading from eventfd fails.
	96592c2: dbus: first restart timer, then dispatch it
	ff2474e: padsp: emulate /dev/audio, too
	f9b31fe: build-sys: add gobject to build dependencies
	307bd14: alsa: use default output port names
	0c836aa: alsa: cover "Internal Mic" elements

2010-02-15	Lennart Poettering
	7d6bab0: alsa: cover 'Shared Mic/Line in', 'Analog Source'
	e8cb96c: alsa: cover "Desktop Speaker" mixer elements

2010-02-09	Colin Guthrie
	a631bee: core: Fix macro typo - PA_SINK_IS_LINKED -> PA_SINK_INPUT_IS_LINKED

2010-01-18	Lennart Poettering
	84782f2: native: rework handling of seeks that depend on variables the client does not know anything about

2009-12-03	Tanu Kaskinen
	52c66b4: libpulse: Store pa_stream pointers to hashmaps instead of dynarrays.

2009-12-16	Daniel T Chen
	fd5c802: Fix the following warnings (which now cause buildd failures in Ubuntu 10.04):
	09c416e: More src/pulsecore/cpu-arm.c FTBFS fixes

2010-01-04	Daniel T Chen
	8c7148a: udev: Use SOUND_CLASS instead of SOUND_FORM_FACTOR when checking for modem
	a2418ef: threaded-mainloop: Properly initialise m->n_waiting_for_accept to prevent deadlock

2010-01-05	David KÃ¥gedal
	66e1a2d: alsa: add profile set for M-Audio FastTrack Pro USB

2010-01-14	Lennart Poettering
	86144ee: client: include dolby channel names in comments

2010-01-15	Lennart Poettering
	fa64230: client: implement $PULSE_LATENCY_MSEC
	27df027: pacat: allow configuration of latency in msec

2010-01-14	Lennart Poettering
	e129f85: udev: use ID_MODEL_ENC instead of ID_MODEL if it is set

2009-12-06	Arun Raghavan
	366e6d7: Mark shared variables as volatile

2010-01-14	Lennart Poettering
	48e0f68: alsa: cover bass boost mixer element
	93cb75d: daemon: first take name on the bus, then return in starter process
	acb4996: udev: rework modem detection a bit

2010-01-14	Daniel T. Chen
	63c968b: udev: handle sound cards with both modem and audio properly

2010-01-13	Colin Guthrie
	291cd09: alsa: Cover the 'Int Mic Boost' element.
	67c6535: alsa: cover Input Source:Int Mic

2010-01-13	Lennart Poettering
	1708127: cpu: check for CMOV flag before using this intsruction in assembly
	540ec7b: alsa: ignore volume changes from the hw if we are not on the active console
	9b37dce: udev: make sure we get events only for sound devices
	21b484e: log: add an easy way to disable log rate limiting
	4bcb1a9: bluetooth: fix invalid memory access

2010-01-12	Lennart Poettering
	73ae1fc: once: make once related variables volatile
	15a3018: udev: don't forget to unref devices we are not interested in
	78811c5: client: verify connection state in pa_stream_connect_upload()
	bf50dc4: client: detect forking in sample cache API, too

2010-01-08	Lennart Poettering
	e7d9f89: bluetooth: don't hit an assert if latency is queried for a stooped recording stream
	11688ec: bluetooth: destruct stream only if it is not already destructed
	3eed219: core: make sure we always return a valid memblock in sink_input_pop() callbacks
	8d35665: native: fix request counter miscalculations
	c41ee00: dbus: remove filter functions only if they were actually set before

2009-11-23	Lennart Poettering
	06327b1: bump soname

2009-11-20	Lennart Poettering
	7ab8e83: alsa: fix minor sampling rate deviations before adjusting the buffer size
	366e3eb: alsa: fix log output when the audio device refuses to give us again the same period settings we had before
	a281aad: pulse: ask for timing updates both *before* and *after* triggering a stream state change so that in the STARTED/UNDERFLOW callbacks we accurate transport latency information
	c13bf3d: pulse: delay smoother update only when unpausing, not when pausing, since we don't want the timer to advance when we are supposedly already paused
	d6a851c: pulse: try to fix inaccuracy with uncork timing for streams that are created in corked state
	5c90723: daemon: complain if user passes too many arguments

2009-11-20	Colin Guthrie
	3014081: Merge branch '0.9.20-stable' into stable-queue

2009-11-18	Lennart Poettering
	231417c: rygel: fix itemCount property for sources

2009-11-16	Colin Guthrie
	9f41584: build-sys: Fix missing trailing slash in 14eaf2

2009-11-14	Sjoerd Simons
	8edf2f0: build-sys: Make sure all alsa path config files are installed

2009-11-11	Colin Guthrie
	25537ff: device-manager: Update docs version -> 0.9.20

2009-11-09	Colin Guthrie
	725ab6c: device-manager: Update docs version -> 0.9.20

2009-10-19	Colin Guthrie
	ff71cbf: device-manager: Fix compiler warning.

2009-10-10	Colin Guthrie
	5382455: device-manager: Rather than flagging the device as available, just include the sink/source index with PA_INVALID_INDEX meaning unavailable

2009-10-02	Colin Guthrie
	af55f07: device-manager: Play nice with module-stream-restore.
	1b31d8a: device-manager: Make use of PA_IDXSET_FOREACH when applying entries.
	ab3502f: device-manager: Keep track as to whether or not the user specifically renamed the device.
	654df0f: device-manager: No need to check the version after calling read_entry()
	324eb21: device-manager: Fix typo in module loading script.

2009-10-01	Colin Guthrie
	3130403: device-manager: Add some scripts that are only run under KDE to load/initialise module-device-manager with routing turned on.
	996fc1f: device-manager: Misc fixes to co-exist with other stream management/routing modules.
	6e0dde1: device-manager: Misc fixes.
	763de9e: device-manager: Fix the writing of the database when priority doesn't change.
	d5dc700: device-manager: Add extra debug messages
	8a5778d: device-manager: Change the prefer/defer options to a single 'reorder' command.

2009-09-27	Colin Guthrie
	45a4d26: device-manager: Don't notify clients on every subscription (it happens all the time).
	ff633cb: device-manager: Save icon and report current availability over protocol.

2009-09-26	Colin Guthrie
	055ad89: device-manager: Expose the priority lists in the protocol extension.

2009-09-21	Colin Guthrie
	aa93410: device-manager: Add a function to dump the database which we do whenever we save it (and on startup)

2009-09-20	Colin Guthrie
	d9a3131: device-manager: Reroute streams when they change allowing the media.role to be updated mid-stream.
	3072f65: device-manager: Refactor the routing method to allow the routing of a single stream
	888a515: device-manager: More sensible names for internal functions
	d81fa00: device-manager: Reroute the streams on startup and update our cache on enable.
	df893f6: device-manager: Keep a cache of the highest priority devices for each role.
	009d087: device-manager: Fix the database write mode
	8863dbe: device-manager: Update exports
	6e67653: device-manager: Some efficiency and safety tweaks
	26f1ec7: device-manager: Allow the routing component to be turned on via a module argument as well as via protocol extn.
	8d3d0d3: device-manager: Remove unused variables
	5077fe1: device-manager: Set the most appropriate sink/source when new streams are created
	470b625: device-manager: Add routing functions that are triggered when sinks/soruces are added/removed.
	8c99667: device-manager: Add a function to get a list of the highest priority device indexes for each role.
	d69eba3: device-manager: Remove unneeded logic for checking for and (un)loading module-stream-restore. We can co-exist
	a0567fb: device-manager: Rough framework (slots etc.) for handling routing.
	fd5a508: device-manager: debug and comments
	2b71480: device-manager: Fix the freeing of the datum on prefer/defer.
	0541028: device-manager: When a new device is encountered, initialise the priority list to an appropriate value
	5e3f1c2: device-manager: Let subscribed clients know when something changes.
	6d4afac: device-manager: Change the write function to a rename function.

2009-09-19	Colin Guthrie
	4981268: device-manager: Provide a method for prefering/defering a device.
	a9bd1ab: device-manager: Fix copy+paste code that looped over the tagstruct when not necessary
	c1ece6c: device-manager: Provide a way for clients to enable/disable role-based device-priority routing.
	25f0545: device-manager: Update docs version -> 0.9.19 (predicted)

2009-07-05	Colin Guthrie
	bddebbf: device-manager: Fix copy+paste leftover

2009-06-29	Colin Guthrie
	58bc037: device-manager: Only store and save details for non-monitor sources

2009-06-28	Colin Guthrie
	276e953: device-restore: Fix the application of an entry to allow changing the name of devices.
	b8b28ef: device-manager: Fix tagstruct description extraction (copy+paste blunder)
	89c1f57: device-manager: Link native protocol library.
	11f01de: device-manager: Export device-manager extension functions

2009-06-27	Colin Guthrie
	97eb065: device-manager: Fix indentation
	0f6ace7: device-manager: Add an untested protocol extension.
	4c68fe7: device-manager: Add a new module to keep track of the names and descriptions of various sinks.

2009-11-11	Lennart Poettering
	a79585e: i18n: fix LINGUAS
	5471643: Merge remote branch 'origin/master-tx' into 0.9.19-stable
	de2654c: daemon: add missing tty_fd definition
	bff94c1: build-sys: bump soname
	2c12df9: core: make cpuid code compile cleanly with 32bit PIC
	ed5af77: core: adjust volume only when there is actually a memory block

2009-11-10	Wim Taymans
	9ad5671: protocol: use the right sample rate for sources

2009-11-05	Lennart Poettering
	409a9d0: jack: never try to autoconnect to MIDI ports
	75f3b19: man: fix build with --disable-manpages
	3b25302: alsa: disable timer-based scheduling inside a VM
	5da0297: daemon: during startup say whether we run in a VM
	1460374: core-util: add call to detect if we are called from within a VM
	b47a9e7: alsa: introduce more standard path names

2009-11-04	Lennart Poettering
	ab573f2: alsa: cover 'Analog Output' control

2009-10-31	Lennart Poettering
	4323c9f: alsa: create a seperate mixer path for Speaker elements
	8a26fbf: alsa: leave other headphone control enabled if possible
	08d0654: alsa: lower priority for Headphone2 path
	18018b3: alsa: cover Input Source:AUX IN
	d711caa: alsa: cover Headphone2 mixer element
	82d7b75: alsa: cover 'Digital Input Source' element
	6fad765: alsa: cover Mic Jack Mode element
	70da8d6: bluetooth: do not hand out access to devices that are not fully configured yet

2009-10-30	David Yoder
	bfb1735: daemon: realpath segfault fix

2009-10-29	Wim Taymans
	973a4eb: sink: simplify silence checks

2009-10-30	Lennart Poettering
	320d76f: daemon: don't crash if pa_realpath() fails

2009-10-28	Lennart Poettering
	732b468: protocol-native: if a client set volume/mute/device store it since it is user input
	3dcdab6: libpulse: explain semantics of pa_stream_connect_playback() in more detail
	0c31723: protocol-native: declare that user configured volumes are always absolute

2009-10-12	Lennart Poettering
	84e77cb: libpulse: add missing includes

2009-10-07	Diego Elio 'Flameeyes' PettenÃ²
	8d612d5: Fix build when using -fweb, accept both register and memory constraints.

2009-10-06	Lennart Poettering
	3201aec: position-event-sounds: never position test sounds in space
	833bf30: alsa: disable period event only with tsched=1

2009-10-02	Tor-BjÃ¶rn Claesson
	c15bd97: loopback: Setting latency of module-loopback

2009-10-04	Lennart Poettering
	df49370: bluetooth: don't set auto_connect flag when discovering bt devices

2009-11-09	vpv
	ecaf971: Sending translation for Finnish
	05ccf10: Sending translation for Finnish
	7d5d76e: Sending translation for Finnish

2009-10-30	kmilos
	151c746: Sending translation for Serbian (Latin)
	4392888: Sending translation for Serbian

2009-10-29	Wim Taymans
	cc1e90f: svolume: fix MMX error

2009-10-26	thalia
	e4259e7: Sending translation for Greek

2009-10-23	igor
	99dcbc7: Sending translation for Brazilian Portuguese

2009-10-22	igor
	6d8d0ff: Sending translation for Brazilian Portuguese

2009-10-22	kami911
	037df85: Sending translation for Hungarian
	80e43f6: Sending translation for Hungarian

2009-10-18	perplex
	45409d5: Sending translation for Italian

2009-10-17	pmkovar
	662986f: Sending translation for Czech

2009-10-17	kami911
	6e8c64f: Sending translation for Hungarian
	6614be9: Sending translation for Hungarian
	497b981: Sending translation for Hungarian

2009-10-15	kami911
	55ccda6: Sending translation for Hungarian

2009-10-14	reinouts
	a620a39: Sending translation for Dutch

2009-10-09	kami911
	72ac187: Sending translation for Hungarian

2009-10-06	mvdz
	5331e60: Sending translation for Ukrainian

2009-10-04	fgonz
	3aec580: Sending translation for Spanish

2009-10-02	warrink
	e8bab13: Sending translation for Dutch

2009-10-01	kami911
	8cfd01e: Sending translation for po/hu.po

2009-09-30	pmkovar
	7e0bccf: Sending translation for Czech

2009-09-30	raven
	fc74fc1: Sending translation for Polish

2009-09-30	warrink
	f2f37b5: Sending translation for Dutch

2009-09-30	Lennart Poettering
	afd1b6d: build-sys: bump soname
	c622f77: i18n: run make update-po

2009-09-29	Lennart Poettering
	6a3b51a: i18n: ad more .c files to POTFILES.in
	b8de3bd: polkit: drop left-over polkit policy file from git tree

2009-09-26	Nix
	eac5662: Don't refuse to start on systems using GNU stow, graft, STORE et al

2009-09-29	Lennart Poettering
	faf113d: i18n: run make update-po
	0c84757: Merge remote branch 'origin/master-tx'

2009-09-28	Lennart Poettering
	d06f2ea: reserve: downgrade reserve logic messages, so that reusing pa in two sessions does not create spew in syslog

2009-09-28	jsimon
	c992ad2: Sending translation for German
	966a259: Sending translation for German

2009-09-27	raven
	31d59de: Sending translation for Polish

2009-09-23	Wim Taymans
	5eecd8e: svolume: tweak constraints for 32 bits

2009-09-22	ruigo
	c04b75a: Sending translation for Portuguese

2009-09-22	Colin Guthrie
	8f4940b: libpulse: Add *_NOFLAGS flags with value 0 for various enums

2009-09-22	shanky
	183c9ab: Sending translation for Kannada

2009-09-21	anipeter
	c4b154b: Sending translation for Malayalam

2009-09-21	sandeeps
	f078e69: Sending translation for Marathi

2009-09-21	kkrothap
	20a5b0e: Sending translation for Telugu

2009-09-21	rajesh
	e8692bc: Sending translation for Hindi

2009-09-20	Colin Guthrie
	c194db7: tunnel: fix parsing of source info from newer servers
	cc6932c: stream-restore: Comment fix

2009-09-20	Emil Renner Berthing
	592345f: tunnel: fix parsing of sink info from newer servers

2009-09-20	Lennart Poettering
	e7686a6: core: dump proplist when creating stream similar to how we already to it for sinks/sources
	88b7773: alsa: make build gcc clean on 32bit

2009-09-19	Lennart Poettering
	33b45cd: Merge remote branch 'origin/master-tx'
	6c0317d: build-sys: bump soname for release
	ab6ed06: vala: install .vapi file by default
	3fe9f8f: vala: numerous updates

2009-09-18	ricardopinto
	e141ddc: Sending translation for Portuguese

2009-09-19	Lennart Poettering
	996051e: memtrap: properly add items to linked list

2009-09-18	Lennart Poettering
	56e1290: gconf: run the wrapper script when running gconf-helper from build tree
	8ad8e39: namereg: choose default sink/source as soon as one becomes available
	1d19d6b: i18n: run make update-po
	3cb8e01: Merge remote branch 'origin/master-tx'
	9697c5d: memblock: don't try to reuse PA_MEMBLOCK_APPENDED memblocks since they usually are much bigger than we want them
	f84d755: mainloop: fix detection of rt clocks
	cd5d6e7: socket-client: modernizations
	c010172: memblock: modernizations
	d629151: mainloop: pass monotonic times back to user if he passed monotonic times to us
	c024aea: timeval: make timeval conversion routines handle PA_USEC_INVALID special
	a1da83b: timeval: add UNLIKELY annotation
	05f6236: timeval: make pa_timeval_sub saturating
	fdec460: core-rtclock: introduce pa_timespec_store() akin pa_timeval_store()
	f7d3896: timeval: introduce PA_USEC_MAX
	56f217f: macro: introduce PA_INT_TYPE_MIN, PA_INT_TYPE_MAX, PA_INT_TYPE_SIGNED macros
	fb4a2a1: mainloop: sum up dispatched events in an unsigned to clarify range
	18d69c5: mainloop: use PA_LLIST_FOREACH macros where applicable
	b32f599: mainloop: don't initialize fields we don't have to
	a049909: mainloop: calculate in pa_usec_t everywhere
	a43118b: mainloop: properly convert time to wallclock time when handing it to the user
	a37e48a: alsa: fix Surround mixer element name

2009-09-18	Colin Guthrie
	8f29968: conf: Fix typo in daemon.conf: rlimit-rtttime - too many t's
	fd25e8f: alsa: Give all ports a human name to allow UI tools to present the choice to users.
	0323e48: rtp: Remove 'fix me' comment after it was actually fixed in [56b6e1]
	56b6e18: rtp: Factor out direct io writing and use ioline instead.

2009-09-18	ifelix
	62b8780: Sending translation for Tamil

2009-09-18	ricardopinto
	774b37e: Sending translation for Portuguese

2009-09-16	Colin Guthrie
	94d20a5: raop: Use pa_module_unload_request_by_index as per module-zeroconf-discover

2009-09-17	Lennart Poettering
	7b76ea3: core-util: unify how we determine the temporary directory
	2d9168c: Improve TMPDIR handling
	3de5c49: cli: properly destruct cli object
	b4d4f2b: cli: don't accidentaly set O_NDELAY on stderr
	94f28b9: proplist: introduce PA_PROP_WINDOW_DESKTOP property
	add4cbf: position-event-sounds: don't warn that loud about vpos/hpos out of range
	cdbeac6: libpulse: as a special exception, don't require a non-NULL context in pa_context_errno
	231c17b: svolume_mmx: disable test accidentaly left on
	4e6dce5: Merge remote branch 'wtay/optimize'
	1a6974a: pacat: use fully automatic buffer sizes if possible
	e2899f8: memblock: make it easy to disable mempool usage with $PULSE_MEMPOOL_DISABLE
	6b8fdc4: CANCELLED vs. CANCELED

2009-09-17	Vladimir Kokarev
	e63c867: alsa: correct assumptions about channels an element lacks

2009-09-16	kmilos
	15da2f2: Sending translation for Serbian (Latin)
	0c8498a: Sending translation for Serbian

2009-09-12	Wim Taymans
	3d5a572: svolume_mmx: optimize some more
	d397a82: svolume_sse: fix comment

2009-09-15	vpv
	3c89dc0: Sending translation for Finnish

2009-09-15	Lennart Poettering
	12f2111: gccmacro: enable weakrefs only on ELF

2009-09-14	fab
	19968fe: Sending translation for Swiss German
	7c80d2c: Sending translation for German

2009-09-14	mvdz
	4382519: Sending translation for Ukrainian

2009-09-12	xconde
	e35101b: Sending translation for Catalan

2009-09-12	raven
	6e76544: Sending translation for Polish

2009-09-11	warrink
	66eb022: Sending translation for Dutch

2009-09-11	beckerde
	cc597d6: Sending translation for Spanish

2009-09-11	swkothar
	030dfad: Sending translation for Gujarati

2009-09-11	mgiri
	9267201: Sending translation for Oriya

2009-09-11	jassy
	e706a84: Sending translation for Punjabi

2009-09-11	Lennart Poettering
	180ef1e: position-event-sounds: apply volume factor after, not before resampling
	a015d56: core: add an additional volume factor that is applied after resampling took place
	6fa2445: position-event-sounds: honour window position if set, position both vertically and horizontally
	5919337: proplist: define properties for storing window position
	42b795b: doxygen: don't confuse doxygen with spurious ..
	4e3f7d5: doxygen: add rtclock.h to documentation
	297f318: doxygen: drop references to pacat.c and paplay.c as examples since tehy are not useful as such and in the case of paplay not even existant anymore
	7e43371: build-sys: increase library version
	a7ab04f: i18n: run make update-po
	2f11884: i18n: add ja to LINGUAS
	67bed86: Merge remote branch 'origin/master-tx'
	80b4457: alsa: properly report suspension error codes
	bb36bb4: alsa: properly convert sample buffer sizes
	5460967: libpulse: add new error code PA_ERR_BUSY

2009-09-10	warrink
	64e8eb7: Sending translation for Dutch

2009-09-10	hyuuga
	8bdec63: Sending translation for po/ja.po

2009-09-10	kkrothap
	27b3a74: Sending translation for Telugu

2009-09-10	runab
	5d264fd: Sending translation for Bengali (India)

2009-09-10	rajesh
	c67c46e: Sending translation for Hindi

2009-09-10	ifelix
	d0df346: Sending translation for Tamil

2009-09-10	sandeeps
	a81ee39: Sending translation for Marathi

2009-09-10	swkothar
	c49f3f9: Sending translation for Gujarati

2009-09-10	anipeter
	c471d4d: Sending translation for Malayalam

2009-09-10	jassy
	3fd8e7d: Sending translation for Punjabi

2009-09-10	amitakhya
	7f799d4: Sending translation for Assamese

2009-09-10	Lennart Poettering
	12c7460: libpulse: don't support pa_context_get_card_info_list() on servers that cannot handle it
	807f2a9: native: send PA_COMMAND_PLAYBACK_BUFFER_ATTR_CHANGED messages only to clients that understand it
	b043207: i18n: run make update-po
	a41c510: Merge remote branch 'origin/master-tx'
	f3879f8: i18n: run make update-po
	b2de8d8: i18n: get rid of ko.po/ru.po since they contain exactly 0 translated strings
	9c65e5b: add ml to LINGUAS
	43c3164: Merge remote branch 'origin/master-tx'

2009-09-09	Lennart Poettering
	d5f43bd: alsa: disable tsched for software devices before we configure the buffer metrics so that we don't accidently set a buffer size that is suitable for tsched where we don't use tsched
	8364b95: alsa: when probing for profiles configure buffer/period sizes since some broken drivers apparently need that
	84ade21: alsa: pass SND_PCM_NONBLOCK when opening device during unsuspend, the same way we do it for initial opening
	557c429: alsa: rework buffer/period configuration
	71e066c: simd: be more precise which SIMD optimizations we activate
	1f0904b: sample-util: add pa_convert_size() call for converting sizes between two sample specs
	c2f1994: udev: ratelimit device initializations
	12df686: ratelimit: allow non-static ratelimit structs

2009-09-09	kmilos
	4f24a62: Sending translation for Serbian (Latin)
	8a9166f: Sending translation for Serbian

2009-09-09	soko
	4dee032: Sending translation for Serbian (Latin)
	3984dd5: Sending translation for Serbian

2009-09-09	mgiri
	399b0ad: Sending translation for Oriya

2009-09-09	kkrothap
	4539250: Sending translation for Telugu

2009-09-09	pmkovar
	3a47c80: Sending translation for Czech

2009-09-08	Lennart Poettering
	7cc100d: padsp: properly return return values (llvm-clang-analyzer)
	b51f5e5: pacat: don't convert stream name twice (llvm-clang-analyzer)
	49bc6bc: stripnul: initialize 'found' bool properly (llvm-clang-analyzer)
	31d1d90: protocol-native: log explicitly when someone asks us to quit
	31ae7de: core-util: properly fill in exception array for pa_reset_sigs() (llvm-clang-analyzer)
	1516b7c: conf-parser: properly initialize variable we free() later (llvm-clang-analyzer)
	3c9a09b: cli-command: don't necessarily ovveride failure code of files (llvm-clang-analyzer)
	5fd751f: cli-command: modernizations
	05506d7: utf8: minor simplification
	f3be47f: rtsp: document that rtsp_exec() needs fixing (llvm-clang-analyzer)
	157ec79: hal: check properly for failure of libhal_find_device_by_capability() (llvm-clang-analyzer)
	1380f18: blueooth: actually honour 'room' variable (llvm-clang-analyzer)
	382eced: alsa-sink: init after_avail earlier (llvm-clang-analyzer)
	f504675: llvm-clang-analyzer: drop a few unnecessary assignments and other trivial fixes

2009-09-08	shanky
	98fcf4e: Sending translation for Kannada

2009-09-08	mvdz
	6bdda4c: Sending translation for Ukrainian

2009-09-07	Lennart Poettering
	b2606cf: i18n: move \r out of translatable string
	508c462: Merge remote branch 'wtay/optimize'
	08a4d57: libpulse: allow invocation of pa_context_play_sample_with_proplist() with NULL proplist
	f8f8cdc: vala: reindent
	b705a9b: vector: don't try to build vector stuff on altivec
	a02861e: vala: s/PropList/Proplist/g since the C version does not use an underscore there
	0b8f239: vala: add vala .vapi file for the PulseAudio APIs, but don't include them in the tarball for now
	41a0dc1: volume: if pa_cvolume_set_{balance	d000dd6: volume: when passing NULL as channel map to pa_cvolume_scale_mask() handle this the same way as pa_cvolume_scale()
	9755bfa: volume: drop some redundant but expensive validity checks
	cc6c4fe: volume: add a couple of validity checks for pa_volume_t arguments
	3bbc5e6: volume: fix definition of PA_VOLUME_MAX and introduce PA_VOLUME_INVALID and use it wherever applicable

2009-09-07	shanky
	6c385eb: Sending translation for Kannada

2009-09-07	jassy
	b96de8e: Sending translation for Punjabi

2009-09-07	Wim Taymans
	7234994: x86: also call see init for SSE2
	b5ac383: x86: only install some functions when SSE2

2009-09-07	warrink
	942bd46: Sending translation for Dutch

2009-09-07	mgiri
	f969ce6: Sending translation for Oriya

2009-09-07	sandeeps
	35ffd1b: Sending translation for Marathi

2009-09-07	ifelix
	efebe09: Sending translation for Tamil

2009-09-06	Lennart Poettering
	5cf0c1e: introspect: rearrange order of functions a bit
	e6a666d: libpulse: introduce PA_BYTES_SNPRINT_MAX and make use of it wherever applicable

2009-09-05	xconde
	646f666: Sending translation for Catalan

2009-09-04	vpv
	14ec32f: Sending translation for Finnish

2009-09-04	warrink
	124e3dc: Sending translation for Dutch

2009-09-04	runab
	d5fb6d3: Sending translation for Bengali (India)
	8d03381: Sending translation for Bengali (India)

2009-09-04	anipeter
	b6030d3: Sending translation for po/ml.po

2009-09-04	rajesh
	2ad5e33: Sending translation for Hindi

2009-09-04	Lennart Poettering
	812be32: daemon: disable CPU load limiter by default
	5daecea: always-sink: rename null sink created to 'dummy sink' and make it translatable
	0ad6a57: null: make name of null sink translatable

2009-09-03	beckerde
	ab1af38: Sending translation for Spanish

2009-09-03	raven
	71dd5a0: Sending translation for Polish

2009-09-03	swkothar
	ef9138d: Sending translation for Gujarati

2009-09-03	Lennart Poettering
	8cd635b: alsa: add more input sources to path set
	7ca81bd: i18n: run make update-po
	8539539: i18n: fix LINGUAS
	1213a7c: Merge commit 'origin/master-tx'
	6f396c8: remap: build sse code only on x86
	14a9771: core: drop unnecessary variable initialization
	d088c8f: daemon: make use of SIMD optional via config variable to ease debugging
	9f4f374: remap_sse: fix inner loop increment on SSE
	51423ca: remap_sse: reindent macro so that diff to MMX is nicer

2009-09-02	Wim Taymans
	26164ff: sconv_sse: fix leftover counter

2009-09-02	Lennart Poettering
	51fc176: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	39e4652: daemon: drop polkit code from git repo we weren't using anymore
	297afad: core-util: don't leak memory in pa_unset_env_recorded()
	767c7c7: core-util: call dbus_connection_set_exit_on_disconnect() on shared busses to make sure dbus_shutdown() isn't fatal
	470e9a8: build-sys: drop LIBOIL_{FLAGS	1200a0b: sink: simplify pa_sink_render_full() by replacing it by a pa_sink_render() plus a couple of pa_sink_render_full()
	a8c0f65: daemon: clean up environment when forking off children
	5f92996: core-util: add api for setting env vars and record them so that we can undo them n fork

2009-09-01	Lennart Poettering
	45513a2: core: fill up memblock with pa_sink_render_into_full() in pa_sink_render_full() instead of doing our own loop
	17f609a: core: handle suspended state in pa_sink_render_full() similar to the other render functions
	ce6dff4: core: add missing sink_unref()
	b245b54: ladspa,remap: make description of sink follow moves
	46b9ca7: alsa: by default increase watermarks only on real underruns, don't try to be smart
	6b6d146: alsa: distuingish real underruns from left_to_play=0
	dfe3f90: daemon: don't override path env vars if they are already set

2009-09-01	sandeeps
	350b8ac: Sending translation for Marathi

2009-09-01	ifelix
	605fa59: Sending translation for Tamil

2009-08-29	Wim Taymans
	dc221f2: remap: fix counters for mmx and sse remap

2009-08-31	Lennart Poettering
	dee2aa3: pactl: drop unnecessary newlines from pa_log() invocations
	5b61a19: pactl: implement pactl commands for changing volumes/mute stati
	e20d906: cli: make sure 'dump' uses pa_cvolume_max() to deduce a single-channel volume from a multi-channel volume
	7c6a0ec: cli: apply single-channel volume changes equally to all channels
	2970c11: core: always allow volume setting with single-channel pa_cvolume

2009-08-31	perplex
	9efc2af: Sending translation for Italian

2009-08-30	vpv
	b143a8f: Sending translation for Finnish
	8774166: Sending translation for Finnish

2009-08-29	raven
	844399d: Sending translation for po/LINGUAS

2009-08-29	Lennart Poettering
	e1ce365: native: make sure clients cannot trigger an assert by sending us invalid volume info
	8bf2e3f: core: initialize sink/source priorities automatically based on their proplists
	18b13a8: namereg: select default sink by priority
	a7b3125: protocol-native: replace use of pa_namereg_is_valid_name() by pa_namereg_is_valid_name_or_wildcard() where applicable to allow use of @@ wildcards
	85a683f: namereg: add new pa_namereg_is_valid_name_or_wildcard() call

2009-08-28	pmkovar
	5111101: Sending translation for Czech

2009-08-28	Lennart Poettering
	3b54849: core: add priority field to pa_sink/pa_source
	ca2c0f2: sconv: quieten gcc a bit
	f029041: suspend-on-idle: don't resume devices for corked streams
	84eb661: core: move 'flags' field into 'pa_sink_input_new_data' structure so that hooks can access it
	9011c4e: build-sys: make proximity helper properly suid
	63f3dc0: bluetooth: remove left-over debug line

2009-08-28	Andy Shevchenko
	300384c: Fix checking for NULL after usage
	ae38353: core-util: Fix logic of pa_make_path_absolute()
	4e8562c: raop: Fix memory leak

2009-08-27	Lennart Poettering
	db835de: Merge commit 'vudentz/master'

2009-08-27	Luiz Augusto von Dentz
	8169a6a: Handle DisconnectRequested in bluetooth module.

2009-08-26	Wim Taymans
	beb180b: convert: add sse/sse2 s16 to float32ne conversions
	27bfb76: macro: add macro to align variables
	5907089: remap: cleanup assembler a little

2009-08-25	Wim Taymans
	9d25467: sample-util: avoid stack overrun
	509d9f0: remap: add sse optimized mono to stereo

2009-08-24	Wim Taymans
	26bd090: sconv: fix indentation

2009-08-27	Lennart Poettering
	35fcb27: proplist: allow setting of zero-length data properties
	5df842d: sink-input: extend comments on rewinding logic a bit
	c372b52: protocol-native: print more volume change debug messages to easy tracking down of feedback loops
	cab48d4: protocol-native: compare uint64_t variable with (uint64_t) -1 instead of (size_t) -1 for compat with 32bit archs

2009-08-26	Lennart Poettering
	44b7982: pdispatch: various modernizations
	34829eb: pdispatch: add missing commands to command table
	4e1298d: llist: add PA_LLIST_FOREACH_SAFE macro for iteration that allows deleting
	368c3e3: loopback: quieten gcc on 32bit
	4614412: loopback: update description and icons when moving loopback streams
	d909f59: loopback: make sure a monitor can't be looped back to its sink
	99d3e6b: combine: store adjust time in usec
	ea4b65b: loopback: add loopback module for direct connections of sinks and sources
	827ae07: macro: add PA_CLIP_SUB() for saturated subtraction

2009-08-25	mvdz
	4544873: Sending translation for Ukrainian

2009-08-25	giallu
	956ff24: Sending translation for Italian

2009-08-25	ypoyarko
	cdf7e02: Sending translation for po/ru.po

2009-08-25	Finn Thain
	457b973: Solaris: debug my latest enbugging, take 2

2009-08-24	igor
	7a2d1d3: Sending translation for Brazilian Portuguese

2009-08-24	Lennart Poettering
	57e1f84: Merge commit 'jprvita2/master'
	57fb771: remap: fix build for non-x86 builds
	419b071: detect: recommend module-udev-detect instead of module-hal-detect
	ba17ff4: build-sys: add missing header files to tarball

2009-07-24	JoÃ£o Paulo Rechi Vita
	2772521: bluetooth: add discover of bluetooth sources

2009-07-30	JoÃ£o Paulo Rechi Vita
	65c3e65: bluetooth: handle bluetooth source

2009-08-24	Lennart Poettering
	be46eaa: i18n: run make update-po
	60a3502: Merge commit 'origin/master-tx'
	050a3a9: alsa: automatically decrease watermark after a time of stability

2009-08-23	Lennart Poettering
	80c6937: alsa: increase interval between smoother updates exponentially for alsa sources, following the scheme for sinks
	a0f01dd: port a few things over to use xmalloc and friends instead of low-level libc malloc/free directly
	ab5ac06: Merge commit 'wtay/optimize'

2009-08-23	beckerde
	57117d4: Sending translation for Spanish

2009-08-22	Lennart Poettering
	d6fb8d1: udev: check busy status of alsa cards before loading alsa modules and hence initiating profile probing
	560da5b: udev: process all inotify events queued up, not just the first one in the queue
	1a05d67: core: relex validity checks when destructing half-set up source outputs/sink inputs
	5b0683d: ladspa/remap: handle failing stream moves properly
	2595b9d: add usergroup-test to .gitignore
	aa54298: daemon: don't free script_commands twice

2009-08-22	raven
	857e055: Sending translation for Polish

2009-08-21	Ted Percival
	17dc410: core: Remove wrong doc on how to free returned data
	15eb03a: core: Add thread-safe group info functions with dynamic buffers

2009-08-21	Finn Thain
	601fb63: Solaris: fixed latency (resent)
	87d2dde: Solaris: use smoother (resent)
	44c7aa5: Solaris: build fixes (resent)
	b96390f: Solaris: bootstrap portability

2009-08-22	Lennart Poettering
	9d1cc13: i18n: run make update-po
	aaf0d5a: Merge commit 'origin/master-tx'

2009-08-21	Scott Reeves
	de19bdd: daemon: fix leak of script_commands

2009-08-21	Lennart Poettering
	066e160: udev: tell inotify to actually inform us about ACL changes
	2d01204: udev: watch for both ACL changes and processes closing devices
	4ec701a: udev: don't access string after free()
	d06680a: udev: always verify access before loading modules
	14c27c7: gconf: use correct path for gconf-helper tool when running from build tree
	9abc010: object: speed up type verification by not relying on strcmp()
	5317e35: udev: when a device appears that we cannot access right-away try again later on inotify
	fe9a577: alsa: leave headphone jack enabled in normal mixer paths
	ac05619: combine: quieten gcc a bit
	8a2a6b2: adjust various data/library paths automatically if we are run from a build tree
	a562978: ladspa: forward volume changes from ladspa sink to stream and hence via flat volume logic to master sink
	9f97b7c: sink-input: add callbacks that are called whenever the mute/volume changes

2009-08-21	igor
	c5d7860: Sending translation for Brazilian Portuguese

2009-08-20	Wim Taymans
	6076cef: remap: make the MMX code pretier
	6e5dbed: remap: add MMX mono to stereo
	e961efc: remap: init the do_remap function to NULL
	28baa53: remap: allow specialisations to install NULL
	ac1f2e0: remap: move remapping code in separate file
	a3f4a4f: resamples; refactor the channel remapping bits
	05fef5f: sconv: allow for setting custom functions
	c1b6a87: alsa-sink: reduce the amount of smoother updates
	f8ffe0d: svolume: cleanups
	f09b511: whitespace fixes

2009-08-19	Wim Taymans
	3cc1278: resampler: avoid some multiplies when we can
	aeae567: svolume: add comment
	8aa86f5: arm: implement ARM cpu detection
	078bde1: x86: keep the cpu flags local
	370016c: svolume: fix compilation in 32bits
	d2389ef: sample: manually inline table lookups
	548b735: resampler: fix identity check
	d04a6e9: resample: fix counters
	b4e9942: resample: refactor the channel remapping a little
	bd49d43: svolume: add CPU guards around code
	951bf1b: svolume: add ARM optimized volume scaling
	a98fa95: svolume: remove unneeded compare

2009-08-17	Wim Taymans
	601e5f1: resampler: cache integer channel_map

2009-08-14	Wim Taymans
	25724cd: Get rid of liboil
	591baac: volume: remove ref functions
	f24c24c: volume: improved comments
	a123544: volume: make the benchmark more meaningfull
	dcae9a3: svolume: add some comments

2009-08-13	Wim Taymans
	e396fe6: cpu-x86: guard header with ifdef
	563cb2d: main: hook up cpu detection code
	a83f552: cpu-x86: add cpu detection code and helpers
	5998cf9: svolume: improve SSE and MMX code

2009-08-12	Wim Taymans
	7086784: volume_sse: add sse optimisations
	08f3e16: volume_mmx: fix mmx code a bit
	3a0b012: volume: add first mmx optimized function
	2d73f13: samples-util: add padding to volume array

2009-08-11	Wim Taymans
	3d00896: sample-util: move volume code to separate file
	e71e644: sample-util: move some functions around
	5b8b654: sample-utils: coding style cleanup
	26839c4: sample-utils: split out functions from case

2009-06-30	Xabier Rodriguez Calvar
	52e5d4b: Modification of the thread-mainloop doc to ensure that nobody frees the api as it is owned by the loop.
	65f86ef: Modification of the mainloop doc to ensure that nobody frees the api as it is owned by the loop.
	30ba903: Modification of the glib-mainloop doc to ensure that nobody frees the api as it is owned by the loop.

2009-08-20	Lennart Poettering
	c5bd725: core: check return value of getgrnam_r() instead of errno

2009-08-19	raven
	d2f50ea: Sending translation for Polish

2009-08-19	beckerde
	9b6add3: Sending translation for Spanish

2009-08-19	Lennart Poettering
	f4f16ab: i18n: run make update-po
	8f29090: i18n: add ko to LINGUAS
	b2cb8ef: Merge commit 'origin/master-tx'
	7af3833: lirc: replace manual code by pa_cvolume_{inc	2f54798: mmkbd: replace manual code by pa_cvolume_{inc	8c31974: sink: volume handling rework, new flat volume logic
	5207e19: match: document how broken the module-match logic is
	cfef930: volume: introduce pa_cvolume_{inc	1421eff: volume: use PA_VOLUME_MAX instead of (pa_volume_t) -1
	d6f598a: udev: allow passing of ignore_dB= parameter to alsa modules
	24e5828: source: rework volume handling
	2838b78: macro: extend comments a bit
	a69b729: voltest: extend test to verify correctness of _multiply() and _divide()
	2223a9f: dbus: never return DBUS_HANDLER_RESULT_HANDLED in filter callbacks, since other callbacks might stell want to have the messages
	ef01baf: volume: round properly when showing human readable volume percentages
	96f01b8: volume: simplify volume multiplifactions, do them in integer only
	d634555: volume: introduce pa_cvolume_min() and pa_cvolume_min_mask()

2009-08-17	Lennart Poettering
	8f928b2: macro: simplify page/word alignment macros a bit
	fe3a21f: macro: add PA_ROUND_UP/PA_ROUND_DOWN macros
	319d187: bluetooth: fix match syntax
	90a0743: bluetooth: make NameOwnerChanged filter matches more focussed
	ffeb1b8: volume: document when arguments of certain functions may overlap
	caa7928: libpulse: some minor optimizations when checking equality
	50de2d8: channelmap: minor doxygen fix
	6dd580d: channelmap: document where the WAVEX channelmap is documented
	32a1ef3: channelmap: adjust RFC3551 channel maps to follow spec more closely
	c579cb5: reserver: update from upstream git
	8208214: volume: add pa_cvolume_merge() call

2009-08-17	pmkovar
	91e06c1: Sending translation for Czech

2009-08-16	Lennart Poettering
	01e4b61: aupdate: implicitly call _write_swap() if it wasn't called explicitly
	8dd0d87: core: add to FIXMEs
	4c29ba9: modules: add various checks to avoid selecting objects that are not linked or in another unclear state
	2a39663: bluetooth: move installation of mq's earlier to avoid context asserts to be triggered

2009-08-15	Lennart Poettering
	de4968c: bluetooth: ask first for Headset and AudioSink properties, followed by Audio
	fa52a91: bluetooth: recognize only those BT devices that implement both the Audio and either AudioSink or Headset interfaces
	5c90cf2: bluetooth: drop PA_BT_AUDIO_STATE_LAST since it is unused and we normally call that _MAX anyway
	011add1: thread-mq: do final q flush only when we aren't dispatching anyway
	0c20e74: asyncmsgq: introduce pa_asyncmsgq_dispatching()
	e5b08a8: ladspa/remap: sync latency flags from master sink when moving between sinks
	0c08dbd: core: introduce pa_{sink
2009-07-20	Marc-AndrÃ© Lureau
	d8a90a3: pulse: even in case of record stream, let's initialize req_bytes to 0
	3ecb80e: bluetooth: fix typo with service_{read,write}_type

2009-07-06	Marc-AndrÃ© Lureau
	fd32fee: bluetooth: don't call pa_sink_render with 0 bytes request

2009-08-12	Juho HÃ¤mÃ¤lÃ¤inen
	ea5cdcb: database: simple hashmap based database implementation

2009-08-15	Maarten Bosmans
	61105df: combine: determine sample parameters of combined sink from underlying sinks

2009-08-15	Lennart Poettering
	1eeddd8: combine: warn when the latency of a stream gets too high
	e1f3f5e: combine: big rework
	8947d65: combine: drop adjust_timestamp variable because it is unused
	a5b2dee: ladspa: name sink after human readable plugin name, not the id string
	7638662: module-ladspa: allow moving of sink, forward fixed latency
	1b3848e: module-remap: allow moving of sink, forward fixed latency
	c44f518: ladspa: move LADSPA_Data size check to compile time
	fb5205d: remap: unify argument order with other modules
	d9e4605: hook-list: make use of PA_LLIST_FOREACH
	d7d86e3: native-protocol: downgrade volume change log messages
	3c271ae: core: document difference between IO and main thread view on requested latency
	c6080d8: core: don't update latency range if not changed
	3f9c67a: core: call pa_sink_get_latency_within_thread() instead of going directly via process_msg()
	350a2bc: core: make fixed latency dynamically changeable
	4eb59fb: core: move rtpoll to thread_info sub structure
	58d441f: log: place more rate limit invocations
	fd1266c: rescure-stream: handle failed moves as well as dying sinks/sources
	e4db56b: core: split of FAIL_ON_SUSPEND into KILL_ON_SUSPEND and NO_CREATE_ON_SUSPEND
	e53d2fc: native: handle moving() callback with NULL destination properly
	0989be1: core: introduce pa_{sink_input
2009-08-14	Lennart Poettering
	7891f96: module-stream-restore: don't fiddle with sinks/sources/streams that are not fully set up yet
	0f2a4ed: volume: guarantee dB/linear conversion is reversible
	72d2540: protocol-native: log explicitly each time a client triggers a volume change
	a1598c7: daemon: reset gids too, not just uids
	fecd0dc: resampler: round up when estimating input/output sizes
	9e21182: thread-mq: never drop queued messages for the main loop
	446fb2c: asyncmsgq: add pa_asyncmsgq_flush() call
	a42c597: memblockq: add pa_memblockq_get_maxrewind() API
	b0cabfe: shm: bump shm size limit to 1GB
	aae7054: pacmd: handle multi word commands in argv[] properly

2009-08-13	eukim
	82b7e72: Sending translation for po/ko.po

2009-08-13	Lennart Poettering
	5ee4069: core: add functions to query max_rewind/max_request values from streams
	9a95fe4: core: add assert macros for verifying calling context

2009-08-12	Lennart Poettering
	17d5741: start-child: clean up child environment a bit better
	5fcb8a3: pacmd: port pacmd from select() to poll() so that we notice writer side hangups
	286ab2f: memblock: rate limit 'Pool full' message
	5921324: context: document why we only do minimal cleanups before the autospawn exec()
	27b8cd7: daemon: reset scheduling priority on startup, too
	ef176ec: core-util: move personality resetting into core-util
	9f53aa5: daemon: unconditionally clean up priviliges
	facae1f: conf: invert all negative boolean configuration option
	8998cba: conf: add pa_config_parse_not_bool() for parsing inverse boolean configuration options
	eb40da2: daemon: install D-Bus system policy file for PA system instances
	e834034: alsa: enable ext. amplifier by default
	462cdf4: alsa: adjust priority bonus of mappings that match the configured default channel map

2009-08-11	Lennart Poettering
	d27e26d: volume-restore: forward module load return value of stream-restore back to caller
	c117feb: hal: replace subdevs= parameter by subdevices= parameter
	c1039c9: udev: drop definition of LIBUDEV_I_KNOW_THE_API_IS_SUBJECT_TO_CHANGE
	c904f97: hal: add stub module that loads module-udev-detect instead of module-hal-detect

2009-08-10	Lennart Poettering
	ebe3596: Revert "build-sys: drop libcap checks, since we don't use caps anymore"
	a99e3b5: Merge commit 'origin/master-tx'
	d8d2697: Merge commit 'flameeyes/master'

2009-08-09	Maxim Levitsky
	23a294c: Correctly deal with events in the past in calc_next_timeout

2009-08-10	logan
	0f77afe: Sending translation for Spanish

2009-08-08	igor
	de68d36: Sending translation for Brazilian Portuguese

2009-08-08	Lennart Poettering
	9bd3398: mix-test: fix test for s24-32 samples
	9ade136: build-sys: drop libcap checks, since we don't use caps anymore

2009-08-08	Diego Elio 'Flameeyes' PettenÃ²
	10e4171: Update the end-of-configuration summary for OSS output/wrapper split.
	4c15115: Split OSS support in output and wrapper.

2009-08-07	Lennart Poettering
	7d49163: ladspa/remap: make sure we process all requested rewinds unconditionally
	51b3899: core: save volume/mute changes coming from the hardware automatically

2009-08-05	Lennart Poettering
	aa7408b: run make update-po
	42f92a8: Merge commit 'origin/master-tx'
	8483de4: simple: bump libpulse-simple library revision
	ff52588: smoother: readd #ifdef protection

2009-08-05	ruigo
	19f2ffb: Sending translation for Portuguese
	40b2dde: Sending translation for Portuguese

2009-08-04	ruigo
	20d62e2: Sending translation for Portuguese

2009-08-05	Lennart Poettering
	2cab6a2: simple: check for == RUNNING instead of != DONE when waiting for operations
	5bbeb51: simple: split data/length validity checks into two
	53fcf3a: simple: call pa_context_disconnect() just to be sure
	a73c615: simple: always loop around pa_threaded_mainloop_wait() to handle spurious wakeups properly
	b553e72: simple: use pa_xnew0 instead of manual reset to 0
	a4bc41a: simple: use PA_xxx_IS_GOOD for state checks

2009-08-04	Luke Yelavich
	5e61111: POTFILES - Remove references to more non-existant files in the source tree

2009-08-04	Lennart Poettering
	9b2534b: alsa: properly treat ESTRPIPE as system suspend

2009-08-03	Lennart Poettering
	3e2ab9b: client: extend documentation on pa_operation_cancel() a bit
	a44cb64: build-sys: take preset CFLAGS into account

2009-08-02	Lubomir Rintel
	34f31f6: Recover stream when it's suspended upon rewind

2009-08-01	Lennart Poettering
	2778220: autospawn: if creating the lock file fails, pass error code cleanly back to main process
	49fd8ee: core-util: replace remaining fixed size destination string functions by _malloc() versions
	c6ea9fe: core-util: rework pa_strlcpy() to not rely on strncpy()
	e5c2256: pipe: replace PIPE_BUF macro pa pa_pipe_buf call

2009-07-31	Lennart Poettering
	0113e72: hal: add option to initialize all subdevices of an OSS device
	478f325: client: documented that pa_stream_drain() may only have a single operation active at a time
	2952f28: client: fix documentation for threaded mainloop

2009-07-01	Alam Arias
	66db0c8: update pulse-daemon.conf.5.xml.in about realtime-scheduling
	6d0c5a1: update pulse-daemon.conf.5.xml.in about exit-idle-time

2009-07-31	Lennart Poettering
	39aa1cf: alsa: revert to first set number of periods, then set buffer size
	c14f6c1: tunnel: don't assert on misaligned reads, closes #597 and rhbz #496310

2009-07-30	Lennart Poettering
	4f5e2b7: threaded-mainloop: loop around pa_cond_wait() invocation in pa_threaded_mainloop_signal()

2009-07-28	igor
	7463edd: Sending translation for Brazilian Portuguese

2009-07-28	raven
	1cc375c: Sending translation for Polish

2009-07-28	Lennart Poettering
	f8873ab: build-sys: bump binary version
	115d853: i18n: run make-update-po
	09e57c2: Merge branch 'master' into master-tx

2009-07-25	Lennart Poettering
	8343360: client: minor modernizations
	6ce7d20: client: if a child we created was already reaped, assume that it was successful

2009-07-24	Lennart Poettering
	59659e1: interpol-test: allow configuration of latency
	211d0f3: client: limit block size for zero-copy operations to mempool block size
	e7ca058: client: make volume struct const
	5efb072: alsa: throw timing data away after device resume
	f676391: autospawn: refuse autospawning if process disabled waitpid()
	5e24b6d: memblock: try to hit an assert earlier when ref counting doesn't work
	2bbdf63: udev: explain what happened when inotify_add_watch() returned ENOSPC, rhbz #513571
	18433c1: alsa: handle correctly if alsa returns us 0 or EAGAIN on snd_pcm_mmap_begin if we didn't call snd_pcm_avail immediately before

2009-07-23	logan
	835a2ae: Sending translation for Spanish

2009-07-23	Lennart Poettering
	a81244a: pacat: use zero-copy write calls when playing audio file
	e02e025: client: include zerocopy write calls in map file
	c325b93: alsa: don't reset volume/mute when selecting path
	5a0ef5f: daemon: replace colons by dash in per-machine directory names for compat with weird filesystems
	ac38c4d: build-sys: add a couple of stub Makefiles
	1160cad: alsa: control 'Speaker' element as well
	efe5b65: po: run make update-po
	638f9a5: Merge branch 'master-tx'
	88d5749: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	3d6278b: Merge commit 'flameeyes/osx'

2009-07-23	raven
	097c0cb: Sending translation for Polish

2009-07-23	Wim Taymans
	3b01d3a: protocol-native: use the right samplerate

2009-07-22	Lennart Poettering
	41ad33d: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	e3b0ce5: udev: don't fail if /dev/snd is not available right-away
	2f54b5d: daemon: reset personality, to make the autospawn env cleaup complete
	7e2afff: alsa: deal properly with IO functions asking us to write 0 bytes

2009-07-20	Lennart Poettering
	0225ef6: memtrap: clarify that we are not interested in the return value of write()
	23039af: client: allow zero-copy writing to the stream
	a2b207e: daemon: before exec'ing ourselves, make sure nobody plays games with /proc/self/exe

2009-07-18	xconde
	0aca5ad: Sending translation for Catalan

2009-07-17	Diego Elio 'Flameeyes' PettenÃ²
	d18eb61: Again make sure that the wait() definition is not shadowed.
	542607f: Make the rtstutter tests mostly pointless without CLOCK_REALTIME.
	8c85c99: Further simplify on Daniel's patch for bootstrap.sh.
	0a5257b: Also request Darwin extensions, as they are needed for stuff like NSIG.
	a6d6718: Request explicitly POSIX.1-2001 for clock_gettime.
	673112b: Check for support of -z nodelete LD flag, don't use it unconditionally.

2009-07-17	Daniel Mack
	191c57e: make bootstrap.sh aware of Darwin environment

2009-07-16	Colin Guthrie
	7e4509f: Merge commit 'flameeyes/master'

2009-07-07	Diego Elio 'Flameeyes' PettenÃ²
	84200b4: Remove exploitable LD_BIND_NOW hack (CVE-2009-1894).

2009-07-12	Colin Guthrie
	61fefd6: introspect: Fix two memory issues in port handling code.

2009-07-07	pmkovar
	cea1b8c: Sending translation for Czech

2009-07-04	Diego Elio 'Flameeyes' PettenÃ²
	ff252cb: Check for the library containing the backtrace() function.

2009-07-01	Lennart Poettering
	6fdd584: stream-restore: mark volume changes from instant apply as saved ones

2009-06-29	Marc-AndrÃ© Lureau
	95d3faa: bluetooth: don't connect on unconnected profile

2009-07-01	Marc-AndrÃ© Lureau
	e93c6c3: bluetooth: warn on EAGAIN after POLLOUT

2009-07-01	Lennart Poettering
	7dabe05: memtrap: properly lock access to memtrap changer
	28e4625: memblock: rearrange locking order
	efdd3d0: reserve: update from upstream git repo
	5d4769b: alsa: fix a few comments
	5bb1883: build-sys: add missing dependency to libcli
	b174a51: libpulse: minor cleanups
	a10b7cd: native: don't hit assert when user uploads zero-sized sample
	cd70d7f: bluetooth: don't busy loop when device is not writable but we want to write
	c3958aa: bluetooth: handle absence of bluez D-Bus service properly

2009-06-30	Lennart Poettering
	1104141: reserve: fix build without D-Bus

2009-06-28	Colin Guthrie
	00c392d: bootstrap: Ship git-version-gen with the tarball.
	59376b0: introspect: Fix a bug in sink/source info protocol handling related to ports.

2009-06-27	Colin Guthrie
	a007d47: combine: Do not set (and update) description if the user passed one in during load.
	7ee1b47: udev: Don't install the udev rules if we're not compiling udev support

2009-06-25	Diego Elio 'Flameeyes' PettenÃ²
	1ca7603: Add missing headers includes for FreeBSD.
	bce211e: Rename the flock variable to f_lock.
	6f44792: Only declare saved_errno when it's going to be used (on Linux).
	9a2ac32: Rename the wait parameter to wait_op, to avoid shadowing wait().
	2266a39: Remove the call for pa_rtpoll_install() in the Solaris module.
	24564af: Fix the moved rtclock.h header in the Solaris module.

2009-06-24	Diego Elio 'Flameeyes' PettenÃ²
	de40e41: Also alias MAP_ANONYMOUS to MAP_ANON in shm.c, for FreeBSD.
	2f7bce9: Add a missing sys/stat.h include for FreeBSD to declare umask().
	fc649ad: Don't try to compile the rtkit sources when dbus is not enabled.
	ad4e025: Implement mix-test for s24le and s24be sample formats.
	595f80f: Use static constants to keep the generated sample blocks.
	080f630: Ignore IPv6 tests, if IPv6 was built in but the system doesn't have it.
	cd375da: Use the new CC_CHECK_CFLAGS_APPEND macro instead of a manual for.
	e7c3a12: Properly link module-zeroconf-publish against libnative-protocol.
	a4703ce: Check for and use flags to reject undefined symbols in libraries.
	e61795c: Update attributes.m4 file from xine-lib.

2009-06-13	Diego Elio 'Flameeyes' PettenÃ²
	e832383: Make it more clear that PulseAudio needs libtool 2.2.

2009-06-23	Lennart Poettering
	2654eb7: sndfile: fix build on BE archs
	0b52bf4: build-sys: don't make pulseaudio binary suid on install anymore
	390c275: build-sys: properly drop '-' from major/minor/micro strings
	b4b1f03: build-sys: teacch git versioning script to not kill - in version strings
	5651c03: build-sys: drop compat with old git versions so that tarballs for -test1 style evrsions are properly created
	5b78752: intended-roles: drop quite a few unnecessary includes
	ef85558: modules: pass properly initialized userdata pointers to various hooks
	b6d0b0e: intended-roles: properly initialize split state
	d965000: rtclock: make use of constants when converting between nsec and usec
	b627d68: intended-roles: fix symdef header inclusion
	bcae796: build-sys: use pax tar format to allow longer file names
	da6b156: builds-sys: work around automake 1.11 borkage
	38e3d83: build-sys: bump udev revision to pull in new rules files
	882cdfc: rtclock: fix type of PA_TIMEVAL_RTCLOCK
	9217b47: timeval: don't create the wrong illusion that nsecs should be stored in pa_usec_t
	f3bbbd0: rtclock: document that we fallback to wallclock time if monotonic time is not supported

2009-06-22	Lennart Poettering
	f753ef2: rtclock: enable rtclock for our own mainloop implementations
	3ee2900: rtclock: fix build after merge
	fc33f7e: Merge most of elmarco/rtclock2
	048e576: build-sys: dropo shave support, depend on automake's new silent build support instead
	de5219a: daemon: enable module-intended-roles by default
	374efbd: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	aa2570c: rescue: make sure module-rescue-streams is used only as last fallback
	60d36c7: module-stream-restore: recheck stream database on hotplug/unplug and potentially move streams
	27af460: modules: add module-intended-roles that automatically puts streams marked with a role on devices that are intended for that role
	c4d90ea: restore: change 'save' flag behaviour to reflect whether an entry shall and/or is in the on-disk databases

2009-06-20	Marc-AndrÃ© Lureau
	e4d914c: rtclock: fix issues found by Lennart

2009-04-05	Marc-AndrÃ© Lureau
	0955e3d: Base mainloop on pa_rtclock_now()

2009-04-04	Marc-AndrÃ© Lureau
	125c528: pulse: move pa_rtclock_now in pulsecommon

2009-06-19	Lennart Poettering
	32e2cd6: core: get rid of rt sig/timer handling since modern Linux' ppooll() is finally fixed for granularity
	a62db27: daemon: enable real-time by default
	06ec5fd: mergo

2009-04-04	Marc-AndrÃ© Lureau
	5dcdd5e: perl -p -i -e 's/pa_rtclock_usec/pa_rtclock_now/g' `find . -name '*.[ch]'`

2009-06-19	Lennart Poettering
	9c438bc: daemon: strip all special suid/caps log from our startup code, we'll now rely on RealtimeKit for all high-priority/RT scheduling policy issues
	bacc5ca: core: use rtkit to acquire high-priority scheduling
	8474fd7: core: ask RealtimeKit for RT scheduling
	6ad3855: alsa: synthesize volume values more sensibly for channels that are not controllable in hw
	b1ea7c0: alsa: document alsa mixer path/profile sets a bit more
	b70b5ed: alsa: add copyright blobs and comments to all mixer paths/profile sets

2009-06-19	logan
	f21457e: Sending translation for Spanish

2009-06-19	barney
	8f81555: Sending translation for German

2009-06-18	Lennart Poettering
	11d2a7e: alsa: move udev rules file behind the other sound related rules
	131f76a: alsa: move mixer config files to subdir in /usr/share
	0fd17c6: alsa: document default profile set a bit better
	8a5f8f4: alsa: add profile set for Native Instruments 4 DJ
	348dcd6: alsa: unify alsa log handling and snd_config_update_free_global() handling in one place
	25e5197: alsa: merge mic boost into volume slider
	8fe50b0: alsa,core: include mapping name in description strings
	ca560cc: alsa: add profile set for Native Instruments Audio 8 DJ sound card
	60df970: alsa: properly count mappings of manually defined profiles
	b5cea8d: alsa: fix duplicate mapping detection
	34b4888: alsa: when creating alsa sinks/sources include mapping name in device name to allow profiles mit multiple sinks or multiple sources
	8d3362c: device-restore: properly check save_muted flag when storing muted state
	39b37a2: core: be a bit more verbose when registering a sink/source fails
	4951e08: card,stream-restore: minor cleanups
	0e4ac56: device-restore: save last used port in database
	59bd793: card-restore: we don't need to save card data that came from the database
	d773638: stream-restore: e don't need to save stream data that came from the database

2009-06-18	raven
	4dccbe3: Sending translation for Polish

2009-06-17	Lennart Poettering
	53b8703: Merge commit 'origin/master' into master-tx
	a9f82f1: i18n: update i18n
	f1ef2f6: Merge commit 'origin/master-tx'
	75256fb: pactl: show list of supported ports
	46b8ca2: native-protocol: allow enumerating ports
	c65ebee: raop: move all raop files to subdir
	6b2ca09: pactl: implement pactl set-{sink	914ef89: libpulse: implement client side for sink/source port selection commands
	6d7cf14: native: implement command to change sink/source port
	bd8e043: bluetooth: return sensible error code in set_profile()
	334325e: alsa: allow placing device id in alsa device strings at arbitrary positions
	31575f7: alsa: rework mixer logic
	e9c70ac: pdispatch: fix s/recieve/receive/ typos
	1ec33f3: pstream: fix s/recieve/receive/ typos
	dddb4b0: gdbm: set default block size to 1K
	279e0d6: card: get rid of description field which is unused
	4f44fe8: card: make sure to always hand failure code back in some calls
	325c01b: card: some modernizations
	dda0f5a: rtp: fix s/recieve/receive/ typo
	0fa1ddf: core-util: implement pa_maybe_prefix_path()
	7fa05be: core-util: implement pa_split_spaces_strv()
	c5dbf75: core-util: implement pa_xstrfreev()
	7de7b01: conf-parse: implement .include directive
	083b17b: volume,channelmap: reimplement a couple of calls based on channel masks
	77901e5: channelmap: define a couple of standard channel masks
	697b8de: malloc: implement pa_xrenew()
	4f36cc7: channelmap: make sure a mask is generated is 64 bit int
	26d5f28: version: fix prefix in PA_CHECK_VERSION macro
	d993969: channelmap: implement pa_channel_position_from_string()
	64b0f38: volume: implement functions for multiplicating a cvolume with a scalar
	c6830bd: hashmap: implement pa_hashmap_last()
	a1d84e3: hashmap: implement api to iterate a hashmap backwards
	277e8c5: idxset: implement pa_idxset_copy()
	0b479ff: daemon: write a warning blurb to syslog when folks use --system mode

2009-06-13	ruigo
	550b619: Sending translation for Portuguese

2009-06-12	xconde
	f0f30fb: Sending translation for Catalan

2009-06-12	dennistobar
	88730fd: Sending translation for Spanish

2009-06-10	Lennart Poettering
	1e8a374: alsa: fix bad memory access for devices that lack a mixer

2009-06-08	raven
	a87f8a2: Sending translation for Polish

2009-06-08	Lennart Poettering
	89e3adf: sample: fix build on BE archs
	3c4c1f4: udev: reshuffle the properties we read from udev a bit
	f13bbd5: prop: introduce new PA_PROP_DEVICE_INTENDED_ROLES property
	12d5382: i18n: update po data
	983aa5d: Merge commit 'origin/master-tx'
	e7a6d53: core: replace tabs by spaces
	587fc2a: core: make sure soft mute status stays in sync with hw mute status

2009-06-08	rajesh
	cc9354f: Sending translation for po/hi.po

2009-06-07	Lennart Poettering
	ab5adce: rtstutter: increase log level by default

2009-06-07	ruigo
	00cc168: Sending translation for Portuguese

2009-05-14	Jyri Sarha
	8eaea3a: optimization: Optimized pa_sink_render_full.

2009-06-07	Lennart Poettering
	8adf1d5: man: document that tsched doesn't use fragment settings
	3aefc45: man: document 24bit sample types in man page
	5be1cc5: man: document log related daemon.conf options
	78bccde: conf: remove obsolete module-idle-time directive from default config file/man page
	a9b38b3: daemon: optionally call mlockall() on startup
	71ce195: udev: properly initialize userdata to 0

2009-06-06	Lennart Poettering
	3a118f2: build-sys: bump libsndfile dependency
	bab4b94: udev: try to unsuspend devices whenever they are closed by other processes
	d1646f7: core: monitor sources need to inherit the suspend cause from their sinks
	69eab1e: core: suppress suspending/resume when we are already in the right state
	496be21: hashmap: introduce PA_HASHMAP_FOREACH macro
	e84644a: hal,udev: deprecate HAL support in favour of udev
	8080ab1: udev: add module-udev-detect for discovering and configuring devices

2009-06-06	aalam
	86f3961: Sending translation for Punjabi

2009-06-05	Lennart Poettering
	e5dd9df: rtp: remove gcc warning
	f398407: augment: try to deduce the media role from the menu category
	561c0af: alsa: monitor device reservation status and resume automatically when device becomes unused
	00797b8: core: add a suspend cause flags field
	3af5f8c: reserve: wrap device reservation monitor reference implementation
	1748fd2: reserve: update reserve.[ch] from upstream git

2009-06-04	Lennart Poettering
	3e10f3f: tdb: include signal.h before tdb.h for compat reasons
	4d87475: utils: use pa_path_get_filename() where applicable

2009-05-28	Lennart Poettering
	8bada74: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	c224aac: modules: introduce PA_MODULE_DEPRECATED() macro for marking modules deprecated
	1c4393a: modules: add {sink
2009-05-27	Lennart Poettering
	6044aab: Merge commit 'flameeyes/master'
	2088626: null: introduce sink_properties= argument
	6601e09: simple: set ADJUST_LATENCY by default
	19d7ced: modargs: introduce pa_modargs_get_proplist()

2009-05-27	jassy
	8c6c8e5: Sending translation for Punjabi

2009-05-26	Lennart Poettering
	699bd54: libpulse: introduce PA_CHECK_VERSION macro
	e8f7eb6: oss: don't deadlock when we try to resume an OSS device that lacks a mixer
	d2198c9: alsa: fix wording, we are speaking of card profiles, not output profiles
	5c10b84: sndfile: big rework of libsndfile interfacing code

2009-05-26	jassy
	ed105ef: Sending translation for Punjabi

2009-05-25	Lennart Poettering
	759a9d0: core-util: introduce pa_disable_sigpipe()
	ebce318: cli: allow easy repeating of commands with '/'
	8b180b6: volume: implement pa_cvolume_{scale	5f2d848: map-file: add missing channel map/cvolume position functions
	8f23a2e: proplist: add two new generic properties, media.copyright and media.software
	01fa34b: channelmap: introduce pa_channel_map_mask() and pa_channel_position_mask_t
	261a483: sample: introduce pa_proplist_setp()
	346a708: sample: introduce pa_sample_format_is_{le,be,ne,re}()
	3533599: upnp: s/org.Rygel./org.gnome.UPnP/ following the newest version of the spec

2009-05-24	ruigo
	911f890: Sending translation for Portuguese

2009-05-24	Lennart Poettering
	f809284: channelmap: document how apple's/microsoft's channel names map to ours

2009-05-22	Lennart Poettering
	e2aba15: core-util: fall back to sysconf(_SC_OPEN_MAX) to find maximum file descriptor
	ce3fbb5: tests: show dB in volume-ui.py
	000bdb8: volume: change pa_volume_t mapping to cubic

2009-05-21	ruigo
	4b9aac2: Sending translation for Portuguese

2009-05-20	ruigo
	0ba756b: Sending translation for po/LINGUAS
	0e23210: Sending translation for po/pt.po

2009-05-19	Lennart Poettering
	e7bca90: upnp: s/url/URL/ in GetAll() D-Bus call

2009-05-17	Diego Elio 'Flameeyes' PettenÃ²
	ce6643e: Use the _ONCE variation of AC_CHECKs where applicable.

2009-05-15	Diego Elio 'Flameeyes' PettenÃ²
	ff5b7fb: Add missing headers' include to build on FreeBSD 7.1.
	99f2541: Add missing include directory path for OSS modules.
	d45c909: When MAP_ANONYMOUS is missing, fallback to MAP_ANON.
	0de6877: Don't use == for comparison in tests. Fix build with non-bash shells.

2009-05-15	Lennart Poettering
	862a05f: upnp: update to newest spec

2009-05-14	Lennart Poettering
	0921b1b: shm: rework alignment when punching memory
	763954c: upnp: convert all property names to CamelCase to follow D-Bus spec
	1a39acc: rescue: make we don't end up in an endless loop when we can't move a sink input
	234c61b: upnp: implement item-count/container-count properties
	0cb3837: alsa: be a bit more verbose when a hwparam call fails
	b7e2223: database: port restore modules to new database API
	003e03d: macro: include string.h because we need it for memset
	6df14e0: database: add tdb backend
	46bceed: database: add gdbm backend
	c69ed91: database: add abstracted database API

2009-05-13	Lennart Poettering
	905c800: volume: introduce pa_cvolume_{get	28069ef: core: automatically add icons for headsets/headphones/speakers for devices

2009-05-12	Lennart Poettering
	dfd6b61: alsa: include mixer name in sink/source properties
	21ab720: http: fix segfault on connection termination

2009-05-12	Marc-AndrÃ© Lureau
	86caf45: context: don't fail if session bus is not there
	4c3aef3: suspend-on-idle: add per-device timeout property

2009-05-11	Lennart Poettering
	a7a7358: git: activate default commit hook
	37c3620: upnp: rework property handling
	35b7ce5: upnp: use new rygel @HOSTNAME@ wildcard for server name
	dc5dce5: upnp: properly issue method not found exception when we don't now it
	98a6454: upnp: update to newest spec, generate 'Updated' signal
	6c4c61d: upnp: fix URL of MediaServer spec
	eb20564: mime: drop additional whitespace from mime types

2009-05-07	Jyri Sarha
	35faedb: core: Take samples from silence cache rather than write zeros
	d7b8947: core: optimize pa_sink_render_full()

2009-05-08	Lennart Poettering
	a714861: channelmap: add pa_channel_map_has_position()
	7f767e5: core: liberalize 99a6a4 a bit
	8d9c26e: core: cache requested latency only when we are running, not while we are still constructing
	99a6a47: core: make sure we fix up flags/monitor flags already in pa_sink_new() instead of pa_sink_put()
	3766850: core: introduce pa_{sink,source}_set_fixed_latency()

2009-05-08	Jyri Sarha
	44e566a: bluetooth-device: Add safe guard against BT streaming irregularities.

2009-05-07	Lennart Poettering
	92a6141: macro: add macros for initializing memory

2009-05-05	troubi51
	9dd1af6: Sending translation for French
	dd1cd9e: Sending translation for French

2009-05-03	pmkovar
	4caa33b: Sending translation for Czech

2009-05-01	Lennart Poettering
	e0f0821: sconv: fix a few minor conversion issues
	5caf09d: resampler-test: add tests for 24bit sample formats
	76caa27: resampler-test: use global PA_FLOAT32_SWAP implementation
	4bffc78: alsa: initialize buffer size before number of periods to improve compat with some backends
	d2b5ae5: sample-util: fix iteration loop when adjusting volume of s24 samples
	3a7b287: sample-util: properly allocate silence block for s24-32 formats
	076830a: endian: fix LE/BE order for 24 bit accessor functions
	947bf5d: zeroconf: properly unref native protocol object
	d4b10d8: sample: correctly pass s24-32 formats
	4129f51: alsa: don't hit an assert when invalid module arguments are passed

2009-04-30	Lennart Poettering
	5a2898d: zeroconf: use pa_get_{user	3522b7d: zeroconf: copy more sink/source properties into DNS-SD TXT data
	407a810: zeroconf: computer native protocol port automatically
	d696416: headers: minor cleanups
	5326f5f: rygel: get rid of forgotten debug trap
	93db3cb: rygel: instead of always handing out wildcard address find out the actual address we are listening on
	8dfdfd4: http: export information about currently active server strings
	23a798c: strlist: add new calls pa_strlist_{next	9208b86: parseaddr: add new call pa_is_ip_address()

2009-04-29	Lennart Poettering
	d5f9057: rygel: make server name configurable
	c95cc9e: rygel: add module that interfaces with Rygel UPnP
	390fe02: http: split out mime type handling calls
	84a92f2: protocol-http: allow listening into sinks/sources via HTTP
	c215011: ioline: add new calls pa_ioline_detach_iochannel() and pa_ioline_is_drained()
	a64097a: ioline: add callback that can be called when the ioline object is fully drained
	4cb6ea2: simple-protocol: don't hit an assert when we call connection_unlink() early
	0b2d96d: protocol-http: substantial modernizations
	d871071: alsa: allow configuration of fallback device strings in profiles
	ad5a1f3: protocol-native,proplist-util: port to pa_get_{user	a8f0d7e: core-util: introduce pa_get_host_name_malloc() and pa_get_user_name_malloc()
	4abd5fa: memtrap: implicitly page align memory areas
	bd0e4ce: macro: make pa_page_align roung up instead of down
	68f3ca9: macro: add new macro pa_align_ptr()
	8247e45: shm: minor modernizations
	595c22a: shm: page align shm size when mmap()ing it
	9745483: strbuf: add new call pa_strbuf_putc()
	5d39b8d: idxset: add enumeration macro PA_IDXSET_FOREACH

2009-04-28	Lennart Poettering
	0368d6e: build-system: move x11 and jack modules into subdirectories

2009-04-24	Lennart Poettering
	908b0e6: build-system: hide .version from git
	af8f058: build-system: run make update-shave

2009-04-23	Marc-AndrÃ© Lureau
	35382d6: build: there is no such thing as SHAVE_OUTPUT anymore
	ebe22ad: build: generate git tarball using git describe

2009-04-22	Lennart Poettering
	edba78c: start-pulseaudio-x11: don't start a local sound server if a remote sound server is configured
	ad12d7d: memtrap,aupdate: split atomic update from memtrap into seperate aupdate framework

2009-04-21	Lennart Poettering
	bb07c16: i18n: run make update-po
	79c8826: i18n: add missing file to LINGUAS ... again
	6919424: Merge commit 'origin/master-tx'
	26383c6: memtrap: add a bit of documentation for memtrap
	67efc76: memtrap: fix parameter type
	684b4c1: memtrap: hook up core to memtrap system
	928adf4: memtrap: make installation of SIGBUS handler explicit to ease integration into libraries
	7b00861: memtrap: when we fail to handle sigbus say so
	6224fac: memtrap: add new logic to trap and handle SIGBUS
	fbbcfae: semaphore: introduce static semaphores
	391d50c: mutex: add initializer for static mutexes
	b304a98: mutex: when we fail to fill in mutex into static mutex ptr free it again
	12065f3: llist: add PA_LLIST_FOREACH

2009-04-20	marionline
	3c36836: Sending translation for Italian

2009-04-19	mvdz
	ed10a15: Sending translation for po/uk.po

2009-04-19	Lennart Poettering
	8fbf626: object: revert to old unref() behaviour
	eb04d0f: object: fix ref counting of objects on destruction
	ad2a0ab: alsa: remove debug code
	98a25c5: alsa: properly convert return values of snd_strerror() to utf8
	39a26d8: log: use pa_logl() instead of pa_log_level()
	b9f1af4: log: print file name only when we have it
	6773d00: util: if NULL is passed to pa_path_get_filename() just hand it through

2009-04-15	Erich Boleyn
	b03a650: reserve-device: allow building without D-Bus

2009-04-17	Finn Thain
	1c0667d: solaris: 0.9.15 solaris module build failure

2009-04-18	Lennart Poettering
	12c5afe: object: keep refcount at 1 while destructing objects
	ad447d1: core-util: handle EINTR already inside of pa_read/pa_write

2009-04-18	beckerde
	4ec5375: Sending translation for Spanish

2009-04-18	fab
	0093379: Sending translation for po/LINGUAS
	ae3caa6: Sending translation for po/de_CH.po
	8a1938c: Sending translation for German

2009-04-04	Marc-AndrÃ© Lureau
	099b328: bluetoth-device: be less strict on CONNECTED state to switch profile

2009-04-17	Marc-AndrÃ© Lureau
	344eea4: pulse/context: when NOFAIL, don't try_next_connection() if c->client

2009-04-17	Lennart Poettering
	d775cf6: rescue-streams: when one stream move fails try to continue with the remaining ones

2009-04-15	warrink
	83e7186: Sending translation for Dutch

2009-04-14	warrink
	0846b68: Sending translation for Dutch

2009-04-14	raven
	5faacd8: Sending translation for Polish

2009-04-14	Lennart Poettering
	ca9cd14: add a few missing initializations
	40d71e1: explcitly ignore return values of some functions marked with gcc's warn_unused_result attribute
	845b312: bump version for final 0.9.15 release
	a4cea4e: core: when applying delay memblockq take monitored sink latency into account
	2d94c93: pacat: add missing newline
	4ee4a55: core: use pa_{source
2009-04-13	Lennart Poettering
	16324fc: sort LINGUAS
	a654155: run make update-po
	c96f6f3: update LINGUAS
	0948dca: Merge commit 'origin/master-tx'
	fe8b10c: core: introduce new 'reference' volume for sinks
	49dcf09: alsa: include the alsa mixer control that is used in the property list
	6fd8fd1: alsa: store mixer controls to use in profile data
	89f74cb: alsa: when passing emptry mixer control name, force sw volume
	237a9e1: volume: increase dB range to -90dB
	0ac038e: client-conf-x11: unbreak autospawn due to stale X11 properties
	0aed5ea: client-conf: when  is set, disable autospawn setting
	4cc4cbd: client-conf: make setting a default server independant from the autospawn setting
	20aba71: proplist-util: use pa_session_id() instead of accessing 7b816367b01393ed3e3e650047d78f6e-1239640487.203609-1061245823 directly
	43650de: client-conf: modernize a few things
	a36197c: print session id when starting up
	1d8da03: core-util: filter utf8 in pa_machine_id()
	1b4e5f1: core-util: add pa_session_id()
	17f1784: cork-music-on-phone: make sure that we don't check the refcnt of pa_core when the daemon goes down
	62db10c: lirc: fix logic behind mute buttons
	66d2184: mmkbd: get rid of support for ancient kernels
	f1d3dfb: mmkbd,lirc: make use of pa_assert_not_reached()
	270a698: lirc, mmkbd: extend controllable volume range to PA_VOLUME_MAX
	6d218e9: api: introduce PA_VOLUME_MAX
	e9dd7a5: lirc: drop lirc_in_use, it's made redundant by PA_MODULE_LOAD_ONCE
	d8de5d3: make sure we never overflow when calculating sleep time

2009-04-13	warrink
	2ba882c: Sending translation for po/nl.po

2009-04-11	ifelix
	362ec7b: Sending translation for Tamil

2009-04-10	Lennart Poettering
	6eaeaea: Downgrade default log level to NOTICE to follow documentation
	a26c945: add missing languages to LINGUAS
	3e29fd7: prepare another snapshot
	991cb06: set fixed latencies at more places where appropriate

2009-04-06	Finn Thain
	80e18c8: make dbus optional during build

2009-04-10	Lennart Poettering
	e011230: run make update-po
	d6f019e: Merge commit 'origin/master-tx'
	5388b44: alsa: when printing warning about bogus data from alsa include snd_pcm_dump()
	ee6657a: bluetooth: when starting up HSP stream, send 2 packets first, only afterwards enter one-read-one-write logic
	d77b28c: bluetooth: rework timing logic, properly implement latency callbacks
	e9a4dec: bluetooth: be a bit more verbose if we exit due to bad poll() revents flag
	48cff5b: bluetooth: rename sco to hsp also for the user
	f7c229d: core: add a seperate fixed_latency field for sinks/sources with fixed latency
	9ae8ca2: core: memory leak, fix ref counting when moving streams
	dcd4a73: dbus: memory leak, actually free dbus wrapper
	d827ecd: dbus: drop pa_ prefix from static symbol
	f8ebe85: protocol-native: downgrade message if we receive pcm block for dead stream
	5b87196: protocol-native: print underrun message only once for each underrun
	3507d1e: socket-server: memory leak, free machine id after use
	669703d: dbus: memory leak, free pending calls
	9ba9883: dbus: memory leak, free server id after use
	9ee6a41: bluetooth: memory leak, actually free discovery struct itself
	f65b276: interpol-test: make it easier to test corking only optionally

2009-04-09	elsupergomez
	dac687d: Sending translation for Spanish

2009-04-09	mgiri
	d1cf6eb: Sending translation for Oriya
	6c5bbd3: Sending translation for Oriya

2009-04-08	mgiri
	8e1a9b7: Sending translation for Oriya

2009-04-08	kkrothap
	27784c4: Sending translation for Telugu

2009-04-08	ifelix
	0474762: Sending translation for po/ta.po

2009-04-08	runab
	bb7beeb: Sending translation for Bengali (India)

2009-04-08	amitakhya
	89f5da8: Sending translation for Assamese
	b445f79: Sending translation for po/as.po

2009-04-08	Lennart Poettering
	6c04a1c: bluetooth: make sure to set max_request
	c32c6c8: introduce relative_volume field in sink_input and make use of it on sink flat volume change
	14e89d4: when calculating volume from dB use ceil()
	4ff41ec: print smallest attenuation/sample

2009-04-07	kkrothap
	091a0f2: Sending translation for po/te.po

2009-04-07	kmilos
	f5eca5d: Sending translation for po/sr@latin.po
	7202d52: Sending translation for Serbian

2009-04-07	mgiri
	5b0d1bf: Sending translation for Oriya
	54c895c: Sending translation for po/or.po

2009-04-07	runab
	7154f06: Sending translation for po/bn_IN.po

2009-04-07	Lennart Poettering
	aacb11b: update documentation regarding stream timing a bit
	c523b16: after propagating a sink volume change to the sink inputs recalculate their soft volumes
	93e14d3: we need to make our multiplications with linear values
	02686cc: reduce number of conversions to/from linear volumes
	d612fbb: compare with doubles, not integer
	e356a03: If the sink volume is lowered to 0 and then increased again, make sure all stream volumes follow instead of staying at 0
	2c2713a: make use of SO_TIMESTAMP timestamp for accuracy and leave smoother paused until we have data
	f204c0f: mark null sink as support dynamic latency
	298bd0b: adjust max_rewind/max_request whenever the latency changes
	e976034: send the source latency based on the MTU size
	61b0776: add suspend_within_thread() callbacks to pa_sink_input/pa_source_output
	35a4a0b: enable debugging output based on if DEBUG_DATA macro is set

2009-04-07	swkothar
	ff2dc1b: Sending translation for Gujarati

2009-04-07	shanky
	682c101: Sending translation for po/kn.po

2009-04-06	Lennart Poettering
	886ddc3: make sure we don't apply sampling rate fixes that bring the sampling freq > PA_RATE_MAX
	e61728e: Make sure we don't get stuck when prebuf is too high
	ff8d66d: extend documentation for pa_stream_cork() a bit
	7fc2382: properly handle interpolation when queried x is left of last data position
	daa945a: don't fail device reservation if the D-Bus connection is dead
	4b521e5: be a bit more verbose about the busses we are connected to
	90f4fdb: make sure we keep a reference of the bus connection during the whole runtime if we manage to acquire the bus name

2009-04-06	swkothar
	f598776: Sending translation for Gujarati
	b9b470e: Sending translation for Gujarati
	4c0a2e0: Sending translation for po/gu.po

2009-04-06	sandeeps
	a55c236: Sending translation for po/mr.po

2009-04-06	leahliu
	f709f2b: Sending translation for Chinese (Simplified)

2009-04-05	soko
	6c0ce4d: Sending translation for po/sr@latin.po
	c66e3fd: Sending translation for Serbian

2009-04-05	raven
	015d66e: Sending translation for Polish

2009-04-05	vpv
	4053e35: Sending translation for Finnish
	d5e8488: Sending translation for Finnish
	f5ec110: Sending translation for Finnish

2009-04-05	Lennart Poettering
	ecba42b: run make po-update
	9416cdf: Merge commit 'origin/master-tx'
	6ba3333: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	923c5bc: make it easy to disable interpolation in the interpolation test tool
	14e11e4: Fix a couple of races in native protocol
	7dafa87: don't try to outsmart the transport
	ce73e71: introduce pa_{sink	d035f4a: Modify smoothing code to make cubic interpolation optional and allow 'quick fixups' on resuming

2009-04-04	vpv
	82d1301: Sending translation for Finnish

2009-04-04	Lennart Poettering
	ca39fa2: initialize sound cards only after the 'control' object appeared
	9bea250: increase log buffer further
	77a1e38: refuse to initialize on modem devices
	f708328: add missing files to POTFILES.in
	99f45a6: run make update-po
	f446f0e: Merge commit 'origin/master-tx'

2009-04-01	Maarten Bosmans
	8bcb9c6: various spelling fixes

2009-04-01	Luke Yelavich
	ccaf765: POTFILES.IN: Refer to src/pulsecore/dbus-util.c

2009-04-03	soko
	a12f4e6: Sending translation for po/sr@latin.po
	310d47a: Sending translation for Serbian
	398e381: Sending translation for po/sr@latin.po
	a0e46c2: Sending translation for Serbian

2009-04-03	Lennart Poettering
	6152c52: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	143e1ba: downgrade a few messages

2009-04-02	soko
	089a081: Sending translation for Serbian

2009-04-02	leahliu
	cb40e85: Sending translation for Chinese (Simplified)

2009-04-01	Lennart Poettering
	1c26d7e: plot the difference between system and sound card time
	373b5ef: properly account for seeks in the requested_bytes counter
	380e97a: use machine id instead of hostname to identify local connections
	dcb24f5: load bt discover module only when installed
	707acab: prepare test7
	75a8d18: pass destination source/sink when moving streams so that we can access them
	c2f6d09: don't access i->sink if it is not set
	d9b19f8: prepare test6
	5348cc1: increase timing update interval exponentially
	aa1ad0d: in verbose mode log buffer attr changes
	0aa99c4: add buffer_attr callback stuff to exported symbol list

2009-04-01	tombo
	1fa761a: Sending translation for Italian

2009-03-31	Lennart Poettering
	4e8ceae: fix buffer defaults
	76c44d1: be a bit more verbose about max_request changes
	cebaa98: Log underruns
	917e8cd: handle buffer_attr changed messages properly
	5cbd4b7: update command name table
	ef5af55: fix an error where a signal was accidently freed when it is tried to register it twice
	2a32de1: Merge commit 'origin/master-tx'

2009-03-31	beckerde
	c29e9cf: Sending translation for Spanish
	2cd93ab: Sending translation for Spanish
	1e99255: Sending translation for Spanish

2009-03-07	Finn Thain
	5e11972: revive solaris module

2009-03-30	Kyle Cronan
	92ae5f1: Specifying ALSA mixer control

2009-03-29	Maarten Bosmans
	facc46d: fix some typos in doxygen comments

2009-03-30	Maarten Bosmans
	4a40aed: handle failure to parse proplist in cli-command gracefully

2009-03-31	Lennart Poettering
	cab1e54: explain ff7033c11d9248fe837204b03c8397231dc511fe
	ff7033c: Revert "make sure we always read in all properties"

2009-03-30	Lennart Poettering
	29a282a: allow nofail mode only when no server string was specified
	b6135b3: minor cleanups
	3df9eef: take org.pulseaudio.Server instead of org.pulseaudio to match the interface name already used in the HAL module
	857a1f4: fix compiler warning
	90fbc03: make sure we never access an invalid pa_bluetooth_device object
	1c8f968: make sure we always read in all properties
	66b80e9: get rid of old 'Connected' property parsing and make sure we don't execute two case branches
	91355a1: introduce typedef for pa_bt_audio_state and use it everywhere
	1390564: Merge commit 'elmarco/bluetooth-fixes'
	d33be12: Merge commit 'elmarco/dbus'
	649c982: Use pa_source_set_max_rewind_within_thread() for updating the monitor source's max_rewind

2009-03-27	Marc-AndrÃ© Lureau
	8491b47: gtk-test: updated to use PA_CONTEXT_NOAUTOSPAWN
2009-03-20	Marc-AndrÃ© Lureau
	1dad83b: pulse: client connect to dbus
	b4ef64d: daemon: take org.pulseaudio

2009-03-19	Marc-AndrÃ© Lureau
	eb93e25: dbus: split dbus-util into dbus-shared

2009-03-30	Lennart Poettering
	1743322: Merge commit 'coling/master'
	061344f: Merge commit 'origin/master'
	aa68036: rework tunneling code
	65b787d: notify clients about tlength changes
	491aafd: typo fix
	b349dae: add pa_memblockq_apply_attr()/pa_memblockq_get_attr()
	7c37c37: document more often the context certain functions are called in
	7f5481e: simplify latency config functions a bit and make them callable in more contexts
	d04f3e1: Trigger move callback a little bit earlier so that no IO thread is running
	e3f1510: don't enabled tsched on software ALSA devices

2009-03-27	Marc-AndrÃ© Lureau
	87fcb3d: bluetooth: use new audio State properties
	38825d7: bluetooth: GetProperties after profile UUID show up
	20bd1c6: bluetooth: remove racy GetProperties to check profile

2009-03-26	Marc-AndrÃ© Lureau
	9e8c2d3: bluetooth: don't access outside array range

2009-03-24	Marc-AndrÃ© Lureau
	61cd6d4: bluetooth: fail when switching on non-connected profile
	62a4e36: bluetooth: connected can be -1, check > 0

2009-03-27	Lennart Poettering
	87d63b1: Small fix for MacOSX compat
	db714bf: fix typo

2009-03-26	Luiz Augusto von Dentz
	13f1c44: Do not reconfigure capabilities.

2009-03-24	Luiz Augusto von Dentz
	168c741: Query and make use of the current configuration.

2009-03-25	Luiz Augusto von Dentz
	071b3e7: Update ipc to match new message headers introduced on BlueZ 4.34.

2009-03-23	Luiz Augusto von Dentz
	b03c545: Fix misuse of 'frame.joint' when estimating the frame length.
	f80a1f6: Maintain the original code style for sbc.

2009-03-25	Colin Guthrie
	205cbe8: raop: Add call to pa_sink_set_max_request()

2009-03-25	Lennart Poettering
	3813034: add missing initialization
	cbbd986: make sure the discovery module is only loaded once
	39576ec: on monitor source be fine with any latency range set by the sink
	6defb1a: add missing whitespace
	2c1eaa7: copy latency flags from sink to monitor source
	4edb109: use u->use_tsched everywhere
	8282efc: fix value of DYNAMIC_LATENCY
	c367a88: fix misplace _ref() calls that should have been _assert_ref()
	f6a6d01: optionally skip initial frames in backtrace
	8460fac: don't show full so path in backtrace
	e41ec51: add simple ref counting debugging framework
	577259b: trivial simplification
	119698a: beef up esd sink properties a bit
	fdbe054: initialize max_request to SO_SNDBUF
	98a5f4a: don't fiddle with latency range in sources with static latency
	d0bd3d9: initialize max_request
	bcfe51f: again, don't fiddle with latency range in sinks with static latency
	59b7e53: Don't initialize userdata twice
	b815a1c: don't fiddle with latency range because we cannot adjust it dynamically
	0316dba: set latency range only in tsched mode
	171c88f: link jack modules's max_request to the jack buffer size
	892a839: simplify things and make sure timing setters can be called in most contexts
	44ca897: introduce new flag that marks sinks/sources which can adjust the latency dynamically
	9bca59e: make pa_source_set_max_rewind() work similar to pa_sink_set_max_rewind()
	9151107: get rid of 'default' min/max latencies, simplify things by just having absolute boundaries

2009-03-24	Marc-AndrÃ© Lureau
	a7246bd: bluetooth: fix #NOKIA, correctly unlink sink/src

2009-03-24	Lennart Poettering
	5b523d0: fix bad memory access when destroying m-b-d
	c64d8cb: Allow calling pa_{sink	50695d9: minimal reordering
	2f9a784: set request/rewind sizes only via accessor functions
	aa92ff4: simplify latency range by not allowing stored 'wildcard' ranges anymore
	e6be948: only decrease timer slack, never increase

2009-03-23	Lennart Poettering
	bcbfd5b: don't fail when no session bus is available
	52dcb95: add pa_assert_cc() for compile time assertions

2009-03-16	Marc-AndrÃ© Lureau
	a467bec: pulse: check context (do not user pstream when NULL)

2009-03-23	Lennart Poettering
	0815455: only store card profile if flagged for that
	124de50: enable bluetooth default by support
	906fd57: Merge commit 'origin/master-tx'

2009-03-21	kmilos
	4c381cd: Sending translation for po/sr@latin.po
	29d1db6: Sending translation for po/sr.po

2009-03-21	Lennart Poettering
	c14da67: readd volume control logic
	b3675c2: add functions that modules can call whenever they now the volume changed
	8d5b375: at a couple of #ifdef NOKIAs for now
	3aa3972: rework device discovery to share a single device list among all modules
	20488fb: add pa_hook_is_firing

2009-03-20	Lennart Poettering
	f5c8990: make sure we dispatch messages in order
	77a1db1: fix a misplaced assert
	888e44f: rework bluetooth IO loops
	d2bee57: fix prototypes of remaining sbc.[ch] API regarding size_t/const
	99dae9b: don't try to unref reserve stuff if we don't use it
	0251078: fix channel mapping for a52 devices. Closes #508
	33a8f53: simply bluetooth nrec handling a bit
	dfb3d2e: always remap relative volume properly
	a998038: introduce pa_sink_input_get_relative_volume()
	bd3154a: introduce pa_assert_fp() for fast path assertions

2009-03-19	Xavier Conde
	5cc7d00: Update catalan po

2009-03-19	Lennart Poettering
	fe3709c: fix a comment
	dd40006: document things that need to be fixed with FIXME
	3762299: unfuck i18n
	86439a4: Merge commit 'origin/master-tx'
	0a1af8e: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	4a98312: Merge commit 'elmarco/bluetooth-fixes'
	291d21c: fix prototypes of sbc functions a bit
	794775b: document todo items discussed at bt meeting
	303cd90: get rid of setsockopt() calls since they have never been implemented upstream

2009-03-19	Marc-AndrÃ© Lureau
	e836217: bluetooth: rework the info_valid logic to be more tolerant
	f1daa28: bluetooth: mark info_valid when receive Connected

2009-03-06	Marc-AndrÃ© Lureau
	af9f92b: bluetooth: update SCO over PCM with latest changes

2009-03-19	Marc-AndrÃ© Lureau
	df3f4ee: bluetooth: load bluetooth device with connected profile

2009-03-19	Lennart Poettering
	9744595: Merge commit '2d903bae9a2e57f997a3d3f335379c3880f95c77'
	4ebdee5: deduce a proper icon for TV sets
	3e8c7ac: Ignore HAL NoSuchProperty errors when looking for capabilities field. Closes rhbz #489394

2009-03-12	Lennart Poettering
	2928b44: Merge commit 'elmarco/bluetooth-fixes'

2009-03-12	A S Alam
	000f0b8: Adding Punjabi Language

2009-03-05	Marc-AndrÃ© Lureau
	9e93b9c: bluetooth: stream also when source is suspended
	018cadd: bluetooth: restart timer when write begin
	362d196: bluetooth: accept temporarily unavailable error
	2d903ba: bluetooth: s/handled/not_yet_handled for signals
	12ea570: bluetooth: reset read/write index when starting to stream

2009-03-05	Piotr DrÄg
	5d00693: Updated Polish translation

2009-03-05	Lennart Poettering
	47bc3b7: prepare test5
	c589da7: prepare release 0.9.15-test4
	c6ed0e8: run make update-po
	57baff5: Merge commit 'origin/master-tx'
	420ee3f: Merge commit 'elmarco/bluetooth-fixes'
	81323b5: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	3122008: try to detect when stupid clients forks and refuse all service from then on
	9d29b96: make interpol test more interesting by corking/uncorking multiple times

2009-03-05	Diego Elio 'Flameeyes' PettenÃ²
	21547d7: Properly check for versioning flags.
	cad3dd2: Make sure to set 'no' on the variable cached.

2009-03-04	Lennart Poettering
	dcee888: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	3dd8800: fix typo in FOREIGN_CFLAGS
	6427c70: try more things to get a proper icon for sinks/sources

2009-03-04	Marc-AndrÃ© Lureau
	7a8be7f: bluetooth: don't init profile when off

2009-02-27	Marc-AndrÃ© Lureau
	683548e: bluetooth: service_fd could be 0

2009-02-25	Marc-AndrÃ© Lureau
	fa73688: bluetooth: hsp case, check l for appropriate error message

2009-03-04	Lennart Poettering
	656fc66: never try to suspend monitor sources, suspend the sinks they belong to instead
	ec1c923: print error code when suspend/resume fails
	0dd8a33: handle negative error codes
	341f44f: fix handling of _suspend_all(), return first failure error code
	ecbc320: make suspend state of monitor source follow the suspend state of the sink it belongs to
	bffa8be: Don't allow suspending of monitor sources.
	d09287d: Fix a NULL pointer access when sutting down esound/simple connections
	8693417: various smaller cleanups
	c8abe64: pa_xnew cannot fail -- that's what the x is in the name
	946d072: document more closely from which context certain functions may be called

2009-03-03	Lennart Poettering
	f3de61e: fix device reservation for system mode

2009-02-26	Finn Thain
	0329edd: revive solaris module

2009-03-03	Lennart Poettering
	ff38eaf: Merge commit 'coling/lgpl21'
	297515a: pass profile priority value to clients

2009-03-03	Colin Guthrie
	86dee05: Use LGPL 2.1 on all files previously using LGPL 2

2009-03-02	Lennart Poettering
	f8a085f: properly handle directed card info requests
	7794108: Merge commit 'coling/master'
	45ae4ab: run make update-ffmpeg
	505df22: run make update-sbc
	e435241: run update-reserve
	4e86a4c: run make update-shave
	ea1d429: add update-shave target
	77514c1: Merge commit 'coling/master'
	5c514aa: make dependency on udev versioned

2009-03-02	Colin Guthrie
	c083177: Use pa_assert_se() when the containing code has side effects.

2009-03-01	Colin Guthrie
	8a00c00: raop: Handle the reponse header memory allocation more sensibly.
	b75a4b4: raop: Log teardown explicitly
	d293f08: raop: Allow for nice sink descriptions to be set (interpolated from avahi)

2009-03-01	Lennart Poettering
	ba4765a: For now don't list icon property (in favour of icon name property) since icon negotiation is probably much more complex (i.e. sizes...) than just putting icon data somewhere.
	671b927: add logic for initializing a useful icon name
	784ac5b: get additional device data from udev
	cc8d51a: rename PA_PROP_DEVICE_CONNECTOR to PA_PROP_DEVICE_BUS
	cce56ab: revise form factor list a bit, simplify and use singular everywhere
	e008333: introduce seperate vendor/product id fields
	abdffe9: make example code a bit more robust/change-proof

2009-02-28	Colin Guthrie
	8fc9b19: Don't assume that device reservation is enabled.

2009-02-27	Xavier Conde
	34cefed: Updated catalan po

2009-02-27	Lennart Poettering
	116b38c: Merge commit 'coling/master'
	798e39a: when alsa tweaks our sample_spec make sure we adjust the watermark accordingly
	1c86267: when an underrun happens, increase watermark by 10ms instead of doubling it
	0d8f67b: revise list of form factors a little

2009-02-26	Colin Guthrie
	07f9842: bluetooth: Fix under linked module-bluetooth-device
	dd3c96d: Fix a very strange 'file not found' error in module-alsa-card.

2009-02-25	Lennart Poettering
	620bf84: try to vacuum a little when nothing is going on

2009-02-24	Piotr DrÄg
	90ffe2d: Updated Polish translation

2009-02-24	Lennart Poettering
	e8d7c50: forgot to bump the revision
	3d04300: hide shave in gitignore
	00839dd: make sure we check the sink status for PA_SINK_INPUT_FAIL_ON_SUSPEND only after module-suspend-on-idle had the chance to resume the device
	7f5fff9: Merge commit 'elmarco/shave'
	7126392: ignore tags file
	07a45c7: run make update-po
	364786e: Merge commit 'origin/master-tx'
	8314858: set reserve interface application device name
	03ac71b: don't put both the card and the pcm name in the description of a device if one contains the other
	ba3c766: update reserve.c from upstream git
	c341010: implement device reservation scheme
	3c73025: in case alsa lies to use don't spin forever
	ec9f8f1: if ALSA gives us nonsensical data at least try to fix it up a little

2009-02-23	Marc-AndrÃ© Lureau
	16bb658: build: shave it!

2009-02-24	Lennart Poettering
	9eb5070: introduce new well-known role 'a11y'
	fb49399: Merge commit 'coling/master'
	c73887d: update gitignore

2009-02-21	Kelemen GÃ¡bor
	9372733: Make .desktop and .policy file in src/daemon translatable
	1ddf64a: Make pulseaudio.desktop and org.pulseaudio.policy translatable.

2009-02-23	Lennart Poettering
	998aa40: fix handling of stereo
	e0b5507: it's probably more appropriate to return the configured latency instead of the actual latency
	385a560: complete esd suspend/resume implementation
	2e9479b: implement esd sample panning. closes #428
	73c763c: set esound.byte_order property
	5fa3f0c: allow scache entries to have arbitrary names
	023ba89: use pa_alsa_safe_delay() where appropriate
	33601af: print driver name when we encounter driver bugs
	557a90c:  add new wrapper pa_alsa_safe_delay() around snd_pcm_delay()
	5cc9d97: add new function pa_alsa_get_driver_name_by_pcm()

2009-02-23	Francesco Tombolini
	b063e53: Updated linguas file for it lang
	0be0fc0: Italian language by ubuntu team

2009-02-22	Colin Guthrie
	2a0d252: Add the module dir to the libpulse pkgconfig file (needed for paprefs)
	4ebc6cf: Remove references to trademarked terms.

2009-02-22	Lennart Poettering
	3bc60ca: a couple of boring updates
	3bccb70: Allow passing a NULL proplist to pa_xxxx_update_proplist() to just fire a notification
	e335b3d: prepare test for tracking down ens1371 issue
	2d9ae49: rework suspending/resuming
	504384a: initialize selem index

2009-02-21	Lennart Poettering
	194d899: make sure we don't choke on overly long lines in .desktop files
	edfa39a: make sure we don't choke on PULSE_PROP_OVERRIDE
	77779ea: rework logging to make it more modular
	9b74afc: make string translatable (fixes #483)
	fa5e10f: fix wording, closes #484
	1a45569: prefer profiles that match the default channel map
	14ee8d4: print warnings about driver bugs at most once
	4505bc9: introduce default channel map in addition to the default sample spec
	27bfa60: add new property PA_PROP_APPLICATION_PROCESS_SESSION_ID and initialize it by default
	2d0c68a: check for ENABLE_LEGACY_RUNTIME_DIR with #ifdef, not #if
	e4e6e28: split off foreign code into a convenience library to make gcc warnings go away
	4c3648a: tell gcc to ignore invalid gtk header files

2009-02-20	Piotr DrÄg
	a305770: Updated Polish translation

2009-02-20	Lennart Poettering
	ed67b07: simplify some code

2009-02-17	Marc-AndrÃ© Lureau
	9f89907: bluetooth: fix suspend on a2dp (to do on HSP non SCO over PCM)

2009-02-20	Lennart Poettering
	6aa110a: run make update-po
	3da3ea2: Merge commit 'origin/master-tx'
	7bc1847: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	26a270a: big alsa module rework to make things more robust to broken sound drivers and make it easier to debug them
	adc9c2d: fix comment
	fa2e07a: add test tool for debugging broken timing in sound drivers
	9f813dd: Make sure we actually call _() for translating profile names
	ef189d5: make it easier to debug timing related problems
	fdca6ed: make profile names translatable
	d69bd03: don't try to use weakref stuff on older compilers that don't really support it

2009-02-19	Fabian Affolter
	aae5b15: Updated German translation

2009-02-19	Lennart Poettering
	2e250aa: Merge commit '38ded3bb31bc49664641965f856a35f432a8a956'
	b0c0106: Merge commit 'elmarco/legacy-dir'

2009-02-18	Marc-AndrÃ© Lureau
	7c78c3f: alsa-util: check if mixer_poll_descriptors_count() < 0
	800489e: pulsecore: don't leak p when make_random_dir_and_link()
	f1dcbe0: pulsecore: don't leak d in case of error
	4722fec: rtp: remove unused variable a
	88fc458: protocol-native: don't leak a proplist
	0684b23: stream-resotre: don't leak a name
	c0cf22d: protocol-esound: don't accept a request of PROTOCOL_MAX
	2c6abb8: daemon-conf: make sure c->log_level < LEVEL_MAX
	4f1380b: pulsecore: use r returned from fgets()
	204083c: pulsecore: unused variable e in hashmap_put()

2009-02-17	Marc-AndrÃ© Lureau
	60d53c6: tests/ipacl-test: check inet_pton()
	bb52a67: padsp: don't use si if it's NULL
	d1306e3: pulsecore: fix check for cb (m is already checked before)
	67b0bae: pacat: remove unused variable
	4512a2c: rtp-recv: remove unused variable assignment
	927e501: pulsecore: remove unused variable from cli_command_load()
	a252b61: main: remove unused lf variable
	c3eb908: pactl: return in case of error reading file (avoid using freed d)
	25bbea6: tests/thread-mainloop-test: check if threaded_mainloop_start() succeed
	5ea7dac: tests/interpol-test: check if mainloop_start() succeed
	a836927: tests/sync-playback: check if pa_context_connect succeed
	93ed27d: pactl: check if pa_context_connect succeed
	2aeab75: paplay: check if pa_context_connect() succeed
	6c8d851: protocol-native: fix get_info() for cards

2009-02-19	Marc-AndrÃ© Lureau
	01f81d6: card-restore: it's not useful to check an array, let's check the length

2009-02-17	Marc-AndrÃ© Lureau
	ee0b5f7: log: don't leak bt
	83cdcf2: alsa-util: make sure we check an initialized cn variable
	7737b10: hal-detect: make sure r is initialized, so we don't take random path
	7d16dcb: dbus-util: avoid double free

2009-02-19	Lennart Poettering
	205b0ba: split out mixer setup into seperate functions to make things more readable
	e1608d5: modernize pa_msleep() a bit
	9cbdd3a: add pa_timespec_load
	45218aa: make interpol-test useful for recording as well
	5f5396b: additional validity check
	928920c: additional validity check
	7f8ccf9: handle both positive and negative errno's

2009-02-18	Lennart Poettering
	6db3073: export card information for sinks/sources and number of sinks/sources a profile would create to clients
	7b8bed3: introduce pa_realpath()
	d85ef71: export pa_match()
	be81a68: if we fail to import a memblock fill in silence to guarantee stability of timing
	1737a19: allow importing of more memory blocks than exporting
	07333f8: refer folks to the ALSA devs, not us
	dc1ad08: minor optimizations
	ff58fa8: simplify pa_alsa_init_proplist_pcm() a bit and include resolution bits in alsa device props
	c9c63c2: allow pa to be run in a chroot() environment tht lacks /proc
	c1892f2: bump required alsa version

2009-02-18	Marc-AndrÃ© Lureau
	05b7440: pulse/context: add --enable-legacy-runtime-dir

2009-02-13	Marc-AndrÃ© Lureau
	38ded3b: bluetooth: print SBC encoder implementation info
	b4c391e: bluetooth: don't crash on pa_thread_mq_done() if pa_init() fail

2009-02-18	Marc-AndrÃ© Lureau
	b51e613: bluetooth: update SBC from upstream

2009-02-13	Lennart Poettering
	0b8a6c6: bluetooth: fix message queue/rtpoll

2009-02-15	Lennart Poettering
	a571565: don't open the alsa devices in hw:xxx mode

2009-02-14	Lennart Poettering
	6790c03: unify ALSA mixer initialization

2009-02-13	Lennart Poettering
	023998e: add doxygen comment for PA_GCC_WEAKREF
	d447a8d: document all currently known properties
	9334d90: show whether gtk+ support is enabled after configure
	fffe0ba: ignore gtk-test
	e954a89: properly read icon/application name/display from gtk/glib/gdk
	f863756: make PULSE_PROP env vars non-overriding but introduce PULSE_PROP_OVERRIDE for allowing overriding
	689e6f8: add definition for GCC style weak references
	44bca66: make PA_GCC_PACKED and PA_GCC_MALLOC actually work
	c0fb91d: drop check for PA_PROP_APPLICATION_NAME since often enough we can deduce this better from g_get_application_name()
	15e9b96: we reinit proplist since the server will copy from client proplist anyway
	62818b8: fix aiff channel mapping for 6 channels
	433751f: add a module that forwards cork/uncork requests to X11 as fake pause/resume key events

2009-02-13	Iain Hibbert
	dc590c7: Optionally disable IPv6

2009-02-13	Xavier Conde
	555527d: Updated catalan po

2009-02-13	Timo Jyrinki
	b82fccc: Updated Finnish translation against current trunk.

2009-02-12	Lennart Poettering
	4fab9bf: add full set of argument description
	6bb3dc8: don't try to recycle rtpoll objects
	87e1342: don't claim that profile changes are always successful
	52bfd47: use the same service fd shutdown logic when destructing module and changing profile
	b18c875: minor service IO fixes
	d9e3aba: the service fd is a stream socket, so handle things accordingly
	923dc1b: run make update-po
	cc526a0: prepare test2
	e82b2fd: handle errors from BT service properly
	c3b0d84: make module-hal-detect pick up all cards even when they have no device 0
	84666db: properly free modargs object when init fails; don't abbreviate modargs in struct
	a371306: tabs are evil
	a7b992f: some minor fixups
	6ada8d1: instead of reparsing the rate module argument when changing profile, simply restore the originally requested sample_spec, this also makes sure the channel count is properly reset
	752f815: addendum to f56da9893: don't crash when s->sink is NULL
	1837a96: call _kill functions instead of _unlink since the latter should only be called be the stream implementor
	f0cc23d: Merge commit 'elmarco/bt-wip'
	5d15425: minor reformatting
	60c50bb: declare 'animation' stream role for Flash and suchlike
	12db1a5: make gcc 4.4 shut up
	a729786: implement a module that corks music/video streams automatically when a phone call is active
	823431e: allow sending meta/policy events to clients

2009-02-11	Marc-AndrÃ© Lureau
	86bec09: pulsecore: add PA_CORE_HOOK_*_MOVE_FAIL
	f56da98: suspend-on-idle: don't crash when so->source is NULL

2009-02-10	Marc-AndrÃ© Lureau
	cce4359: bluetooth: reinitialize the sample spec when switching profile

2009-02-03	Marc-AndrÃ© Lureau
	cac0f9e: bluetooth: export nrec
	452e2b9: bluetooth: suspend SCO state when over PCM
	c8a240c: bluetooth: SCO over PCM

2009-02-09	Marc-AndrÃ© Lureau
	b35ae7f: bluetooth: reconnect to audio service when switching profile

2009-02-06	Lennart Poettering
	4bd9737: Merge branch 'master-tx'
	6bb2c49: add #defines for all enums that lacked it
	04c3c67: A few MacOS X portability fixes

2009-02-06	Erich Boleyn
	64926ff: RTP segfault/uninitialized resampler

2009-02-05	Piotr DrÄg
	108e08c: Updated Polish translation

2009-02-05	Lennart Poettering
	9f39a44: add new module-augment-properties module for augmenting properties from .desktop files
	d6201cf: parse ini-style sections properly
	ee5abc3: make native protocol use pa_{sink_input	524d78f: add missing hook
	291589e: allow overwriting of process properties with environment variables
	f42afc4: make return value of pa_{sink_input	a67406d: add pa_client_update_proplist() call
	63e2343: handle default volume initialization properly
	f6ffd2d: make module-position-event-sounds use volume factor
	de86c6e: add a 'volume factor' that is implicitly multiplied into the volume of a sink input without being visible to the outside

2009-02-04	Lennart Poettering
	3fc1233: add a .mailmap file for git shortlog
	12c29e1: store the identification key in the module-stream-restore.id property
	9e2a2f8: run make update-po
	9a4e03c: bump version and soname
	ae06517: make pacmd work in a pipe
	3d33172: rate limit underrun messages
	0933f1a: Merge commit 'flameeyes/flameeyes'
	d4618c8: Merge commit 'vudentz/master'
	9a93157: Merge commit 'coling/master'
	d802a76: remove soft volume from pa_sink_input_new_info since it should be handled internally and automatically by the sink input
	b2c923e: properly handle failing stream creation
	786398d: fix a validity check
	1db6478: version all entries in the database
	4cf82c7: merge in properties earlier to make identification of streams from hooks easier
	f6ec971: clarify things a bit
	12b7359: add a few additional validity checks
	83ddc09: add new calls pa_replace() and pa_unescape()
	a625ca7: make gcc shut up
	078a8d5: rearrange a few things
	d6dd907: simplify code a bit by using pa_sample_size_of_format()
	a6fe991: beef up proplist test a bit
	9a27b8f: in addition to per-property env vars PULSE_PROP_xxx look for for a stringified PULSE_PROP env var
	b445741: fix up parser in pa_proplist_from_string() to handle escapes correctly; make pa_proplist_to_string() escape quotes properly
	0fc59e4: add new API pa_ascii_valid(), pa_ascii_filter()
	ce76216: add pa_sample_size_of_format()

2009-02-02	Luiz Augusto von Dentz
	004b38f: Prevent changing volume on wrong device.

2009-02-03	Colin Guthrie
	871389a: A couple of dependancy ordering fixes.
	d1957b8: Trivial typo in a comment

2009-01-28	Colin Guthrie
	e28903e: Clean up volume/mute settings a bit. As the APEX device only has one channel of volume (e.g. it's always matched) we emulate any variation in channel volumes in software. Remove the unnecessary callback defininitions.

2009-02-03	Lennart Poettering
	32e5e64: add a lot of validity checking
	b51ed38: add a bit of missing i18n
	543115a: add new API pa_cvolume_compatible_with_channel_map()

2009-02-02	Marc-AndrÃ© Lureau
	539abc3: bluetooth: typo

2008-10-19	Sjoerd Simons
	921882d: Load module gconf earlier

2009-02-03	Lennart Poettering
	fc31d21: when moving a sink between sinks make volume relative
	554c818: before applying balance/fade check it actually makes sense
	f9696c0: add a macro definition for each error code
	2739261: Merge commit 'origin/master-tx'
	08800c3: make a couple of functions return proper error codes
	162e43b: make a few functions return void where the retval isn't used/never != 0
	50bfa77: add new error code PA_ERR_NOTIMPLEMENTED
	e47d03d: implement PA_STREAM_FAIL_ON_SUSPEND logic
	c61ad2a: make iterating with pa_idxset_next() robust in regards to idxset modifications
	f8190be: make update-sbc should also update other BT related sources
	59f3001: pull in new SBC/BT files

2009-02-02	Lennart Poettering
	fea6757: don't use PA_STREAM_NOT_MONOTONOUS anymore
	390133f: big module-bluetooth-device.c rework
	62f1f3e: make rtp.h ANSI C compliant
	e412f1c: whitespace cleanup
	121a8b9: handle EAGAIN properly
	2854afb: fix soft_mute handling
	a41d72b: update sbc stuff
	537424a: reset rewind_requested when we enter suspend mode
	a9e9ab3: shortcut pa_sink_process_rewind() when no rewind is happenning and none was requested
	5fc11a0: Fix a few sink/source calls when they are called in suspended state.
	d6fdd71: add new functions pa_bluetooth_cleanup_name() and pa_bluetooth_get_form_factor()
	16e3694: set PA_PROP_WINDOW_X11_DISPLAY from :0.0 and initialize PA_PROP_APPLICATION_PROCESS_MACHINE_ID properly
	8ccc9aa: try to use glib's g_get_application_name() to set PA_PROP_APPLICATION_NAME
	8fbce6e: when determining the minimum volume of all sink inputs make sure to handle the case when there are no sink inputs correctly
	55e6331: store the module index shifted by 1 to map PA_INVALID_INDEX to NULL
	69a9ed9: drop -pedantic
	04acc23: download everything from gitweb twice to make sure we don't get a 'Generating...' message
	e0d6b75: add a few new form factors
	2c97c15: introduce PA_PROP_APPLICATION_PROCESS_MACHINE_ID
	e0fd99b: work around dlsym() return value mistyping as suggested in POSIX
	b092f2e: use uintpr_t when casting between pointers and integers
	55f643d: check for NULL before accessing the name
	e7007fc: allow passing of channel map on command line and hide unused sliders
	2c7f2c5: look for libpulse in multiple different places

2009-02-01	Xavier Conde
	db2a425: Updated catalan po

2009-01-31	Diego Elio 'Flameeyes' PettenÃ²
	e9ca8b1: Disable portability warnings from automake.

2009-01-31	çé²(Gan Lu)
	9d65392: Add zh_CN entry for Chinese Simplified translation.

2009-01-31	Lennart Poettering
	b979ab3: implement pa_channel_map_can_fade
	f725b06: drop -Wpacked

2009-01-30	Lennart Poettering
	6b80321: Merge branch 'master' into lennartsbtfixes
	dbb8951: dump properties when we create a new sink or source
	2557017: suppress lines made up only of whitespace
	e6f4586: include ALSA driver in properties for cards/sink
	4bd6545: add new function pa_alsa_get_driver_name()
	3442d58: Merge branch 'master' into lennartsbtfixes
	1c94cfe: Add a little Gtk test tool to show how balance/fade/value and the channel volumes play together
	1b53f82: implement pa_cvolume_{get	9314db7: fix a bogus assert
	634afed: properly deal with the case when l/r is silent when adjust balance

2009-01-29	Lennart Poettering
	4a75002: add missing files
	a71fa02: temporary commit of lennarts new bt changes
	47a9b96: add some helpers for dealing with DBusPendingCall based on Mrc-Andre's work in module-bluetooth-discover
	746dc2a: get rid of nonsensical late initialization of namereg/scache and things
	4a06af6: make use of new functions pa_dbus_add_matches/pa_dbus_remove_matches
	509535d: add new functions pa_dbus_add_matches()/pa_dbus_remove_matches()

2009-01-28	Lennart Poettering
	daf0612: make things compile again
	86e83d5: Run make update-po
	f7c3ca7: Merge commit 'origin/master-tx'
	b56e038: Merge commit '12db687acf3befe485bfff3700111999c95247fa'
	a5401a5: store the default sink/source in proper pa_sink*/pa_source* pointers instead of a string
	fc3ff11: fix two typos
	98821c7: print the right software volume

2009-01-19	Marc-AndrÃ© Lureau
	12db687: bluetooth: cold hsp/a2dp device detection
	a6a1b42: bluetooth: hsp volume control

2009-01-28	Lennart Poettering
	611154c: Merge commit 'coling/master'
	3affa7e: make m-v-r a stub that simply load m-s-r
	63157a6: add missing usage strings

2009-01-27	Colin Guthrie
	6e31178: Fix the message processing for PA_SINK_MESSAGE_GET_LATENCY by returning rather than breaking and falling through.

2009-01-27	Lennart Poettering
	514661e: don't make m-e-s hit an assert when the latency is queried
	0f664b7: instead of making the volume relative our own, let' pa_sink_input_new() do it for us
	e439c18: make m-p-e-s use pa_cvolume_set_balance()
	d1b754d: only store volume/device information that has been flagged for saving, and store both relative and absolute volumes
	64b0543: when changing volume, store whether it is worth remembering or no
	ee17772: add missing 'const'
	0ca16ca: add new paramter ignore_dB= to alsa modules
	d5f46e8: move flat volume logic into the core. while doing so add n_volume_steps field to sinks/sources
	4bfa5d7: fix size calculation
	eca3223: get rid of module-flat-volumes since we are moving this into the core
	1be39e4: allow samples to be played with 'default' (i.e. unspecified) volume.
	5449d79: swap argument order of pa_cvolume_get_balance() to be a bit more systematic
	df8ad5d: add a few missing doxygen comments
	6058530: import version.h in all header files to make sure that version-based feature testing works
	1249cf6: always define PA_MAJOR/PA_MINOR/PA_MICRO to ease feature checking in client applications
	948be36: invert an ill-placed assert
	0658d9a: show pretty channel map name if possible
	07db64b: remove redundant cast
	9ba4084: store requested resampling method in a seperate field and use it when create a new resampler after a move
	ccd21f3: make a few comments appear in doxygen
	3bcbe1d: check for availability of RLIMIT_NOFILE and RLIMIT_AS before we make use of it
	4e31e00: implement pa_cvolume_scale()
	e52c5ea: implement new API functions pa_channel_map_can_balance(), pa_channel_map_to_name() and pa_channel_map_to_pretty_name()
	24b3a74: add a bitset implementation

2009-01-24	Wang Zeguo
	085ca5f: Updated Chinese(zh_CN) translation.

2009-01-24	Lennart Poettering
	afd817a: rate limit a warning
	a365c82: include a few HAL properties in our card/sink/source properties for ALSA devices
	54dad91: use pa_log_ratelimit() at a few places

2009-01-23	Lennart Poettering
	77c4ccf: add pa_log_rate_limit()
	3dfe70c: add generic rate limiting implementation
	e960125: add support for static mutexes
	db27c63: make module-alsa-card move streams between the old and new sink/source, allowing 'hot' switching between profiles
	640d317: add functions to move all inputs of a sink away/similar for source outputs
	29cb778: move sink input/source output move functions into two parts so that we can start the move, delete the original sink, create a new sink, finish the move; similar for source outputs
	cf24b57: in most cases we can use i->core instead of i->sink->core and o->coure instead of o->source->core
	d5e088d: include list of sinks/source in card dump
	967c17a: teach module-rescue-streams and module-always-sink to not do anything if we are shutting down anyway
	a3162a3: maintain a pa_core state variable
	88c9f9f: allow sample spec/channel map to be queried for pa_resampler objects
	7bdbcd0: drop --ltdl from the libtoolize invocation, since we don't ship ltdl anymore
	f6fcbed: Merge commit 'flameeyes/flameeyes'
	5cb29f3: add a simple abstraction for SIMD operations
	2a238b2: don't overflow when we do digital amplification of 16 bit samples

2009-01-23	daniel cabrera
	5487bc6: Updated Spanich translation

2009-01-22	Diego E. 'Flameeyes' PettenÃ²
	3e5d9fd: Use #ifdef to avoid warning about undefined macro.
	a257448: Improve the ltdl discovery code by checking for libtool 2.x functions.
	3293251: Move the safety check about pkg-config in bootstrap.sh.
	1b20d28: Fix logic thinko.
	c65d3a9: Remove support for internal distributing and bundling of libltdl.

2009-01-22	Lennart Poettering
	ddbe612: use pthread_setaffinity_np() only when it is available
	cef5f48: make rtstutter use pa_ncpus()
	4dc1916: add API pa_ncpus()
	bb23932: When resuming an OSS device ask for the very same fragment settings as we did the first time
	3be4c31: rework module-hal-detect and make it use module-alsa-card instead of module-alsa-sink/-source
	b2ef19a: include PA_SINK_INVALID_STATE in all switch/case statements to make gcc shut up
	4b2a682: fix minor memleak in prober
	b606c09: rework logic how alsa sinks/sources/cards are named
	7c11554: make gcc shut up
	1c84251: fix segfault when in record-only mode
	8519f54: only reread volume if we actually have a good mixer. Closes #466
	40f2e21: make gcc shut up a bit more
	a5c9546: fix copy'n'paste error
	251f720: add new function pa_strna
	36362f6: add new function pa_card_suspend()
	bdfec1f: mark a few more ALSA dB values as 'valid' for valgrind
	0f7954a: don't include full path in driver name.
	bf7217b: require autoconf 2.63

2009-01-22	Jared D. McNeill
	7c7133e: NetBSD sometimes doesn't know SNDCTL_DSP_GETODELAY
	c0e4e5a: NetBSD doesn't know getgrnam_r()/getpwnam_r()
	61075a7: NetBSD doesn't know ENOLINK
	ca6b791: It is more portable to assume that SO_RCVBUF/SO_SNDBUF takes and int instead of a size_t
	8d89ccd: NetBSD specific atomic operation implementation
	cc425ed: NetBSD doesn't know RLIMIT_AS
	75eeea6: NetBSD needs to include sys/uio.h for some socket functions

2009-01-21	Lennart Poettering
	601293d: implement pactl set-card-profile
	996bba7: implement PA_COMMAND_SET_CARD_PROFILE
	1375a9a: enable module-card-restore by default
	13315a7: add a card profile restore module
	c512ebf: minor cleanups
	10e5c70: don't restore mute/volume when already set
	9661cd0: make pa_card_new_data::active_profile a string
	e8f93b1: make implementation of module-alsa-card complete
	7ca0e00: fill in dev_id properly
	28f05e0: remove leftover define
	cba4c6b: when changing profiles do the actual assignment in the generic implementation
	1d0bd6e: remove bogus pa_core_check_idle() call
	dc2a4bd: add set-card-profile CLI command
	9a0dbda: allow cards be referenced by their index
	b6b0e07: fix copy/paste error
	16d200e: add an API to create arbitrary alsa sinks/sources dynamically without having to load/unload modules

2009-01-20	Lennart Poettering
	b88b89a: add new call pa_alsa_open_by_device_id_profile()
	04e9214: export pa_channel_map_superset()
	7368a6e: add priority logic to find best default profile
	b3a043f: always add 'disabled' profile
	e0f8c13: remove unused variable
	86f3fb8: show active profile
	a65c2c7: add client API for querying card information
	85bc5eb: dump active profile
	7aa7a7b: fix destruction when no profiles are defined
	9368623: don't divide by zero if no left resp. no right channels are defined
	67fcc76: fix profile names to include input/output specifier
	b23efc0: add missing eof checks
	47a2f9e: Merge commit 'flameeyes/buildfixes-2'
	d5e895d: document that I am a retard
	8839d86: remove misplaced whitespace

2009-01-20	Diego E. 'Flameeyes' PettenÃ²
	bc41fdb: Include the alsa/ subdirectory for modules in the search path.
	bd70e80: Allow to opt-out from building tests.

2009-01-19	Lennart Poettering
	8c4e2be: include sink/source state in pactl output
	8886e66: Document explicitly that the internal sink/source states are not considered part of the ABI/API

2009-01-16	Marc-AndrÃ© Lureau
	310f433: pulse: share private enum values with client side

2009-01-15	Marc-AndrÃ© Lureau
	a3762a2: cli: fix broken array access with signed state enums
	6374f8e: sink: trigger subscribe event on sink state change
	9c4f8e6: pulse: introspect sink state

2009-01-19	Lennart Poettering
	f83111d: Merge commit 'vudentz/master'
	96f01bf: Merge commit '7104d54bbce8f9bd2553e16f45f3a0f69ac75b8b'
	5f6641c: Beef pactl output up a bit
	ed65081: show dB and balance for cached samples
	033791c: fix up balance format string a bit
	23cd942: fix doxygen version references
	b987e5e: fix bad free()
	b43a45d: allow setting properties for modules, too
	fe70301: show balance value in CLI listings
	723d71a: add api for manipulating volume balances

2009-01-19	Diego E. 'Flameeyes' PettenÃ²
	7104d54: Add proper -I directives for out-of-tree builds.
	348c2ca: Create only the directory the current target should be created into.

2009-01-19	Luiz Augusto von Dentz
	4460a5d: Fix hsp rate and channels.

2009-01-17	Lennart Poettering
	606cf8a: get rid of pa_module_get_info because it is not used
	76ca5b8: beautify cli output a bit
	f8ba3a9: dump profiles when listing cards
	c06e43d: actually create pa_card object in module-alsa-card
	c560aea: Don't enumerate invalid profile
	f03a7e4: Split up pa_alsa_init_proplist into two seperate functions for the card and snd_pcm_t specific parts
	a45f971: add pa_proplist_to_string_sep()
	4a66837: add pa_strbuf_isempty

2009-01-16	Lennart Poettering
	b4d8046: add card profile prober
	b2b2eb1: remvoe a bit of duplicate code
	5793f93: make use of PR_SET_TIMERSLACK
	4a13763: Add support for 24bit samples encoded in the LSB of 32 bit words
	6dc76d1: add support for 24bit packed samples
	9955398: fix version info in protocol history

2009-01-15	Lennart Poettering
	4d4956e: Add SPDIF/HDMI ALSA devices and device descriptions to device search table
	33c22b0: rename card config to card profile
	d4bda31: include libcli.la in libprotocol-cli's dependencies
	4210119: add stub makefiles for oss and alsa subdirs
	c7fff97: move alsa and oss modules into their own subdirectories
	bae221c: rework module usage counter stuff to be pull based
	edf88a5: don't show autoload flag anymore since it is obsolete
	47a2b17: make proplist inheritance scheme automatic and implicit
	e68e4a5: make things compile again
	395523a: we don't support glib1.2 anymore
	29c7a28: kill autoload stuff as planned

2008-11-10	Marc-AndrÃ© Lureau
	43762ed: flat-volume: use pa_sink_get_volume(s, TRUE) to work with slaved sink

2009-01-15	Lennart Poettering
	a861ffa: Merge commit 'e0f8ffe41f99789fafac575e944acf02e940bbf7'
	d2757c9: redirect folks to the ALSA developers not me when their sound drivers are broken
	615e055: add functionality to dump list of cards
	344c934: maintain a list of sink inputs/source outputs as part of the pa_client object
	b6deb0c: add new pa_card object as a way to logically combine multiple sinks and sources
	aeb0707: fix bad memory access
	0b0b3d8: make PA_CONTEXT_IS_GOOD/PA_STREAM_IS_GOOD a macro so that we can easily check for its availability
	a3695dd: port missing modules to new pa_client_new() API
	5abda63: convert pa_client instantiation to use a pa_client_new_data struct and add hooks for manipulating it
	75119e9: add new dont_rewind_render flag to allow quick starts of newly created streams
	06de639: don't rely on PA_SINK_RUNNING vs. PA_SINK_IDLE for optimizations since it might not be fully up to date
	d1cf0e7: fix a potential format string vulnerability
	fd3f5db: document that PA_API_VERSION is only for incompatible API changes

2008-11-17	Marc-AndrÃ© Lureau
	e0f8ffe: match: add "key" argument to match different properties
	e97ed21: match: can now change properties also

2008-11-10	Marc-AndrÃ© Lureau
	6ec0162: sink: add a virtual_volume to sink

2009-01-14	Lennart Poettering
	20edd84: make pa_asyncq_push() fail under no circumstances.
	587a08b: Fix a typo I know owe Marc-Andre a beer for.

2009-01-13	Colin Guthrie
	df56404: Fix a potentially non-returning function in base64 code.

2009-01-14	Lennart Poettering
	f310113: Merge commit 'elmarco/master'
	ab97364: remove calc_sine() since we don't need it anymore
	cd45cd9: include new proplist functions in export list
	407b4fe: fix calculation of avail_min
	1872526: add pa_proplist_size() and pa_proplist_isempty()
	ef5a2b5: Fix version info

2009-01-13	Marc-AndrÃ© Lureau
	09641cc: build: fix few warnings
	49ae383: cli: add missing update-*-proplist
	2204bbe: core: add source, si, so proplist_update

2008-11-10	Marc-AndrÃ© Lureau
	3d631df: build: print more informations about preopen

2008-10-31	Marc-AndrÃ© Lureau
	9d6e9f5: cli: update-sink-proplist

2008-10-27	Marc-AndrÃ© Lureau
	01f71ac: libpulse: add proplist_from_string

2008-12-04	Marc-AndrÃ© Lureau
	9e978c9: core: report remaining shared objects when cleanup

2008-10-31	Marc-AndrÃ© Lureau
	ebb903a: core: add pa_source_update_proplist
	9444347: core: add pa_sink_update_proplist

2009-01-12	Lennart Poettering
	f6ac7b4: bump version/soname
	2ecf4c3: Merge commit 'origin/master-tx'
	f67066b: Port sine modules to pa_memchunk_sine()
	b8e6aae: add new API function pa_memchunk_sine()
	949de81: Extend command name lookup tables to cover complete protocol
	aff7243: Fix suspending of all sinks/sources
	d94d39d: read base volume only in proto 15
	b9e96e0: for record streams fill in the latency as the fragsize
	947a828: fix version check

2009-01-10	Lennart Poettering
	b6804ee: Make sure we don't drop any data on the client side
	8a3dc57: make module-sine-source actually work
	4e8ada5: show maximum usable slot size
	c850aa0: Add new pa_reduce() and pa_gcd() functions

2009-01-09	Piotr DrÄg
	cf3abcd: Updated Polish translation

2009-01-08	Lennart Poettering
	98049fb: make things compile again
	7b52840: add a few missing parens
	5daf141: drop a few warning options, add a few new ones
	c2002dc: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	9fc726c: Add new test source module-sine-source
	e5c0938: A few minor cleanups and updates
	aff7768: Add new debuuging API pa_memchunk_dump_to_file()
	7ca0f38: run "make update-po"
	6b9056c: Merge commit 'origin/master-tx'

2009-01-08	Marc-AndrÃ© Lureau
	a1a1119: build: fix missing x11 modules dependencies
	7e6309c: bluetooth: Update sbc from git upstream.
	d096ad7: bluetooth: add update-sbc and friends
	8e200ed: build: run some tests during make check (and distcheck)
	de57edd: build: Use proper -disable-static instead of removing .a
	c8b3d8b: build: add atomic.h and refcnt.h to libpulsecommon
	db193f1: build: introduce $SKIP_GIT for make dist (off-line or behind a proxy).
	a206ac0: build: Don't include builddir, but only srcdir.
	e92b0ae: build: compile libltdl directory first

2009-01-07	Marc-AndrÃ© Lureau
	dd9ca70: build: use pkg-config for X11

2009-01-08	Lennart Poettering
	c245050: Prefer mixer controls with volumes over switches
	e67bc1d: -Wconvert is pain, let's drop it again

2009-01-07	Sean McNamara
	81cd219: --check: Updated manpage slightly and pulseaudio --help slightly.

2009-01-07	Lennart Poettering
	2f681a3: Merge commit 'vudentz/master'

2008-11-27	chocolateboy
	78e636e: Fix typo in log message: s/Recevied/Received/

2009-01-06	Luiz Augusto von Dentz
	e7e6f86: Fix sending wrong codec capability length.
	1a96c9b: Fix send and recv message sizes.

2009-01-05	Luiz Augusto von Dentz
	be49c92: Send packets with proper size.

2008-12-20	Tom Bamford
	fe2b8c3: Multicast SDP packets sent with same IP TTL as RTP packets

2008-12-30	Piotr DrÄg
	17ae579: Updated Polish translation

2008-12-24	A S Alam
	cb5af19: Add Punjabi Translation for Module

2008-12-24	Lennart Poettering
	2ff20ce: Rework handling of the PA_SINK_LATENCY/PA_SOURCE_LATENCY flags
	fb4c111: Implement base_volume for ALSA sinks/sources
	6130c5c: Add "base volume" field to sinks/sources
	3e3c103: Add APIs to pass pa_volume_t fields in a tagstruct
	6342053: Add new API functions pa_volume_snprint() and pa_sw_volume_snprint_dB()

2008-12-23	Lennart Poettering
	f24e4c1: Merge commit 'vudentz/master'
	c2bd8dc: fix a gcc warning
	22c3373: If we cannot open an ALSA device with SND_PCM_NO_AUTO_FORMAT retry without

2008-12-17	Luiz Augusto von Dentz
	7323e1a: Update module-bluetooth-device to the new ipc.
	5db081a: Disable warnings for bluetooth-device-module.

2008-12-21	Lennart Poettering
	03aa91d: make sure we don't hit an assert when we issue two rewind requests in a single iteration
	606c9ca: Implement PA_SOURCE_MESSAGE_GET_LATENCY
	10cc4ba: Use FIONREAD instead of TIOCINQ

2008-12-18	Lennart Poettering
	63fc26e: Allow access("/dev/dsp", W_OK) succeed
	1d2e5cb: Make sure we drop CAP_NICE if RT is not allowed

2008-12-17	Lennart Poettering
	d71d79c: downgrade a few warnings
	906d06b: it's better to always use the index of a module instead of the pa_module*
	f5d40fa: unload tunnel modules from a new stack frame
	b95539b: actually unload the modules from a new stack frame
	86c6fd8: Don't store pointer to pa_module
	c5b8eb7: introduce new function pa_module_unload_request_by_index

2008-12-05	Luiz Augusto von Dentz
	dcd498c: Fix bug walking on module list.

2008-12-17	Lennart Poettering
	82f09b6: Don't hit an assert when checking for idleness
	cb6a919: Load module-volume-restore and module-device-restore before all other modules
	3f20a15: Pass GDBM_NOLOCK to gdbm
	209a8d7: Don't mix front-center into rear channels

2008-12-16	Lennart Poettering
	b8fe1b6: fix implementation of bind now ltdl loader for libtool 2.2
	e4aa5f2: Fix return value of --dump-resample-methods
	8977b2e: libtool 2.2 updates
	7013849: Check if environ is actually set before we use it
	2ee9276: Merge commit 'flameeyes/libtool-2.2'

2008-12-01	Timo Jyrinki
	55d846f: Argh, send pulseaudio Finnish translation (instead of paprefs) by Timo Jyrinki.
	fe5c651: Add fi (Finnish) to LINGUAS.
	ba64071: Add Finnish (fi) translation by Timo Jyrinki.

2008-11-23	sainrysec
	e9ca860: Only creat zh_CN.po

2008-11-21	Henrique Junior
	7f9a6ae: Updated brazilian portuguese translation

2008-11-11	Piotr DrÄg
	946b34b: Updated Polish translation

2008-11-07	Xavier Conde
	7582bf5: Added catalan locale
	69aaaf1: Added catalan translation

2008-11-01	Lennart Poettering
	f826ded: make shm marker architecture independant, patch from michich, closes #401
	84cd233: Make sure libpulse never gets unloaded
	58b53bb: a bit of pa_bool_t'ization

2008-10-26	Lennart Poettering
	adc2973: Implement new flags DONT_INHIBIT_AUTO_SUSPEND and START_UNMUTED

2008-10-25	Lennart Poettering
	c180cb5: bump micro version
	1d978ce: Merge branch 'new-world-order'

2008-10-24	Lennart Poettering
	b712e7b: make sure to use 64bit rounding even on 32bit machines when converting to pa_usec_t

2008-10-22	Lennart Poettering
	3294c89: warn if ALSA wakes us up and there is actually nothing to do
	6ff9c1f: don't set the volume of pacat unless it is explicitly set
	a2b3d25: update map file

2008-10-21	Lennart Poettering
	1cd25f1: reorder setting of AM_CFLAGS a bit

2008-10-22	Lennart Poettering
	ef0cc74: a lot more build system updates
	695d300: make new build logic actually work
	b978d84: update map file

2008-10-21	Fabian Affolter
	8dce771: Updated German translation

2008-10-21	Lennart Poettering
	df6e38b: temporary commit to allow flameeyes a look
	260fc50: reorder setting of AM_CFLAGS a bit
	c4b3462: make the debug trap macro a proper macro in macro.h
	ef9f3f6: Try to catch certain driver errors
	1647191: make log meta, time, backtrace configurable using command line
	496499c: Make log meta, time, backtrace configurable using config file
	651a451: support changing logging parameters during runtime using the CLI
	f4320d8: Support showing a backtrace on log messages
	f92a814: include log.h near the end so that macro.h can be included in log.h and defines pa_bool_t properly
	d4c6342: add pa_config_parse_unsigned()
	c7ed771: fix arguments to format string
	7fecb23: convert argument to boolean int in PA_UNLIKELY, too
	519bb55: fix return value of pa_frame_aligned()
	4ee5e06: implement may_move_to for ladspa/remap sinks
	358824b: add new virtual function may_move_to to sink inputs/source outputs to allow modules to forbid certain connections
	309bc71: fix invalid validity check

2008-10-21	Micha Pietsch
	737beea: German translation done.

2008-10-20	Lennart Poettering
	b709e1d: Make missing git-changelog.perl non-fatal

2008-10-19	Petr KovÃ¡Å
	e88a115: Updated Czech translation.

2008-10-19	Lennart Poettering
	d675058: Fix spelling of privilige
	d395792: always check for libtool prefix binary name to avoid confusion when using both installed and run-from-build-tree versions of PA in parallel

2008-10-18	PabloMartin-Gomez
	38b08a2: Last strings translated to French

2008-10-17	Piotr DrÄg
	304526b: Updated LINGUAS

2008-10-14	Piotr DrÄg
	a34b8ab: Updated Polish translation

2008-10-13	Lennart Poettering
	60c2a82: Merge commit 'vudentz/master'

2008-10-11	Colin Guthrie
	d8465f2: Fix two typos that broke tunnels

2008-10-13	Lennart Poettering
	5a5d288: properly remove dbus matches an filters when unloading m-b-d
	65ea1a2: correctly load module-flat-volume instead of module-flat-volumes

2008-10-12	Petr KovÃ¡Å
	0ad8e7e: LINGUAS: Added cs.
	dda7ab1: Added Czech translation.

2008-10-12	Domingo Becker
	a78cf07: updated spanish translation

2008-10-09	Luiz Augusto von Dentz
	931cbd1: Fix possible invalid read while attempting to load module-bluetooth-device.

2008-10-08	Lennart Poettering
	8e3e88d: Merge commit 'coling/airtunes-0.9.13'

2008-10-08	Colin Guthrie
	91b64bc: Fix a potential C++/C99 ism, add a log message on error condition

2008-08-22	Colin Guthrie
	59eb649: Follow master change r34dd4a and fix shutdown when --disallow-module-loading=1 is passed

2008-08-03	Colin Guthrie
	8715121: Modularise the RAOP stuff that requires OpenSSL and make it optional at compile time
	c3d8bb5: Remove $Id$ lines left over from SVN
	19d2831: Make module-raop-sink/discover work with 0.9.11 API

2008-07-03	Colin Guthrie
	ded09d1: Implement hardware volume control. This allows near instant change of volume when controlling the hardware but the stream volume still suffers from a sizable delay.
	e543e04: Implement a set volume function to expose this capability to higher layers

2008-06-24	Colin Guthrie
	36f2aad: Use the new pa_namereg_make_valid_name() function.

2008-06-11	Colin Guthrie
	0ff75ae: Add Lennart back in to Copyright as I copied these files from his originals and was a bit overzealous in changing things ;)
	729bbaf: Automatic discovery of airtunes devices via Bonjour/Avahi.
	d997420: Minor correction of help text
	15e8420: Still send silence when we are not doing anything else, but also flush the buffers correctly upon recovery from suspension.

2008-06-10	Colin Guthrie
	c49be78: Add some new public API functions to connect and flush.
	d86fc75: Change the API of the RTSP client a bit.

2008-06-09	Colin Guthrie
	19dcb52: Remove unneeded headers accidentially added in r2500.
	5f527dc: Add seq and rtptime params to record/flush with a view to using these for timing and device suspension
	651da7d: Minor update to copywrite (I still plan to replace this completely but in the mean time....)

2008-06-03	Colin Guthrie
	7f0cf0c: Fix up a couple of values related to encoding overhead.

2008-05-26	Colin Guthrie
	13bc075: A few related changes:
	b93e9e8: Keep track of the memblock pointer internally and do not rely on subsequent calls to pass it back in for unref'ing
	8108121: Set forgotten keyword property
	6dc5e07: Set the send buffer size to prevent rendering silence in amongst our good data (this should be more sophisticated but that can wait for a glitch-free port)
	6c1dd6e: Move the encoding loop around a bit such that it does not grab the data and keep it for the next loop iteration.

2008-05-11	Colin Guthrie
	3767cdb: Do tidy up on disconnection.
	9216684: Do not prefix internal function rtsp_exec.
	eca94fe: Don't try to free stack variables.
	be73d37: unref the raw data memblock before requesting more data.
	cb8c5a9: Some misc fixes. consts, base64 optimisation (not that it will be with us long anyway), and c comments
	4b7b7b1: Fix up IPv6 address format to enclose it in []
	d195d06: Change suggested by Lennart. Do not return a memchunk, instead pass in the pointer.
	e00127f: Various changes suggested by Lennart.
	ec9a618: Listen to the on_close callback. This still causes asserts in the mainloop, so this is not a complete solution
	899492c: Add a new callback structure to propigate when the RTSP connection dies
	5eecfa2: Move the ownership of the encoded data memchunk into the raop_client.
	4dd3185: Do not assert on NULL values of s. This means the connection was closed. This change somehow kills the mainloop with an assert, so I need to sort that out.
	d51f594: A very rough first version of the sink.
	264a1c2: Add more libraries to librtp now that it's doing a lot more.
	f97c5de: Properly duplicate the hostname passed in on connect.

2008-05-10	Colin Guthrie
	1fb0465: Combine pa_raop_client_new and pa_raop_client_connect (no point in having them separate)

2008-05-07	Colin Guthrie
	41e31ab: Rename rtsp.{c,h} to rtsp_client.{c,h}.
	e596f42: Wrap the io_callback to ensure that all data is written before asking for more.
	6510d97: Use a more stateful response parser.

2008-05-06	Colin Guthrie
	22e299a: Add a pa_iochannel callback for when the RAOP connection connects.
	8fb58e3: Add a function for packing bits into a byte buffer. This will be needed when encoding the audio data in ALAC format.
	66cf1d1: Some minor tidyup to remove code now in raop client. Still nowhere near functional.
	20478a4: Add a skeleton raop client which builds on the rtsp client.
	d423605: Move closer to an asynchronous structure (still some parsing code to be converted).
	a0d3582: Trivial change to allocate memory using pulse methods.

2008-05-04	Colin Guthrie
	a08d733: Fix svn properties and some minor indentation
	27ed970: Convert the return values to fit with the rest of pulse 0 == success, < 0 == failure
	405cf72: Convert to using pa_socket_client rather than using blocking IO.

2008-05-02	Colin Guthrie
	ce9a41e: Use _free rather than _destroy so as not to mix naming conventions.
	91edf9e: Use pa_sprintf_malloc to do simple concatenation rather than using the higher overhead of pa_strbuf

2008-05-01	Colin Guthrie
	6570620: Start the raop sink. It's based on pipe sink and isn't anywhere near finished. It does however compile.
	fef102e: Add a simple base64 library that will be used by the sink
	4847706: Add a RTSP client impelmentation.
	8c1c565: Add a small lib to interpret and produce headers as used in http style requests.

2008-10-08	Lennart Poettering
	068afb3: define 0dB in PA as maximum amplification
	a8dc2aa: enable flat volumes by default
	2dfc265: Merge branch 'flatvol'
	37b8c45: query the sink volume outside of the loop because it might be quite expensive
	34f6a51: use pa_sink_set_volume() for changing the volume
	b048ae9: check the maximum volume of all sink inputs instead of the average volume to avoid digital amplification in favour of attenuation
	404cf74: some minor reformatting
	8bc58cc: ignore sinks that do not carry decibel information
	776c8de: remove $Id$
	b6ccea3: add a comment that pa_sink_input_set_volume and module-flat-volume.c are related
	9f4033d: if a stream comes with now sensible properties attached, use common fallback db entry.

2008-10-07	Lennart Poettering
	68cc299: after calling PA_CORE_HOOK_SINK_SET_VOLUME hook, check again whether the volume changed
	46f73fb: additional validity checks
	e053fa0: if the channel map was modified due to PA_SINK_INPUT_FIX_CHANNELS, remap the specified volume properly
	e1dbc75: use pa_channel_map_init_extend() instead of pa_channel_map_init_auto() as channel map for sink inputs/source outputs in case no map is specified
	ae83483: modernize a few checks
	72024cd: when the volume is changed make sure we send out a subscription event
	624f220: instead of resetting virtual_volume unconditionally on initialization, do so only when no volume was set before
	5925d44: Merge commit 'origin/master-tx' into master-tx

2008-10-06	Luiz Augusto von Dentz
	3d7b76d: Unload module-bluetooth-device if the remote device disconnects.

2008-10-07	Lennart Poettering
	c8a963a: Initialize exit_idle_time to -1 instead of 0  when in system mode.
	1e513c3: Initialize exit_idle_time to -1 instead of 0  when in system mode.

2008-10-07	Marc-Andre Lureau
	80a79b1: flat-volume thingy
	4541274: volume hooks

2008-10-06	Lennart Poettering
	fa93cb7: make distcheck pass
	e26ffc9: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	be667af: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	0274651: bump version and sonames
	f64d6af: Merge commit 'vudentz/master'
	aa43739: make sure we send a started messages when we are uncorking

2008-10-05	Lennart Poettering
	5996f59: update module-tunnel for recent protocol changes
	f728e9c: disable valgrind macro usage for now since valgrind generates a lot of spurious warnings as it seems
	6d52a41: add missing include

2008-10-04	Lennart Poettering
	a9c1bb3: substract the unused record buffer size from the overall size before calculating the space still left for recording
	83b1d7a: get rid of pa_alsa_volume_divide() since we have pa_sw_volume_divide() now
	da4ad5e: implement pa_sw_volume_divide() and pa_sw_cvolume_divide()
	87c8132: increase suspend timeout to 5s so that it is always longer then the default tsched buffer size of 2s
	530b95f: don't call snd_pcm_drain() when we suspend because that might take awfully long with our long buffer sizes these days
	88130eb: add missing inclusion
	82c46f2: do not cleanup staticly allocated memory unless we are in valgrind mode
	3c19352: show valgrind status on startup
	9b00664: instead of checking for  directly use new function pa_in_valgrind()
	8222f12: add new API function pa_in_valgrind() to check for

2008-10-03	Luiz Augusto von Dentz
	fef63d7: Fix loading module-bluetooth-device with an invalid parameter.
	0c998b0: Replace handlers of deprecated Connected signals with new PropertyChanged.

2008-10-01	Luiz Augusto von Dentz
	b205fcc: Cleanup module-bluetooth-discover.
	20f68bc: Fix Connected signal handler.
	04677cb: Fix match rule problems.
	0be845f: Remove PropertyChanged signal handler.
	3b427b7: Add signal handlers for Connected signals.
	443ea47: Add match rules for org.bluez.Headset and org.bluez.AudioSink.

2008-10-03	Lennart Poettering
	7a1a147: rename pa_cvolume_snprint_dB to pa_sw_cvolume_snprint_dB since it is useful only for software volumes
	c0815de: allow - in sample names
	28af994: increase PA_CVOLUME_SNPRINT_MAX to a proper value and document that it is not considered part of the ABI
	bde142c: when checking the validity of a cvolume check whether all values are not -1
	c0a9e8b: add missing calls to map file
	ebb2ecb: add new API call pa_cvolume_compatible()
	619ed8a: add new API call pa_cvolume_snprint_dB()
	be77bcd: add new API call pa_cvolume_init()
	db975c7: extend documentation for pa_channel_map_init()
	2367212: make a few casts explicit to remove compiler warnings
	7c2cb77: a bit of late pa_bool_t'ization
	d56f375: treat a channel map only then as compatible with a sample spec if it is valid
	8919898: add new API function pa_sample_spec_init()
	8a50105: if a volume or channel map is invalid show so when printing it
	33b186e: user lrint() and friends in inner loops instead of normal C casts to speed up a few things
	1bb5e58: use PA_FLOAT32_SWAP where useful
	7d442e3: optimize mixing routines a bit by pulling the multiplication with the global volume out of the inner loop by applying it first to the per-stream volumes

2008-10-02	Lennart Poettering
	a0f4ffd: make sure we call pa_sink_process_rewind() if a rewind was requested under all circumstances
	ea82dec: when we mix into a 16bit accumulator make sure we clamp before we scale with a volume to avoid range faults when multiplying
	08cf9db: properly parse response to pa_stream_set_buffer_attr() calls. closes #370
	54afcf2: inform dsp_empty_socket() *after* we emptied the dsp socket, that it is now empty
	9f5d052: make simple protocol not crash when allocating a memory block

2008-10-01	Lennart Poettering
	cf3f80e: when killing gconf helper, loop over EINTR
	ea15ca9: PA_WARN_REFERENCE works only for ELF targets
	3853070: don't hit an assert if a kernel driver reports invalid dB information, instead just warn the user
	5d18b62: remove useless log message
	4b67ea1: remove useless log message, re #367
	99acad7: fix support for ALSA devices which lack dB information
	c4bdc2f: it's --daemonize, not --daemon
	9e79c87: Merge commit 'coling/master'
	644f39d: a few FreeBSD fixes, from alexis
	f04cfcd: replace module-volume-restore by module-stream-restore in system mode, too
	6d74504: it might be a bit too early to initialize bluetooth by default for now, since it's still very rough around the edges
	0c3eb9f: fix typo in default.conf, closes bug #354
	00b70a8: follow PropertyChanged signals from BlueZ
	d299ac5: Some man page updates, add missing documentation, other fixes.
	79ad4e6: Make the shared memory segment size configurable

2008-09-26	Nix
	a84b72b: esound auth-ip-acl fix

2008-09-23	Stelian Ionescu
	564ef2b: have make_random_dir respect $TMPDIR

2008-09-29	Lennart Poettering
	f5c301d: make module-bluetooth-discover actually load modules and smaller other fixes
	3f4bc03: all kinds of minor type, memory leak, initializatio fixes
	a35f84a: instead of failing when the requested sampling rate is not available find the next one that is higher
	aa1974b: Use the same module parameter names for module-bluetooth-device as for most other modules
	7923731: use TRUE for pa_bool_t arguments
	60e9744: remove a few compiler warnings in BlueZ code

2008-09-29	Fabian Affolter
	8c2a7c8: Some strings done in German translation

2008-09-27	Lennart Poettering
	87971c8: fix compilation errors in priority queue code

2008-09-26	Lennart Poettering
	9adf7c5: ignore bt proximity helper
	3ad8c04: add a generic priority queue implementation
	3e16d2f: make pa_idxset_trivial_compare_func() do a full compare instea of just equakity check
	183f2e0: some minor fixes and cleanups in the bt code

2008-09-24	Igor Pires Soares
	4b45985: pt_BR added to LINGUAS

2008-09-21	Herli Joaquim de Menezes
	7f8d4bc: Transmitted-via: Transifex (translate.fedoraproject.org)
	5108b3d: Transmitted-via: Transifex (translate.fedoraproject.org)
	62b4b58: Strings do PulseAudio traduzidas para o português do Brasil.

2008-09-12	Lennart Poettering
	6188737: make sure ~/.pulse exists before we create the runtime dir link beneath it

2008-09-11	Fabian Affolter
	18d8999: Some strings done in German translation

2008-09-11	Lennart Poettering
	d68c2c9: replace Makefile stub copies by symlinks
	8257214: enable bluetooth by default
	c0a1706: downgrade a D-Bus log message to debug
	db955e8: add trivial redirecting makefile to bt dir

2008-08-31	JoÃ£o Paulo Rechi Vita
	4ae124b: Move bluetooth proximity module to src/modules/bluetooth/

2008-08-30	JoÃ£o Paulo Rechi Vita
	8b02c2f: Change all int vars that doesn't allow negative values to uint

2008-08-29	JoÃ£o Paulo Rechi Vita
	78a3c72: Move bluetooth discover and device modules to src/modules/bluetooth
	76bae38: Cleanup some code
	6093e32: Remove some warnings
	02a9273: Free mempool

2008-08-28	Russ Dill
	447e027: Fix "file not found" error on load of module-bt-device for Ubuntu Intrepid Ibex

2008-08-26	JoÃ£o Paulo Rechi Vita
	8769bf4: Merge A2DP and SCO thread functions

2008-08-25	JoÃ£o Paulo Rechi Vita
	199bdf2: Add some more device properties to the sink properties list
	e2f3a86: Remove check for SIOCOUTQ and add proper includes
	dc4f796: Use union instead of different pointer types to the same memory area to make the code C99 compliant

2008-08-21	JoÃ£o Paulo Rechi Vita
	d1cc632: Move render and write to the fd to a separate function
	88a21e9: Change MIN/MAX to PA_MIN/PA_MAX
	27bc1ea: Remove unnecessary initialization of getcaps_req->flags
	027940b: Remove u->channels and u->rates, since it's redundant info
	0e81757: Fix some memory leaking
	e752cac: Change sbc_initialized to pa_bool_t

2008-08-20	JoÃ£o Paulo Rechi Vita
	708905c: pa__done for module-bt-device

2008-08-19	JoÃ£o Paulo Rechi Vita
	61013fb: Fix some debug messages and other cosmetic changes
	e570767: Refactor a2dp thread execution flow and improve time estimation

2008-08-17	JoÃ£o Paulo Rechi Vita
	2f455bf: A2DP poorly working
	c89301d: Fix sample size
	e545479: Fix block_size calculation

2008-08-16	JoÃ£o Paulo Rechi Vita
	b5c4d2e: Configure bt connection for a2dp
	85a931f: Get rid of hw_constraint function. It's code now lives inside bt_setconf().
	77138dd: Change default sink name to bluetooth_sink

2008-08-15	JoÃ£o Paulo Rechi Vita
	6c10b10: Try to improve time estimation
	123ba4f: Fix handling of PA_SINK_MESSAGE_GET_LATENCY
	0d37b91: Remove PA_SINK_NETWORK flag and move the passage of streamfd to the rt thread just before the thread creation

2008-08-14	JoÃ£o Paulo Rechi Vita
	435eb07: Change pa_sink_render to pa_sink_render_into_full and remove some unnecessary checks on the rt thread
	2e51b93: Make stream socket non-blocking
	71f1d68: Fix block size for SCO
	fcd7dc1: Add include for core-util.h
	eb1e308: Initialize rtpoll_item

2008-08-13	JoÃ£o Paulo Rechi Vita
	0519e5d: Add include for sample.h
	d48961f: Change close() to pa_close()
	b4ded21: Change strerror() to pa_cstrerror()
	16d5aab: Get rid of SINK_MESSAGE_PASS_SOCKET, since we don't really need it
	aa310a4: Changes for pa_modargs_get_value_u32 for integer arguments and correct some error messages
	0396a60: Copy arguments values instead of just getting a pointer for them

2008-08-11	JoÃ£o Paulo Rechi Vita
	f992296: Hand the stream socket to the rt thread
	255f9b0: Initial code for rt thread
	b8b761a: Fix PA_USEC_PER_SEC missing
	a3f0756: BlueZ connection configuration done
	e7b0839: Adds SBC Codec to pa tree

2008-07-31	JoÃ£o Paulo Rechi Vita
	c62c2ff: Add module-bt-device and dependencies to automake
	ee68292: Initial file for module-bt-device
	d8a0ec5: Add code from bluez/audio/ipc.[ch]
	ffe76a2: Add sender=org.bluez to dbus add match

2008-07-24	JoÃ£o Paulo Rechi Vita
	fe8bd53: Remove modargs, since module-bt-discover doesn't have any argument

2008-07-23	JoÃ£o Paulo Rechi Vita
	1e03c32: Refactor all linked lists to use pulsecore/llist.h

2008-07-22	JoÃ£o Paulo Rechi Vita
	d893a1f: Remove block delimiters from single line if blocks
	cadc666: Remove some unused vars and labels
	a69c020: Change booleans to pa_bool_t
	d90bb18: We don't need call_dbus_method anymore
	9907b46: Don't need to explicity check if hcid is running anymore
	2b68562: Improve dbus communication

2008-07-21	JoÃ£o Paulo Rechi Vita
	e5d25e0: Changing all private functions to static
	3909d9b: Remove VERBOSE definition
	c9f5659: Adding dynamic bluetooth audio devices detection

2008-07-18	JoÃ£o Paulo Rechi Vita
	314dade: Fix the symdef include

2008-07-17	JoÃ£o Paulo Rechi Vita
	6fccd58: Fix comparison of strings of different case
	9d18b90: Adding module-bt-discover to Makefile.am
	8b511f5: Adding module-bt-discover

2008-09-10	Omair Majid
	2ab4bb7: fix pa_stream_set_name

2008-09-10	Piotr DrÄg
	64a81d9: Added Polish translation to LINGUAS
	42fdcb7: Initial Polish translation

2008-09-09	Arthur Taylor
	f6670a1: stream_started_callback userdata bug

2008-09-10	Lennart Poettering
	636b520: fix S32 validity check

2008-09-09	Lennart Poettering
	5538c18: add src/pulsecore/lock-autospawn.c to POTFILES.in
	8f604bf: bump revisions
	17436b2: make sure peaks resampler also works for very short input buffers
	0deb6a4: minor improvements in debug handling
	4050447: unbreak pa_idxset_rrobin
	3a46bbe: When returning from a suspend, pass exactly the same flags as originally when we opened the device.
	25b200c: fix minor typo
	f4c2f00: Work around presumable ALSA bug that treats the dir argument to snd_pcm_hw_params_set_periods_near() actually as > or < instead of >= and <=.

2008-09-08	Lennart Poettering
	c7a7765: Merge branch 'master' into master-tx
	821dc17: move autospawn lock to pulsecore/ since we don't need it in the client anymore

2008-09-06	Colin Guthrie
	cd704f8: Linking fix for rtclock on libpulsedsp

2008-09-06	Robert-AndrÃ© Mauchin
	6b034f5: Updated LINGUAS: el, fr, sv added.
	a571242: Added French translation.

2008-09-05	Daniel Nylander
	77f57f3: Added Swedish translation.

2008-09-05	Lennart Poettering
	f216402: Add new option to disable remixing from/to LFE and set it to on by default
	33d349d: include build and runtime host information in debug output
	fb837f0: rework autospawning to allow to multiple parallel autospawning contexts
	994ff98: connect to localhost via IP address instead of host name, to avoid needless NSS lookup
	89ed507: if we are exiting due to cpu overload, say so via syslog, too
	f52fb64: if we are exiting due to idleness, say so
	a609e4a: check for errors returned by pa_context_connect()
	3f6f13f: use pa_channel_map_compatible() where applicable
	b56f344: a few minor clean-ups
	3429072: introduce upper channel map definition limit PA_CHANNEL_MAP_DEF_MAX
	ece297f: update map file
	cb0c97d: add new API function pa_channel_map_compatible()
	5a9a602: update map-file script to ignore gcc malloc attributes
	4562849: update documentation and help texts for s32le/s32be sample types
	12c5c62: Downgrade hrtimer warning to notice level

2008-09-03	Lennart Poettering
	11cc072: Merge commit 'origin/master-tx'
	bf403fe: introduce macros for all flags so that clients can check for them with #ifdef
	cbd8e60: use PA_STREAM_EARLY_REQUESTS for OSS streams

2008-09-01	Marc-AndrÃ© Lureau
	79009d2: command_get_info() segv in some conditions

2008-09-03	Lennart Poettering
	c402de7: reindent comments a bit
	40b66a0: Implement "early requests" mode.
	99d5ec6: Rework pa_machine_id() a bit
	5f93113: fix misuse of return value

2008-09-01	Lennart Poettering
	2c2b271: use gcc malloc attribute macros for internal functions, too
	5467cc3: drop -Winline from build cflags
	4348faf: don't include leagacy definition PA_STREAM_NOT_MONOTONOUS in docs
	f6e187f: prefix  internally used inline function with _
	70b820d: add gcc malloc related function attributes where appropriate
	e015879: add malloc related gcc attribute macros
	82ea8dd: avoid rounding errors on requested buffering metrics
	002e7a7: output relative timestamps in addition to absolute timestamps when logging
	a1c857a: include more build info in debug output

2008-08-31	Lennart Poettering
	1c4ad4b: rework device opening code: work around broken SND_PCM_NO_AUTO_xxx support in ALSA <= 1.0.17a

2008-08-31	Fabian Affolter
	1d319b0: Some string in German translation done

2008-08-30	Lennart Poettering
	34bcba6: remove a few more gcc warnings

2008-08-29	Lennart Poettering
	13018d6: fix a few compiler warnings on older gcc
	506eacc: reword amd64 message
	1acf394: change default log level for the library to PA_LOG_ERROR to avoid spamming to stderr more often
	086fa95: downgrade a few messages
	a45440d: the native atomic ops implementation for amd64 seems to work fine
	ca38446: Change return value of cmpxchg atomic op to pa_bool_t
	bdcb3a4: optionally add timestampts to every line logged
	54da71e: reduce needlessly large gdbm cache a bit
	450fe17: fix up latency before calling into stream code, to make sure we don't ask for too much data to early
	63505be: add missing config.h inclusion
	6723699: rework pa_ulog2 and base it on __builtin_clz if available, make pa_make_power_of_two based on it

2008-08-29	Marc-AndrÃ© Lureau
	d10e5e5: Add CFLAGS information on start-up

2008-08-29	Fabian Affolter
	f2c790d: Initial German translation

2008-08-28	Lennart Poettering
	bb8263b: add byte-to-usec and usec-to-byte converters that round up, not down
	f79c665: document in which direction we round

2008-08-27	Dimitris Glezos
	6685a14: Started Greek translation

2008-08-26	Ed Catmur
	3d07cc8: alsa_error_handler should note source of errors

2008-08-26	Lennart Poettering
	8df5b2d: increase pa_xmalloc() limit to 96 MB, closes #344
	fd3c6b0: fix typo
	f9713d1: Fix error code in pa_stream_get_timing_info()
	0a1f654: call close() in a loop to catch EINTR

2008-08-22	Colin Guthrie
	2a78f86: Fix more linking issues in x11-publish and stream-restore
	4282b72: Merge branch 'master' of git://git.0pointer.de/pulseaudio

2008-08-20	Lennart Poettering
	dc9b8dc: add a few missing casts
	a3e57da: add doxygen documentation for ext-stream-restore.h

2008-08-19	Lennart Poettering
	6baec25: use final glibc eventfd() instead of our homegrown syscall invocations
	8e71787: rework cpu limit logic to use monotonic instead of wall clock time
	961aa18: simplify pa_start_child_for_read by using pa_close_all()/pa_reset_sigs()/pa_unblock_sigs()
	b7026bf: add a few more gcc warning flags and fix quite a few problems found by doing so
	047eb52: run autoupdate
	2ca0533: update gitignore
	70f4a85: require ac 2.62 in bootstrap.sh

2008-08-18	Lennart Poettering
	3d2d6ca: Merge commit 'flameeyes/autoconf-2.62'
	46f0f9e: a few modernizations
	e65c514: don't unref pa_native_options object twice
	5cc2187: add some code to make invalid valgrind warnings go away
	c6b1888: bump release
	b8ba2de: restore volume/device for streams only when it wasn't set before
	ec62596: allow clients to not specify the volume for their streams
	c35d1bb: rework validity checking of sink/source/... names
	d315dcf: save a bit of memory
	67858c6: fix type error

2008-08-17	Russ Dill
	74719c2: Fix up overzealous HAVE_LT_DLMUTEX_REGISTER block

2008-08-15	Lennart Poettering
	8d596a9: Make Multicast TTL for RTP configurable, patch from 'dfort'
	f84536b: apply newly configured rules properly
	63402b3: apply volumes properly more than once in a row
	512c24c: apply the correct rules to sink inputs
	f68a6e5: don't restore devices for direct-on-input streams
	5a0e014: disable hotplug sounds by default

2008-08-13	Lennart Poettering
	916899a: pass force_refresh=FALSE to all volume/mute read invocations
	abd85af: drop 0db reset functions since they are not necessary anymore
	8a10eba: extend hardware dB scale in software to full range if necessary, instead of reverting back to software-only volume control
	3ec4a5d: rework volume/mute APIs: split out pa_xx_set_soft_volume() and add force_refresh argument to read functions
	29daef7: add new function pa_alsa_volume_divide()
	8ab85fd: reword some log messages
	e4adcf7: add new API function pa_cvolume_max()
	a176f68: reset lock_fd_mutex after destruction
	3c88af7: fix protocol destruction

2008-08-11	Lennart Poettering
	7c5a959: initialize IP ACLs properly
	8ca254c: fix two uninitialized memory accesses
	c4dff4d: otpimize mixing code a bit by moving a few checks out of the inner loops
	5b2a837: optimize volume changing a bit by only using a single counter for the inner loops instead of two
	b604290: adhere to struct gcc aliasing rules

2008-08-09	Lennart Poettering
	b218404: fix bad memory access
	72f520f: make gcc shut up
	afbfd5d: adhere to C strict aliasing rules
	432b4e5: don't use PA_GCC_UNUSED anymore
	9996213: free regex_t after use
	15cebba: rework autospawning code to survive multiple pa_contexts in a single process
	b4a5669: print reason when we fail to kill a running daemon
	ee4c350: set errno properly in all functions from pid.c
	d8119af: set errno properly in all functions from core-util.c
	9cf1a4e: add locale support to pa_parse_boolean()
	c4d32ec: set errno properly in all cases

2008-08-08	Lennart Poettering
	6df029a: make sure we don't crash if pa_thread_join() is called more than once on the same pa_thread object

2008-08-08	Diego 'Flameeyes' PettenÃ²
	016fcd9: Reduce rules for man pages generation to pattern rules.
	89f492a: Replace some manual build tests with AC_CACHE_CHECK and AC_COMPILE_IFELSE.
	daf3e8b: Create a new macro for checking compiler support for TLS.
	81969a7: Replace the CFLAGS-checking code with a common macro from xine-lib.
	a6e4507: Use AC_PROG_CC_C99 to discover C99-compliant compiler.
	f46ae10: Create an m4 directory for common macros and use it.
	66512f3: Remove gettext macros from configure.ac, intltool is used.

2008-08-07	Diego 'Flameeyes' PettenÃ²
	07395ce: Bump autoconf requirement to 2.62 (latest released version).

2008-08-08	Diego 'Flameeyes' PettenÃ²
	29fca62: Fix man pages generation when building out of tree.
	8a3d666: Fix building again libtool/ltdl 2.2.4.
	f8197cf: Update code to use libtool 2.2. Use convenience recursive libltdl.
	2da79d5: Create an m4 directory for common macros and use it.
	f4e9b7d: Remove gettext macros from configure.ac, intltool is used.

2008-08-07	Diego 'Flameeyes' PettenÃ²
	4a51e1c: Bump autoconf requirement to 2.62 (latest released version).

2008-08-07	Lennart Poettering
	40ff5fa: add compatibility with older PA socket paths
	75b28e9: remove some leftover debug string
	ecb2bc4: Modify pa_state_path() to take an additional argument for prepending the machine id to the file name.
	bd05b36: Rework state/runtime directory logic
	4e6fb67: don't spam to stderr in API functions
	0075649: print machine id during startup
	73e2577: add new function pa_machine_id()
	b84f738: translate error strings

2008-08-06	Lennart Poettering
	b983c0b: include host name in default sink/default source file
	bb7f80d: fix a few things in the translations
	4a44084: add basic german translation
	31bfd6a: fix channel position string
	ff6bb7a: add a few configuration sanity checks for system mode
	a4762ab: add disallow-exit to default configuration file
	756fac8: add new switch --disallow-exit
	f1d2bf8: add i18n support
	c4a953d: remove authkey-prop from tree
	b4e8cac: don't include authkey-prop.h anymore
	9fde00e: fix a few potential bad memory accesses

2008-08-05	Lennart Poettering
	34dd4a2: fix shutdown when --disallow-module-loading=1 is passed
	ca12753: add a function to dump the stream database for debugging purposes
	8a156d1: don't enforce valid callbacks for extension module APIs
	98b8163: allow extension messages to actually carry information
	e0dd72a: fix error path (spotted by Coling Guthrie)
	f57b915: fix a few more copy/paste errors

2008-08-04	Lennart Poettering
	78236af: fix copy/paste error
	163f107: fix documentation to follow what actually happens
	64a2367: inherit proplist on sample playback from client
	03cd37e: remove port definitions from header file since they are not actually used yet
	7de3ab5: add missing C++ checks in header
	9f5c1c6: pa_bool_t is not exported
	dd07276: ignore PA_GCC_DEPRECATED and PA_GCC_PRINTF_ATTR when generating map file
	51d181c: update list of exported symbols

2008-08-03	Colin Guthrie
	580c434: Fix linking

2008-08-04	Lennart Poettering
	0cc674d: wrap protocol extension of module-stream-restore
	88c3db6: add protocol extension to module-stream-restore
	6cc3a61: store channel map in database and remap volumes if necessary
	eec623a: add hooks for connection creation/deletion, for that export pa_native_connection
	c01f0bc: split out save trigger function
	32cf9db: store channel map in database and remap volumes if ncessary
	5880516: add new API function pa_cvolume_remap()
	cd5afb8: don't hit an assert if  when process_rewind() is called with nbytes=0

2008-08-03	Colin Guthrie
	bf17dbb: Merge branch 'master' of git://git.0pointer.de/pulseaudio
	ec78981: Fix linking
	5744237: Merge branch 'master' of git://git.0pointer.de/pulseaudio

2008-08-03	Lennart Poettering
	5f69b5d: load module-device-restore and module-stream-restore by default, don't load module-volume-restore anymore
	ad76ca0: add new module module-stream-restore
	ec19f2b: a bit of refactoring
	d7b138d: fix uninitialized memory access
	a6c11be: define CANONICAL_HOST as macro for the GNU canonical host
	04ffac5: add extension system for native protocol
	9bfd67f: store load_once flag for module
	114f290: add a new error code PA_ERR_NOEXTENSION
	23bde22: start idle timer even when no module is ever loaded
	f417bb4: some pa_bool_t'ization
	065e764: make all protocol objects global singletons
	aaaafb0: use pa_channel_map_init_extend() instead of pa_channel_map_init_auto() to make things more robust
	1ae1dfc: simplify a bit
	0a2fced: add new api function pa_cli_get_module()
	5042284: introduce pa_cli_eof_cb_t
	084f429: rename pa_hook_free() to pa_hook_done() since the hook struct is allocated on the stack not via malloc
	34c4354: use @ as seperator between shared name variable and instance
	5916b5b: make sure we don't leak userdata struct
	32f63f2: allow running of PA with a valgring that doesn't know cap_set_caps
	06712c2: add new auth cookie singleton

2008-08-03	Sjoerd Simons
	98fbd24: fix iteration over random devices

2008-08-01	Lennart Poettering
	d36c5c9: rename props.[ch] to shared.[ch]
	edc56a7: rename pa_property_xxx to pa_shared_xxx to avoid confusion with property lists
	a5a7b79: fix build without ALSA

2008-07-31	Lennart Poettering
	d757dc7: Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
	5150738: a bit of pa_bool_t'ization
	4f3193d: allow global tsched setting for all modules loaded by module-hal
	4ccbc4d: reword comment on dbus a bit
	026a6bd: Work around D-Bus bug that involves dbus_shutdown() to call exit() when it shouldn't. Patch from Coling Guthrie

2008-07-31	Stanley Cai
	80428d8: A fix on src/Makefile.am

2008-07-30	Colin Guthrie
	b30a5d6: Merge branch 'master' of git://git.0pointer.de/pulseaudio

2008-07-30	Lennart Poettering
	0b428e7: don't allow --start in system mode
	656d243: use the right LIBICONV macro, spotted by woglinde, closes #324
	c39a0bf: bump needed automake version
	881046b: install a default system.pa

2008-07-26	Petteri RÃ¤ty
	90569d3: Make the alsa error message give out the needed version.

2008-07-30	Lennart Poettering
	3c6da6e: don't pass rediculously high values to umask()
	b7b4b5e: remove debug message

2008-07-29	Lennart Poettering
	bb00934: hide doxygen docs from git
	68ae1d4: fix two thinkos in signal reset/close_all code

2008-07-24	Lennart Poettering
	e3fb086: make module-hal and module-ck live together in peace
	49f09d6: fix destruction of dbus modules: make sure we don't leave filter function registered after unreffing the dbus connection
	23a3c55: hide start-pulseaudio-x11
	888256b: reset dbus error struct before retrying parsing messages

2008-07-23	Lennart Poettering
	e7b9da3: add missing pieces for new startup logic
	c95d0d7: bump api verson
	32e93d5: follow consolekit's recent D-Bus API change, original patch from William Jon McCan
	c415479: allow module-x11-xsmp to be loaded more than once
	1f10ca4: don't break if we fail to resume access to an audio device
	7140bdd: bump alsa dep to 1.0.17
	1401d36: make missing gdbm fatal (spotted by Betelgeuse)

2008-07-22	Lennart Poettering
	5edbb57: don't drop caps if we are started as normal root user
	3888bfc: enable exit-on-idle by default

2008-07-21	Lennart Poettering
	c1f9f95: prepare doxygen docs for 0.9.11
	d0530b0: fix gconf autoconf check

2008-07-21	Colin Guthrie
	0e1936f: Merge branch 'master' of git://git.0pointer.de/pulseaudio

2008-07-16	Lennart Poettering
	46a35c6: forward process_msg calls to the generic source handler, not the generic sink handler
	ff3f435: try to bypass alsa softvol, since it is broken when used with snd_pcm_rewind()

2008-07-03	Colin Guthrie
	0786de2: Fix documentation of constant: PA_VOLUME_MUTED (not PA_VOLUME_MUTE)

2008-07-04	Lennart Poettering
	297267b: Merge branches 'master' and 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio

2008-06-28	Lennart Poettering
	1568fcc: get rid of our internal copy of the speex resampler. Instead, link against a system-installes libspeexdsp
	98c26b1: add proper update_max_request handler to native protocol streams
	e6ffec5: make sure we call pa_sink_process_rewind() under all circumstances if a rewind was requested before we call pa_sink_render()

2008-06-27	Lennart Poettering
	c7ebe2b: ignore ~ files
	c0e3c25: add additional file when updating speex resampler
	32fce4d: update speex resampler
	2490f69: update ffmpeg resampler from upstream SVN
	0fb402c: simplify handling of rewrite requests
	89620d3: handle rewind requests
	f0e5cd1: handle rewind requests
	913bbd4: save a bit of memory
	36021b1: modernize idxset a bit, reduce memory consumption, get rid of pa_idxset_foreach()
	113c62b: halve memory consumption of mempool flist, since we know we cannot have more than n_blocks entries in it
	c26be0d: modernize hashmap implementation a bit, reduce memory consumption a bit
	6dca92b: rework the flist implementation to halve memory consumption by merging the state field and the pointer in the flist cells
	a087014: some modernizations
	232c955: rename pa_queu_is_empty() to pa_queue_isempty() to follow idxset/hashmap nomenclatura
	3db7dcb: save some memory by increasing the dynamic array at a slower rate
	c0f97aa: some modernizations
	12278f4: fix typo in man page, closes rhbz #447355
	0540032: fix underrun detection for prebuf=0 streams
	7755f75: use (uint32_t) -1 to signify default buffer_attr values instead of 0, to allow prebuf=0
	2b764d4: fix crash when using sync'ed streams
	06ab488: cork/uncork before we ask for the rewrite, to make sure the rewrite actually gets trhough

2008-06-26	Lennart Poettering
	9f0afb3: always forward rewind requests to the sink, and don't abort on nbytes=0
	d08cac0: some svn->git updates in the Makefile
	ee79b05: rework logic to request automatic timing updates a bit
	4b8c4ef: reorder a few things to get rid of an uneeded comparison
	97084e8: add a FIXME
	7d3d3fc: move initialization order of validity bools around a bit
	36d6c71: unify smoother pause/resume handling in a single function check_smoother_status()
	dcbb7f2: convert to double only once, and make sure we can deal with negative results of -y
	eab1cb8: make sure to call process_rewind() under all circumstances before we do the next loop iteration
	1e36b57: use the newer name for monotonic/monotonous
	2c5a33d: remove redundant check
	85b83e8: properly initialize pa_stream::corked based on the flags
	1514d13: split pa_memblockq_flush() into two flush commands, one which fixes up the read ptr, and one which fixes up the write ptr
	5fccac9: comment two functions in memblockq.c
	ec10f5f: use the bight lighter _silence() instead of _flush() when destructing our little q
	dd8b909: fix up if the smoother shall be resumed 'before' it was actually paused
	b4302ca: fix up monotonicity of input to _get() instead of hitting an assert
	63b68f4: call the enum PA_STREAM_NOT_MONOTONIC and make PA_STREAM_NOT_MONOTONOUS an alias for that
	df2650e: fix return value of pa_namereg_make_valid_name()

2008-06-25	Lennart Poettering
	c5cbeb5: choose more sensible default buffer sizes for old clients

2008-06-25	Colin Guthrie
	517727e: Add xmltoman to the distribution. This saves pulling in an external dependancy

2008-06-24	Colin Guthrie
	5099ab7: Export the cleanup_name() function and rename it to pa_namereg_make_valid_name(). This will allow it to be used by modules to create valid sink names.

2008-06-24	Lennart Poettering
	ac03254: Merge branch 'master' of git://git.debian.org/git/pkg-pulseaudio/pulseaudio-upstream
	398514f: call update_source_requested_latency callback for source outputs only when it is set to non-NULL

2008-06-23	Lennart Poettering
	c22d8b9: don't refer to nonexisting pa_stream_read() function
	57aee6d: include proplist.h in pulseaudio.h

2008-06-23	CJ van den Berg
	1562671: Merge dead branch 'glitch-free'
	126e4cf: Merge dead branch 'lennart'
	0be9bc2: Merge dead branch 'lockfree'
	63c1eb1: Merge dead branch 'ossman'
	a87ba42: Merge dead branch 'liboil-test'
	1a3984c: Merge dead branch 'prepare-0.9.10'

2008-06-22	Lennart Poettering
	8885ddf: support file-based capabilities instead of SUID root for giving PA rights to acquire RT/HP scheduling: setcap cap_sys_nice=ep /usr/bin/pulseaudio

2008-06-21	Lennart Poettering
	ab93f2a: fix deadlock when resuming oss sinks
	2199b8e: Properly check for home directory
	d0e26a5: Don't fail when we cannot determine the lock file path
	d1362b5: call the right function in the right context
	d9f8b6a: since the sink is unlinked before the sink input we need to make sure we don't call any function for unlinked sinks from any sink input callback
	947d8b4: execute detach callback before we change the state to UNLINKED
	37bc240: allow sinks to be created with max_request initialized to 0, so that the data can be filled in later when attaching to some piggybacked sink

2008-06-20	Lennart Poettering
	d3c1c92: Request a rewrite immediately after we have been linked, so that playback starts immediately
	add6c03: Rework module-combine to work with glitch-free core; add new max_request field to pa_sink
	1420e1d: fix interpretation of remix parameter
	6c980c2: add new abstract device class
	2b112fe: add new function pa_smoother_reset()

2008-06-19	Lennart Poettering
	11e55fe: add new remix= parameter to remap sink

2008-06-18	Lennart Poettering
	fd5a1b1: remove trailing spaces
	c2fa11e: make user of pa_channel_map_init_extend() wherever it makes sense
	132e73b: add new API pa_channel_map_init_extend() to synthesize a channel map if noone is known
	b95cf52: ignore tarballs
	822366a: remove remaining $
	8ae83d6: get rid of svn $ keywords
	6c4edd1: add missing gitignore files
	b5a0802: add another .gitignore file, this time for pulse/
	3bf61ba: Add a .gitignore file for the src/ directory.
	63daee5: Add a small README with the new git URLs and stuff

2008-06-17	Lennart Poettering
	9020543: if building a man page fails remove the output to make sure that calling make repeatedly will actually work
	ac58f8d: fix man page xml
	ba64de8: reset prebuf if it is too large
	038a033: limit the prebuf value by tlength
	b28c6e9: bring module-tunnel back to life
	8ba8265: server side of new shm negotiation scheme; fix a bad memory access
	0d0911f: rework shm usage negotiation; merge a few pa_bool_t in a single bit field to save a bit of memory; drop redundant implementation of pa_init_proplist()
	36c5259: minor modernizations
	53987e6: make use of the pa_init_proplist() version in proplist-util.[ch]
	0e32db2: move pa_init_proplist() to proplist-util.[ch]

2008-06-16	Lennart Poettering
	ce001aa: add missing const to a few functions
	fa53443: add pa_memblockq_get_base()
	7dffccd: add Nokia copyright
	71aca29: check for packet size on server info data
	1fe2f2c: use new pa_sink_set_latency_range() in null sink
	f2efe93: a few modernizations
	f4e2750: add new function pa_iochannel_socket_is_local()
	3b691c2: make use of the new pa_socket_address_is_local() function
	30a8800: add new functions pa_socket_is_local() and pa_socket_address_is_local()
	2af2433: add missing inclusion

2008-06-14	Lennart Poettering
	4cf508e: minor modernizations, increase unload timeout to 60s
	ce53497: avoid division by zero when informing user about unloaded lazy samples in the sample cache

2008-06-13	Lennart Poettering
	bf51a4a: update todo
	b27cc1d: fix a bad memory access pulsecore/client.c
	7bae1ba: rearrange things
	e9c13e2: consider passing the same argument twice to a module an error, also consider a variable name without following = an error
	8dd59a6: sometimes a simple memset() is much faster
	5c149e2: fix a minor memory leak when unloading m-c-k

2008-06-12	Lennart Poettering
	d39d6c9: drop hal inclusion from module-console-kit.c

2008-06-12	Colin Guthrie
	39f59cd: Trivial typo fix in debug log message.

2008-06-11	Lennart Poettering
	92e4fb3: merge Colin Guthrie's module-always-sink module, and add priorization to the hook subsystem while doing so.
	1337afd: enable auto-spawning by default
	b3444d6: enable ConsoleKit support and positioned event sounds by default
	ac0f527: add new switch --start to the PA binary which allows starting PA if it is not running yet. In contrast to normal startup an already running PA will not be considered an error. Also, take the autospawn lock so we can guarantee that after this call returns PA is ralive and running
	c33db3c: don't exit when the XSM signals us a session exit. instead just unload all X11 modules
	a180edd: move pa_core_check_quit() a bit later
	46d17f0: reformat things
	f7ff9e2: install auto unload time event only when we have at least one auto unload module
	2cc95df: add new module-console-kit which tracks ck sessions to avoid termination when there is still some session using the PA instance
	62dde3f: add new module module-position-event-sounds for positioning event sounds in space
	67fde59: replace pa_atof() by pa_atod() because floats are lame
	ca36968: update well-known property list

2008-06-09	Colin Guthrie
	71fefa7: Do not invalidate the cookie if no file was specified. Only invalidate it when a cookie-file is specified and it is not loaded/parsed correctly. This fixes a bug introduced in r2494

2008-06-03	Colin Guthrie
	3e4afae: Rejig r2495 slightly and directly compile the necessary source files as libpulsecore.so is not available when libpulsedsp.so is built
	3166ce8: Also link libpulsecore.la to some libraries (needed for logging). Discovered while compiling with --as-needed
	78ae612: Perfer client.conf over X11 property variables. To explain: X11 properties are always set on the root window if pulseaudio is started during X11 login (which is the most likey time to start it). This means that any settings specified in client.conf will almost never be used. As the default client.conf is empty it makes more sense to listen to it if a user cares to bother altering it.

2008-06-03	Lennart Poettering
	9a501ef: fix a compiler warning on ARM due to missing cast, patch from Jyri Sarha

2008-05-29	Lennart Poettering
	c98516b: update props
	8431fb1: allow on-the-fly deleting of hashmap entries wile we iterate through them

2008-05-27	Lennart Poettering
	c4f60d5: never hand out more data from a sink input than requested. Otherwise the resampler might run for too long and we get a heavy delay/underrun
	7297bd9: always expect name field in upload datagram
	307645e: fix esound proto to not crash
	21dedcb: readd name field to upload datagram
	d332439: fix a minor memory leak

2008-05-21	Lennart Poettering
	28405e3: big mumbo jumo of interleaved patches. * Use seperate "state" and "config" paths * Pass the fact that we are in system mode via an env var $PULSE_SYSTEM instead of as var in pa_core * Properly check proc name when checking PID files. Don't check exename, because we cannot read that for other uids
	6be0c75: move device volume file to state dir
	9f86d0f: move default device from runtime to state dir
	32c53f3: move volume restore table from runtime to state dir, fix another compiler warning
	2ed84ed: define PA_SYSTEM_CONFIG_PATH and PA_SYSTEM_STATE_PATH for C
	29c7ded: deal with failing pa_runtime_path()
	dd662d5: properly handle if pa_runtime_path() fails
	341042b: make state and config path for system instance configurable
	8125a75: fix a compiler warning
	9303cdd: add O_NOCTTY
	a9c80b4: add new functions pa_state_path()/pa_get_state_dir(), change return value of pa_startswith()/pa_endswith() pa_bool, add pa_in_system_mode() and pa_streq(); alow pa_unlock_lockfile() without file name spec

2008-05-18	Lennart Poettering
	d65b901: fix daemon shutdown with active monitor streams
	174d830: ignore close-test binary
	b467791: add a small test program for pa_close_all()
	ef4c6bf: remove a misplaced assert
	7df3c4f: make sure we don't hit an assert when autospawning
	3c7a795: fix pa_close_all() to make it actually work as advertised
	0a2b6dd: fix a misplaced assert

2008-05-17	Lennart Poettering
	940f898: fix return value of noop pa_limit_caps()
	3bbc376: add another assert to catch sleep time miscalculations easier
	7d0b595: use pa_source_set_latency_range()/pa_sink_set_latency_range() in the ALSA drivers; fix sleep time calculation
	de8a386: use pa_source_set_latency_range()/pa_sink_set_latency_range() in the ALSA drivers; fix sleep time calculation
	58487ee: use pa_sink_set_latency_range() where applicable
	7e5e015: link latency of monitor source to sink
	9b44665: add new function pa_source_set_latency_range(), fix type of requested_latency
	2e71f4d: only unref memblock if there is one
	971342d: dump latency metrics for recording streams, too
	6285a46: fix peak detection pseudo resampler
	e35bae8: fix pa_stream flag checking
	856a2f9: type fixes for constants
	b2f8aec: type fixes for constants
	b709ab5: fix a minor compiler warning
	85d9abe: declare the explicit type for our PA_xSEC_PER_ySEC constants

2008-05-15	Lennart Poettering
	b8849f5: bump so revisions
	a1639e1: also update PROTOCOL
	045c1d6: merge glitch-free branch back into trunk
	3aadad1: update protocol spec
	43dfc2a: follow recent alsa sink changes in the alsa source
	734f071: decrease default tsched buffer to 2s to reduce overall memory consumption
	813d40c: fix up requested latency when we move a record stream
	e3c5a77: fix moving of record streams
	99a4516: don't access stream before it is valid
	74f8a67: fix suspend for alsa sink
	f021538: export a couple of more functions from libpulse
	e0dc1e4: Print message when stream started playback, use terminal sequence to clear line when printing that message
	86ea73a: reduce malloc() usage when logging, to minimize the hit of logging in RT threads. Not complete yet, i18n still uses malloc
	b57c520: add pa_vsnprintf()
	1a2e5a8: add adaptive resampler to the RTP receiver, other modernizations
	cfc4842: export a few more properties for RTP streams
	f96a8ad: increase default mempool size, make mempool_slot an abstract struct because the only fields it defined where actually unused
	70c5967: increase shm size limit, modernizations
	2bc77ff: reduce number of allocated memblocks when receiving RTP data by reusing blocks
	d10ee7d: more pa_bool_t'ization
	c801d08: use pa_bool_t
	076ffa3: add 'stream' as media role
	1b7157a: add PA_REFCNT_INIT_ZERO
	6895280: add pa_ulog2()
	103ceaa: add pa_memblockq_get_nblocks()

2008-05-14	Lennart Poettering
	df73688: modernizations
	37813d9: modernizations
	787b869: initialize volume properly, set more properties, modernizations
	2eca8c9: don't spam us with wakeup msgs in non-tsched mode
	9c48ed1: update pipe source for glitch-free, too
	8baa1a4: fix pipe sink for glitch-free
	dd29f67: fix braindead mistake
	94c269e: some fixes to make the esound protocol work on glitch-free again
	8df6529: some fixes to make the simple protocol work on glitch-free again
	c5faeb1: store peer name in native-protocol.peer property
	aae8beb: if zero is passed to pa_memblock_new() allocate largest memory block possible from mempool

2008-05-09	Lennart Poettering
	f124445: fix module-sine for glitch-free
	df92b23: - Fix moving of sink inputs between sinks - Don't write more than a single buffer size in the ALSA driver at a time, to give the clients time to fill up the memblockq again - Add API for querying the requested latency of a sink input/source output - Drop get_letancy() from vtable of sinks/sources
	580d563: modify test to generate data events out-of-order
	0ea0e06: make sure the smoother code can deal with incoming data that is out-of-order; start smoothing only when we have at least a configurable number of entries in our history
	e97a347: bah, english sucks

2008-05-08	Lennart Poettering
	1f196e7: fix some comments

2008-05-07	Lennart Poettering
	7b5c6a3: fix recording
	21fa1cf: double default asyncq size
	876d5b4: fix a race condition when tearing down the ladspa/remap sink
	6f4d44b: apparently alsa expects us to free the memory for card names
	d21f458: fix a memory leak
	9354da4: make memchunk/memblockq streams work with glitch-free
	dafcf20: beefup proplist handling for sound events
	8afbdc3: update to new rewinding logic
	9d7fde5: rework the rewinding logic once again, fixing
	6c28f1d: decrease verbosity a bit
	44241ac: define callback function types; allow pa_signal_done() to be called even without prior pa_signal_init()

2008-05-06	Lennart Poettering
	91fbb69: explain why changing rlimits at this time is safe
	dee3555: rename 'routing' to 'filter'
	4fa6cb4: add a few more asserts, don't allow pa_limit_caps() to fail

2008-05-03	Lennart Poettering
	71d14d4: fix remapping sink for glitch-free
	a1c10b5: update LADSPA module for glitch-free moed
	59835d9: explain why a rewind was requested
	82caf5a: when rewinding after the end of an underrun, make sure to rewind as much as we can, so that we deal properly with changed latencies of the sink
	3167e0f: follow _unlink() changes from sink-input
	d2da344: send PA_SINK_MESSAGE_REMOVE_INPUT only when an asyncmsgq is available, reset resampler only when we really need to
	d2be471: make sure to call sink->update_requested_latency() always when we change latency, same for source
	59a7467: don't require a module name when resolving a dl symbol

2008-05-02	Tanu Kaskinen
	ff09fa3: Fix typo: "now"->"not".
	43a30a2: Fix setrlimit() return value comparsion.

2008-05-02	Lennart Poettering
	bb4f83b: only send PA_SINK_MESSAGE_SET_STATE if there's still an asyncmsqg around to do so
	bfb2691: a few modernizations
	06b9140: reorderer a few things
	792ef5c: fix a compiler warning
	775bc6c: some modernizations
	7d6269e: add multiarch paths to default LADSPA search path
	49b1b15: don't enable prebuffering if we just call is_readable()

2008-05-01	Lennart Poettering
	52e3628: Yes, yet another evil all-in-one commit of intervowen changes. I suck. * Drop "state" directory, fold that into "runtime directory" * No longer automatically rewind when a new stream connects * Rework sound file stream, to cause a rewind on initialisation, shorten _pop() code a bit * Fix reference counting of pa_socket_server in the protocol implementations * Rework daemon initialization code to be compatible with non-SUID-root setups where RLIMIT_RTPRIO is non-zero * Print warning if RT/HP is enabled in the config, but due to missing caps, rlimits, policy we cannot enable it. * Fix potential memory leak in pa_open_config_file() * Add pa_find_config_file() which works much like pa_open_config_file() but doesn't actually open the config file in question. Just searches for it. * Add portable pa_is_path_absolute() * Add pa_close_all() and use it on daemon startup to close leaking file descriptors (inspired from what I did for libdaemon) * Add pa_unblock_sigs() and use it on daemon startup to unblock all signals (inspired from libdaemon, too) * Add pa_reset_sigs() and use it on daemon startup to reset all signal handlers (inspired from libdaemon as well) * Implement pa_set_env() * Define RLIMIT_RTTIME and friends if not defined by glibc * Add pa_strempty() * rename state testing macros to include _IS_, to make clearer that they are no states, but testing macros * Implement pa_source_output_set_requested_latency_within_thread() to be able to forward latency info to sources from within the IO thread * Similar for sink inputs * generelize since_underrun counter in sink inputs to "playing_for" and "underrun_for". Use only this for ignore potential rewind requests over underruns * Add new native protocol message PLAYBACK_STREAM_MESSAGE_STARTED for notification about the end of an underrun * Port native protocol to use underrun_for/playing_for which is maintained by the sink input anyway * Pass underrun_for/playing_for in timing info to client * Drop pa_sink_skip() since it breaks underrun detection code * Move PID file and unix sockets to the runtime dir (i.e. ~/.pulse). This fixes a potention DoS attack from other users stealing dirs in /tmp from us so that we cannot take them anymore) * Allow setting of more resource limits from the config file. Set RTTIME by default * Streamline daemon startup code * Rework algorithm to find default configuration files * If run in system mode use "system.pa" instead of "default.pa" as default script file * Change ladspa sink to use pa_clamp_samples() for clamping samples * Teach module-null-sink how to deal with rewinding * Try to support ALSA devices with no implicit channel map. Synthesize one by padding with PA_CHANNEL_POSITION_AUX channels. This is not tested since I lack hardware with these problems. * Make use of time smoother in the client libraries. * Add new pa_stream_is_corked() and pa_stream_set_started_callback() functions to public API * Since our native socket moved, add some code for finding sockets created by old versions of PA. This should ease upgrades
	f94fae3: move unlinking code to operation_unlink()
	f3cc178: some minor updates
	11559a6: parse boolean parameters as boolean instead of int wherever applicable. add new function pa_cli_command_execute_file_stream()
	414f1d9: install gccmacro.h properly, drop  unused core-def.h file
	d7cc1f5: change pa_rtpoll_set_timer_absolute() to take a pa_usec_t instead of struct timeval
	5816871: save and restore errno in log functions
	b93ea18: minor reformat
	4f99c43: check for $PULSE_INTERNAL before enabling padsp
	18ad6f8: don't allow overwriting of callback pointers when we're already dead
	b70edf7: port pa_sample_clamp() to liboil
	9dd8f6c: add new function pa_sample_clamp()
	264385a: strip CRLF line breaks from read CLI commands. This should fix the cli interface for people accessing it via telnet.
	f49df7a: * Increase history set to 64 to simplify reduction of indexes * Decrease memory consumption a bit by using bitfields for some bools * Rework reduction code * Drop an unnessacary counter * Before adding a new entry to the history, try to figure out if we already have an existing entry with the same x value and replace that. This fixes a division by zero * Fix up input x for all functions, according to the time offset
	563f4b6: make check for $DISPLAY=="" more readable, pa_bool_tization
	06a05bc: a bit of pa_bool_t'ization
	b12b8ee: save errno before calling free()

2008-04-23	Lennart Poettering
	caf742a: define minimal and maximal wakeup/sleep times; check for underrun condition only once during buffer fillup
	5353cf4: fix size of requested_latency
	067a68a: fix build for auxiliary modules
	c8fc223: add stripnul to build
	76031df: Big pile of interdependant changes: * Fix a deadlock when an asyncq overflows and an RT thread needed to wait until space became available again while the main thread was waiting for a operation to complete and thus didn't free any new items. Now, if the asyncq overflows, queue those items temporarily, and return immediately. Then, when the queue becomes writable again, flush it. * Modify pa_thread_mq_init() to also set up pa_rtpoll events properly for the MQ * Some more pa_bool_t'ization * Unify more common code between alsa-sink and alsa-source * The upper limit for the tsched watermark is max_use minus one frame * make module-alsa-source work * make the alsa modules use pa_alsa_build_pollfd() now * fix detection of dB scale for alsa-source
	a197644: add new tool 'stripnul' which can be used to drop leading zeros from a file which is useful to do byte-by-byte comparison of what goes in and comes out of PA
	f2dffb7: pa_bool_t'ization
	0b183fb: respect the resampler's maximum block size to avoid that we get kicked out of the memory pool due to resampling. actually drop data from the delay queue after we used it
	998ed8e: add missing header definitions for last commit
	3f57d3a: add new function pa_alsa_build_pollfd() to alsa-util to unify a bit more common code from the sink and the source
	ed0af46: unify code that fixes up buffering metrics
	af03dd4: drop a misplaced newline
	3c8e83f: do not fix automatic buffer attrs anymore, the new protocol version doesn't need this anymore and it creates more problems than it solves. Also drop the initial timing info query. Correct programs shouldn't depend on it anyway

2008-04-22	Lennart Poettering
	5e6aacd: * don't increase tsched_watermark on underrun without limits * fix the watermark when we change the latency * fix latency measurement * move rewinding code into its own function * make use of new function pa_alsa_recover_from_poll() were applicable
	6b4b95b: show configure latency metrics
	1adbe82: some beautification updates, show msec instead of usec everywhere
	cdb077b: if no timer was armed, we don't need to disarm it
	4a1971a: if no latency was configure for a sink/source, fill in the max latency automatically
	69f6bdf: add new function pa_alsa_recover_from_poll() to merge common core from module-alsa-sink and module-alsa-source
	9a486ef: implement --process-time
	0d01c43: make sure the client buffer has space for 2*minreq+tlength. Explain why
	e16a198: - Change meaning of special values of latency request: 0 -> "minimal latency, please"; (pa_usec_t)-1 -> "don't care" - Remove "source" word from monitor source description - Increase default tsched watermark to 20ms again - For the first iteration after snd_pcm_start() halve the sleep time as workaround for USB devices with quick starts
	88227c4: properly initialize memblock->is_silence for imported memory blocks; make is_silence and read_only a bit field

2008-04-20	Lennart Poettering
	5e7e827: improve dB volume calculation
	ba6c0e1: fix C++ compat
	8181db1: initialize properties for ALSA sinks/sources more elaborately, re #277
	c2c833c: use the sink description instead of the name to choose the description for the monitor source
	64e048c: drop a redundant pa_init_proplist(), properly set MEDIA_NAME property on stream, not on context
	5971345: rename sink_input->rewind to process_rewind() and set_max_rewind to update_max_rewind()
	62e7bc1: Big pile of dependant changes: * Change pa_memblockq to carry silence memchunk instead of memblock and adapt all users * Add new call pa_sink_input_get_silence() to get the suitable silence block for a sink input * Implement monitoring sources properly by adding a delay queue to even out rewinds * Remove pa_{sink	7556ef5: maintain a global silence memblock cache
	a0671aa: fix for new location of gccmacro.h
	d1d7a07: we have not periodic timers anymore
	33a35b6: update to recent changes of proplist api
	33cb589: split user supplied data in multiple memory blocks if necessary to fit in one mempool tile. If the caller supplied a free_cb and we use shm it's better to copy the data immediately to the shm region instead of keeping it around as user memblock
	ed36f31: increase the default pool size to 16MB because we now need to keep a lot more memory around due to glitch-free.
	03df088: add lower boundary for artifical latencies
	af25697: follow pa_pstream_use_shm->pa_pstream_enable_shm rename
	687aa29: add new pa_pstream_get_shm() API, rename pa_pstream_use_shm() to pa_pstream_enable_shm(); pa_bool_t-ization
	bee409a: remove debug messages
	1ddb95a: add new silence memblock caching subsystem
	4b1d684: add new API function pa_memchunk_memcpy()
	144b237: print a message on xrun

2008-04-17	Lennart Poettering
	22ceb15: add new rtstutter tool which can be used generate artifical scheduling latencies in the OS to trigger buffer underrun events in your software. it's an awesome debug tool for glitch-free; also move test programs from automake's check_ back to noinst_ to make sure it is built everytime Lennart presses F9 in his emacs
	c9d0159: define PA_xxxSEC_PER_yyySEC for usec, too

2008-04-14	Lennart Poettering
	1f0a52d: the pointer to rewind() may actually be NULL
	68e4a93: properly ask the sink to rewind on new sink inputs and when they disappear
	6946d2a: make sure to clear all queued RT signals before arm a new timer
	04178d4: add _cb suffix to _max_rewind function like with all other functions, too

2008-04-13	Sjoerd Simons
	91f092e: Let bootstrap.sh require version 1.10 of the various autofoo bits. Otherwise things will break during compilation

2008-04-11	Lennart Poettering
	14fd32e: add missing 'break's in switch
	55f273e: s/pulsecore\/gccmacro.h/pulse\/gccmacro.h/
	07f5c1d: register sink/source name as first step when creating a new sink/source so that we can hand the valid name string to the hook functions; se tup props for monitor sources correctly; fix implicit flag setting logic
	aad9d39: dump all info we know about sinks/sources/... in pactl
	dbe3633: properly initialize ->memblockq
	cdb273d: add new pa_get_state_dir() function, move pa_strnull() here
	dcf7173: fix help string for volume commands
	fe3c42d: fix packet formatting for a few commands
	2c6176f: mark shm marker struct as packed, to guarantee identical sizes between archs
	29cbd88: add new PA_GCC_PACKED macro
	096e7f0: make shm magic marker compat with multiarch systems where 64bit and 32bit processes might share SHM areas
	c9db6d2: don't fail if a signalled writability of STDOUT is no longer true when we try it because some other thread already wrote something
	413656b: update list-xxx commands a bit
	28ab2a0: don't print 'signal' each time a rtpoll poll() call is canceled
	50d585e: fix linker warning macro code, move pa_strnull() to core-util.h, move PA_LIKELY definitions here from gccmacro.h
	d0ebb71: don't use fqdn if we don't have to
	78368db: redirect alsa errors to normal PA log system; export buffer settings in device props
	1c5f665: make use of new alsa SND_PCM_NO_AUTO_xxx flags; redirect alsa errors to normal PA log system
	0f28de6: mark autoload functions as deprecated
	d7e260b: remove misplaced PA_GCC_PURE
	e832b0c: add C++ safety to header file
	7dad635: fix bit depth guarantee for pa_usec_t
	919bd98: add new API function pa_timeval_add()
	566322a: remove gcc macros from cdecl.h because we have them in gccmacro.h now
	007f82d: fix bad memory access when initializing client proplist
	d491adf: add gccmacro.h to doxygen docs
	e084e4b: add new module module-device-restore
	c61c3b6: increase version of required ALSA to 1.0.16. check for gdbm
	6cddf61: add new API pa_rtclock_from_wallclock()
	e1c1a78: fix proplist serialization
	bb9792a: move gccmacro from pulsecore/ to pulse/

2008-04-09	Lennart Poettering
	5d7128a: add new describe-module CLI command
	39afb14: add new pa_proplist_setf() API function
	d69aeeb: implement server side of new sink/source reconfiguration commands
	fc9d827: remove doxygen \since tag for API changes older than 0.9; properly implement new latency query APIs
	cc1e265: init min/max latency properly; fix avail_min updating
	f3109be: show configured latency and its ranges
	da37a7e: export both min and max latency that is configured for a sink; add API for querying the requested latency of a sink/source from the main thread
	ad18107: add new latency argument
	0f9e977: bump protocol version
	3138928: include proplist.h in doxygen docs

2008-04-07	Lennart Poettering
	b3b8a63: call snd_pcm_hwsync() expclicitly before we access any of the status fields, since this seems to be necessary. try to find the right mixer device via the card index
	c84a64c: fix bug where we silently dropped data that didn't fit into one mempool tile
	98b0152: add utility functions to dump alsa PCM state

2008-04-04	Lennart Poettering
	b9c10f2: propery calculate min_avail in frames instead of bytes. don't use device_id= parameter in alsa modules if parameter wasn't specified
	064aa12: drop support for periodic timers, cleanup code a bit
	122861f: mark libpulse-browse as obsolete

2008-04-03	Lennart Poettering
	cdfcf66: - deprecate autoload stuff - allow setting of the requested latency of a sink input/source output before _put() is called - allow sinks/sources to have a "minimal" latency which applies to all requested latencies by sink inputs/source outputs - add new client library flags PA_STREAM_ADJUST_LATENCY, PA_STREAM_START_MUTED - allow client library to fill in 0 to buffer_attr fields - update module-alsa-source following module-alsa-sink - other cleanups and fixes

2008-03-31	Lennart Poettering
	ecf6439: catch up with trunk HEAD (i.e. 2118:2213)
	0e983e5: fix caps stuff for crazy people who disable caps
	316e39d: update copyright year
	fa0b9b0: merge r2136 from prepare-0.9.10
	a9971d2: merge r2195 from prepare-0.9.10
	b39da92: merge r2194 from prepare-0.9.10
	1af0d94: merge r2193 from prepare-0.9.10
	9f71611: merge r2192 from prepare-0.9.10
	70a459b: merge r2191 from prepare-0.9.10
	690807e: merge r2189 from prepare-0.9.10
	5181f79: merge r2190 from prepare-0.9.10
	a826937: merge r2187 from prepare-0.9.10
	79938c9: merge r2186 from prepare-0.9.10
	6734fba: merge r2185 from prepare-0.9.10
	78bdb97: merge r2184 from prepare-0.9.10
	e382f22: merge r2183 from prepare-0.9.10
	1be481f: merge r2182 from prepare-0.9.10

2008-03-31	Diego Petteno
	25f9507: fix the help for --disable-per-user-esound-socket so that it actually refers to the --disable action.

2008-03-30	Lennart Poettering
	3e314b7: fix buildsystem to provide pa_log() in all binaries
	cf37df4: rework pa_assert_se() to make sure it never gets optmized away, even if NDEBUG is defined
	68b131d: make pa_drop_caps() abort on failure
	dbf9037: avoid name clash with libc's remove() function

2008-03-29	Lennart Poettering
	829197d: fix compiler warning
	ed5528f: require autoconf 2.60 since we use AC_PROG_MKDIR_P
	1c82694: bump soname
	a3b8311: merge r2187 from trunk

2008-03-28	Lennart Poettering
	0a108ec: don't fail on init if the default device does not exist and .nofail is active
	fad6b41: don't segfault when module-tunnel is used without a sink_name/source_name parameter. Closes #197
	13b9951: if we are run as root, always use 'root' as username, regardless of any env vars
	8e60b01: actually set lennart to the user name, not the group name. Set lennart too.
	2599213: Fix ioctl() definition for solaris compat. Patch from yippi. Closes #253
	b0dc80d: work around yet another solaris braindamage

2008-03-27	Lennart Poettering
	bc5e3f1: properly notify clients about suspended state when moving source output streams. Closes #244. Patch from slicer
	8298b6b: merge r2179 from prepare-0.9.10
	4ddc327: initialize gconf module before we publish our X11 credentials -- because gconf might cause network support enabled in the first place
	e21a69e: merge r2146 from trunk
	2b593d2: merge r2134 from trunk
	e5e9ed6: merge r2133 from trunk
	ac82029: merge r2132 from trunk
	95422a8: merge r2131 from trunk
	edd1a50: merge r2130 from trunk
	02840a3: merge r2129 from trunk
	a1ec3d7: merge r2128 from trunk
	46cd225: merge r2127 from trunk
	daaf70b: merge r2117 from trunk
	28b7ddc: merge r2116 from trunk
	cca3f49: merge r2113,r2214,r2115 from trunk
	184dda8: merge r2112 from trunk
	1eb7239: merge r2111 from trunk
	5045d26: merge r2110 from trunk
	39de4dd: merge r2109 from trunk
	bc58240: merge r2108 from trunk
	ec39786: merge r2107 from trunk
	e704fd3: merge r2106 from trunk
	b79c6b6: merge r2105 from trunk
	b0a2049: merge r2104 from trunk
	a451de1: merge r2098 from trunk
	2735309: merge r2097 from trunk
	640033a: merge r2096 from trunk
	9dfbfce: merge r2095 from trunk
	cc59e76: merge r2092,r2093,r2094,r2152 from trunk
	1908e82: remove a redundant if check
	db208e3: merge r2091 from trunk
	9f0045a: merge r2090 from trunk
	f10b531: merge r2084 from trunk
	66d9e87: merge r2145 from trunk
	d055127: merge r2083 from trunk
	6c106c9: copy originial l2ping license from bluez into bt helper
	14ed19c: Enable per-user esound sockets by default. Esound CVS already enables this by default, and all sane distributions ship a patched esd anyway. And those which do not should get a life and start patching esd
	cefa0eb: merge r2081 from trunk
	0e23606: merge r2079 from trunk
	a86a48c: merge r2077 from trunk
	5e13249: merge r2076 from trunk
	aceb800: merge r2075 from trunk
	e721ecd: merge r2073 from trunk
	8d5ee50: merge r2074 from trunk
	c59a90c: merge r2078 from trunk
	05a7f5d: bump revision
	e6bb276: create branch for 0.9.10
	5addad2: make loading of a few more modules non-fatal
	dcdf419: Double maximum sample size for some overly huge samples some distros ship
	a25a459: Attempt to resolve the multilib conflicts by getting all the config files look equally for all plattforms.  This includes getting rid go pathnames with libdir; let's make ps search for files with relative paths there.
	7ad0b64: modernize polkit code a bit, use new functions from pk 0.7 instead of our home-grown ones
	8a14304: rename polkit policy file to org.pulseaudio.policy to follow upstream guidelines
	be9b32e: add vendor data to pk policy file
	c5f78bf: Abort instead of cleanly exiting, so we can obtain a core dump and find out what was wrong. (rhbz #438594, Patch from Lubomir Kundrak)

2008-03-26	Lennart Poettering
	7262e2f: add proper arm atomic ops support, patch from Jyri Sarha

2008-03-15	Lennart Poettering
	106ddb9: remaining bits and pieces
	b5c5064: commit glitch-free work
	d6bd152: commit glitch-free work
	ebecf3d: commit glitch-free work
	12c01e9: commit glitch-free work
	347cfc3: commit glitch-free work
	8d9bdac: really create glitch-free branch
	dd81a90: create glitch-free branch

2008-03-14	Lennart Poettering
	6ad7621: work around solaris printf %s and NULL string brain damage
	70d0083: change policy file to not show polkit auth dlg by default

2008-03-09	Diego Petteno
	666b952: And one more.
	30e2a77: Test for _struct_ lt_user_dlloader, otherwise it won't be found.

2008-03-08	Diego Petteno
	9ad7bb6: Build and run using libltdl from libtool 2.2. The user module loader support has changed drastically.

2008-02-15	Tanu Kaskinen
	46d804d: Clarify the explanation of the in_action field in pa_autoload_entry.

2008-02-15	Lennart Poettering
	dc3682d: only call pa_ltdl_done() if we called pa_ltdl_init() before
	2b8bc5c: allow compilation on systems that lack POSIX shared memory. Patch from matthijs, closes #200
	5552139: explicitly recommend the usage of -- in the pasuspender command line, Closes #203
	a1b2a83: look for timer_create in librt, Closes #210, patch supplied by matthijs
	0a807b3: print pa version id each time we start up, so that it is easier to identify the version people are reporting bugs again
	75e1ebd: Improve compatibility with applications which like to pass invalid strings to the libc functions we overwrite, by handing directly to the original function. Patch by Colin Guthrie and Gustavo De Nardin, Closes #227

2008-02-13	Lennart Poettering
	86b9ef8: deal with a possibly failing pa_channel_map_init_auto() correctly

2008-01-24	Diego Petteno
	a3e820f: Mark long_options constant.
	c8a9c9b: Use check_PROGRAMS rather than noinst_PROGRAMS for test programs.
	be4c0f2: Apply the fix for CVE-2008-0008 from 0.9.9 release on trunk.

2008-01-24	Lennart Poettering
	90a7f3b: bump revision
	4d4dafb: fix CVE-2008-0008.patch
	9423e67: prepare 0.9.9

2008-01-06	Lennart Poettering
	d36a1b8: use __BYTE_ORDER macro for detecting byte order, as suggested on http://unixpapa.com/incnote/byteorder.html

2008-01-04	Sjoerd Simons
	c5678ae: Don't send opcodes introduced in protocol versions 12 to clients using protocol version 11. (fixes #183)
	02f49a2: Implement opcodes in the tunnel modules that were added in version 12 of the protocol. Based on a patch by coling. (fixes #193)
	9774cc7: Add forgotted #ifdef __linux__ and only use SIGRTMIN if it is defined. Fixes compilation on non-linux platforms like GNU/kFreeBSD. Thanks to Aurelien Jarno for the patch

2008-01-03	Tanu Kaskinen
	1e74aa9: Add a missing pa_xfree.
	4e77176: The previous commit introduced a new bug: giving too many values in the "control" argument wasn't detected any more. Fixed.
	39ba68b: Fix the parsing of trailing default values in the "control" module argument.

2008-01-02	Tanu Kaskinen
	dccf411: Downgraded the priority of a message, because it's really quite uninteresting.

2007-12-29	Lennart Poettering
	9d00b9d: convert argument to boolean value before passing it on to __builtin_expect in PA_LIKELY
	2cb1b2c: add new function pa_proplist_contains()

2007-12-23	Lennart Poettering
	2a44213: add API for resetting allocated resamplers
	7f65e79: wrap speex_resampler_reset_mem()
	81e85ce: hide proplist-test
	63c616e: add new property list implementation

2007-12-14	Tanu Kaskinen
	8ed2a8c: Increase the maximum line length of default.pa from 256 to 1024. Load commands of modules that need multiple channel maps may grow rather long.

2007-12-06	Diego Petteno
	b94a6bc: Add a configure switch to enable the per-user ESounD socket path, but default to vanilla ESounD's path. This way distributions and users can configure PulseAudio according to their ESounD library.

2007-11-24	Lennart Poettering
	95a98fe: Add new subsystem for applying envelopes (such as volume ramps) to audio signals
	2d34bca: rearrange #includes
	0312890: add new pa_mutex_try_lock() API
	7a42425: add new endianess macros for FLOAT32
	ca0c5af: make sure to create ~/.pulse before using any configuration file from it

2007-11-23	Diego Petteno
	04d7a7e: Check for mkdir -p or equivalent, and use that rather than simple mkdir to create the modules, modules/gconf and modules/rtp directories.
	19ee3b6: Enable D-Bus if Bluez or HAL are enabled; use DBUS_LIBS/DBUS_CFLAGS when building libdbus-util.la.
	ec91380: Fix detection of polkit_context_is_caller_authorized() function, also reported by Nix. Also fix detection of policydir for prefixes different from /usr.~

2007-11-22	Lennart Poettering
	9d2255d: fix uploading of samples into PA. Problem discovered by Colin Guthrie
	3e4f820: update speex resampler with newer snapshot from Speex SVN

2007-11-21	Lennart Poettering
	d41744a: Tagging release 0.9.8
	23e3d7c: bump version and soname
	6b932f0: update man pages a bit
	40db06d: when speaking to a client with a version < 12, hide S32 sample specs, and make them appaear as FLOAT32
	0f5fa47: increment api and protocol version
	14a9b80: - Check process name when dealing with PID files - Add new PA_STREAM_FIX_CHANNELS, FIX_RATE, FIX_FORMAT, DONT_MOVE, VARIABLE_RATES to pa_sream_flags_t adn implement it - Expose those flags in pacat - Add notifications about device suspend/resume to the protocol and expose them in libpulse - Allow changing of buffer_attr during playback - allow disabling for remixing globally - hookup polkit support
	4ac6b53: minor typo fix
	5a4959e: add short version history of the PA protocol
	63fa021: add a couple of new opcodes, and document the versions the opcodes where added
	d1d0778: add API to allow runtime reconfiguration of memblockqs

2007-11-16	Lennart Poettering
	07832d0: detect whether PolicyKit support is available
	cf0d43e: build PolicyKit support
	8bdad29: add interface to PolicyKit

2007-11-14	Lennart Poettering
	413a8f8: use a prio inheriting mutex for the threaded mainloop, to ease writing of RT clients
	461e369: use a free list for allocation pa_operation objects
	1765b13: use a free list for allocating reply_info structs
	9b75b9d: add missing pa_boolization

2007-11-13	Lennart Poettering
	7462ab1: Rework ALSA mixer channel detection code. This time we actually care about the channel names the ALSA mixer exports for us
	4c47617: add array size to increase chance of detecting missing updates
	4a39c2e: don't fail if the bt-proximity-helper is not built
	15f56de: don't touch RLIMIT:MEMBLOCK by default. This should improve out-of-the-box comaptibility with JACK
	7b321ed: increase the pacmd timeout a bit
	d17bb53: Completely rework ALSA device selection code: choose the device to open depending on the requested number of channels and channel map. In most cases it will now suffice to set default-channels=6 to enable 5.1 sound for all devices that support it
	f752882: fix loading of load-once modules if no other modules was loaded before

2007-11-11	Lennart Poettering
	5054f36: add new fun module that automatically mutes your audio devices when you leave with your bluetooth phone, and unmutes when you come back
	e8092be: Port module-gconf to make use of the new API pa_start_child_for_read()
	daf3a3e: pull code for starting helper processes out of module-gconf, clean it up, and stick into a new API pa_start_child_for_read()
	e043eaa: add new function pa_strnull() to simplify passing null strings to non-linux printf()
	f873a2a: add a simple fully-automatic fully-linearupmixer/downmixer and enable it by default

2007-11-09	Lennart Poettering
	e313fe1: tag modules that may only be loaded once at most especially, and enforce that in the module loader
	d8e0c1c: minor typo
	b0a68fd: optimize mixing code a bit. Add mixers for S32LE, S32BE, ULAW, ALAW and FLOAT32BE. Add volume adjusters for FLOAT32BE, ALAW, ULAW.
	c1985c2: replace a few CLAMPs by PA_CLAMP_UNLIKELY
	0149031: remove PA_CLAMP_LIKELY macro because it doesn't really make sense.
	7bd3c03: .la files for modules can probably be removed safely on all archs now
	7e0f547: add support for 32bit integer samples
	3c17c7d: fix CLAMP_LIKELY/UNLIKELY definition
	ecf349d: add missing #include
	42ef051: add a few missing macro definitions
	cb66762: add PA_CLAMP_LIKELY and PA_CLAMP_UNLIKELY macros
	c8cdb06: add support for likely()/unlikely() type macros

2007-11-08	Lennart Poettering
	14b974a: parse the pasuspend argument like any other boolean in PulseAudio
	a2121d5: strip most comments from the default configuration files, since the man page is now more elaborate and we don't want to maintain those docs redundantly at two places
	4459912: add remaing man pages

2007-11-07	Lennart Poettering
	1ef4baf: warn if the sound server is not local
	1821f1f: add man pages for padsp, pabrowse, pasuspender

2007-11-06	Lennart Poettering
	5dbab0b: complete pactl man page

2007-11-05	Lennart Poettering
	0eb011b: minor cleanups of --help texts
	7fdc1ee: add a couple of more man pages
	bff4ca4: add a man page for the pulseaudio binary. More will follow.

2007-11-04	Lennart Poettering
	961ce33: fix two alignment issues found by the debian buildd gcc on sparc
	faf1fd7: pa_boolization
	0184d70: add eventfd syscall nr for arm; patch from Sjoerd Simons; Closes #150
	9ac9328: Properly terminate pa_readlink() strings. Patch from Sjoerd Simons. Closes #149
	95af1e6: Add linker version script to hide non-ABI stable symbols in the client libraries. While this helps defining a more streamlined ABI, this also requires linking a lot of additional symbols into some PA client utilities which until now made use of the non-ABI stable symbols in libpulse. To minimize the effect on there size a bit, strip unused symbols by linking with -ffunction-sections -fdata-sections -Wl,--gc-sections

2007-11-01	Lennart Poettering
	bc161b4: comment the library versions a bit
	cb0d7ff: add missing pthread libs
	81233c1: make disallow-module-loading config option work again (original patch from Diego Petteno)
	7bfd1b2: make rtprio and nice level actually configurable
	641d1fa: drop rt scheduling before we start our helper process
	41ea3b2: add new option --realtime
	005ed41: save and restore errno in sig handler
	44d7c9a: add nice and rtprio resource limit support; make rtprio and nice level to use configurable; some minor updates
	e706f7b: pa_boolize the client config
	65a6bff: more pa_boolization
	b343497: make the bool config parser actually parse bools
	cecd8d4: fix comment
	38a1525: add new function pa_yes_no()

2007-10-30	Lennart Poettering
	5058a1e: save and restore errno in the sig handler
	111b759: bump sonames
	0f0e729: make sjoerd happy: include ChangeLog built from svn logs in tarball
	099e690: make make distcheck pass
	b03b574: rename 'length' parameters in the API to 'bytes', to make their unit clear
	b84489d: handle tcp4: prefix for server specs correctly. (Closes #136)
	72817f9: rename stream names too, when the sink name changes
	201dff7: ignore updates not relevant to us
	1e0454e: rework the tunnel naming scheme, and make it follow the description changes of the underlying devices; never check for tagstruct eof, to ease later extensions
	bb2e1af: initialize userdata struct with 0
	0991a1b: remove libltdl from SVN
	2d265a9: deal properly with signals interrupting us when we wait for data from gconf helper

2007-10-29	Lennart Poettering
	f1be931: keep track of configured tunnels and make sure to unload them when they disappear from zeroconf again
	e406bba: don't announce monitor sources
	5ef242c: don't try to send pause request before our stream is properly set up
	33c238b: ignore network sinks/sources
	625a872: make gcc shut up a bit more
	1dae2e6: we don't want to include assert.h anymore
	43b5c65: reverse server order for PULSE_SERVER x11 property, to follow order in which modules are loaded
	cc88385: add new API pa_strlist_reverse()
	87be856: add new module module-zeroconf-discover
	9f44659: publish dns-sd subtypes to allow distinction of virtual, hardware and monitor sinks/source
	9ca7ed1: export pa_namereg_is_valid_name()
	0ce32bd: fail on name clash
	ac83631: bring back module-tunnel, yay!
	9ccbd86: downgrade a few log messages
	6e1f7bd: properly deal with time pausing
	a46804a: use real path of binary instead of /proc/self/exe to execute ourselves
	27d6b7b: make use of new pa_readlink() where applicable
	ca98c54: add new pa_readlink() API
	1c06907: make speex-float-3 the default resampler

2007-10-28	Lennart Poettering
	c6a7f06: add missing dependency on socket-util
	a67c21f: merge 'lennart' branch back into trunk.
	575541d: Merge r1502 from trunk: Move pthreads detection as it gets confused by things in LIBS.
	f096ca4: Merge r1504 from trunk: Solaris hides inet_ntop in nsl
	c6071b0: Merge r1505 from trunk: Make sure we link to the core to get all symbols.
	9eb840c: Merge r1503 from trunk: Make -no-undefined actually work (and fix up error found by it).
	d8976a2: Merge r1473 from trunk (mixer ioctls on /dev/dsp)
	b718d18: fix error handling
	daa2863: don't use errno on EOF

2007-10-27	Lennart Poettering
	94cf167: port module-esound-sink to new core
	66dc0b4: don't use SIGRTMAX, for compatibility with valgrind which apparently uses this signal
	98d363c: minor cleanup
	87faa54: minor fix to make gcc shut up
	56804de: minor fixups, to make the test more deterministic
	581e7f1: add ability to "pause" the input time temporarily. don't accidently overwrite variables we still need.
	55e4a3e: modernize pa_iochannel a bit, add pa_iochannel_get_send_fd()
	c4d9a2b: add missing pa_smoother destructor
	b4bb747: add pa_rtclock_usec() API
	ca744a4: add pa_timeval_load() API

2007-10-26	Lennart Poettering
	ce5250e: hide smoother test

2007-10-25	Tanu Kaskinen
	7ccf40e: Add "support" for plugins that have control output ports, i.e. don't crash on them anymore (the plugins correctly assume that every port is connected to a buffer, so we connect them to a dummy buffer that isn't used anywhere).
	81ed6e6: A couple of comment typo fixes.

2007-10-24	Lennart Poettering
	0d84e4c: fix alsa mmap initialization bogosity, discovered by Jyri Sarha

2007-10-23	Lennart Poettering
	dc987e9: add better time interpolator: use linear regression to determine gradient from measurements, predict a short distance ahead, and smoothen estimation function with 3rd degree spline interpolation.
	9464b9b: add definition of PA_USEC_PER_MSEC
	65b570c: properly copy error string

2007-10-22	Lennart Poettering
	498a156: also port over JACK source to new core
	02adb5f: enable jack sink in Makefile
	468c13e: Port JACK sink module over from old core
	4029504: minor fixup
	925eadd: add interleaving/deinterleaving APIs

2007-10-17	Lennart Poettering
	1900817: Properly handle if ALSA sends us an POLLERR event, this should allow us to survive a system suspend cycle better

2007-10-15	Lennart Poettering
	2385efe: fix url

2007-10-07	Lennart Poettering
	b0bce20: add missing poll.h inclusion
	215cac8: add missing poll.h inclusion
	a687c31: add missing poll.h inclusion
	3736246: s/timespec/timeval
	2198c2e: fix build
	efc81a8: add new API function pa_timeval_store()
	d74fa66: Fix build; change return value of pa_rtclock_hrtimer() to pa_bool

2007-10-04	Lennart Poettering
	87cc073: fix poll.h check, bad boy ossman broke

2007-10-03	Pierre Ossman
	cb40087: Don't call pa_rtsig_configure() when we lack the necessary defines.
	60a935b: module_ladspa used libltdl so make sure it links against it.
	586ef22: Platform dependent semaphore implementation for Windows.
	cef6563: Assorted minor Windows compatibility fixes for recent code updates.
	ce74146: Add stubs when RT signals aren't available.
	8dcc1fa: Adapt rtpoll and friends to Windows by replacing timespec with timeval and add a fallback when clock_gettime() isn't available.
	ef8812e: Replace all references to sys/poll.h with poll.h as that's what POSIX defines.

2007-10-01	Lennart Poettering
	7c1768d: update native protocol to make use of pa_memblockq_pop_missing
	2e780e8: Move request size handling into pa_memblockq, function pa_memblockq_pop_missing()
	d6a2203: Fix race condition between IO thread creation and pa_sink_put(). Move activation of rtpoll fds when we change the state INIT->IDLE.
	9d34a1e: fix trivial typo
	abd692e: fix silence initializer for alaw and ulaw

2007-09-30	Tanu Kaskinen
	dbcd086: Fixed PA_GCC_CONST definition.

2007-09-28	Pierre Ossman
	bdf9746: Update module-solaris to new structure.
	6d8aea7: Incorrectly used str2sig() instead of sig2str().

2007-09-28	Lennart Poettering
	67b899a: treat timer_enabled like a real, grown-up boolean variable
	33f2f49: rework module-combine once again. We now run the data generation always in a seperate thread. This should help use to avoid all the awful race conditions we had in previously
	229afb5: Move the poll() call outside the #ifdef checking for ppoll, since we want the poll in all cases. Prior to this change the check for negative return values of poll/ppoll was never actually executed when ppoll() was available
	f8c1786: use the full range of RTSIGS for our stuff
	3cdff5f: Allocate rtsigs from back to front, to avoid clashes with other libraries makeing use of rtsigs
	df33b4c: only do IO if we are RUNNING or IDLE, but not when we are in INIT
	584ca61: don't free silence memblocks that don't exist
	107f12a: speed up semaphore allocation with an flist

2007-09-26	Lennart Poettering
	008c709: Use Linux eventfd() if kernel supports it
	e99bc33: fix build with compilers that lack __thread

2007-09-25	Lennart Poettering
	a9e667b: make sure when can shutdown PA cleanly without segfault
	5fe1589: work around newest open() magic in fedora glibc
	1687226: fix make dist

2007-09-24	Lennart Poettering
	86ec421: fix suspending in module-combine.c
	609ad12: * decouple suspending of monitor sources and their sinks * implement resume-on-uncork
	0e3e9e2: only post data into the monitor source when it is not suspended
	f0f9df9: * add new state changed hook for streams * update sink->n_corked properly when moving streams
	ac86fa1: fix IDLE vs. RUNNING state handling of sinks/sources when changing cork status for streams
	3c75d35: rework zeroconf service publishing, to use synchronous hooks instead of asynchronous subscription events. Don't push autoload entries anymore.
	e37fa01: add hooks for name/description changes of sinks/source and streams
	ef020c6: fix stream corking: ignore pa_sink_input() when we are in corked state
	55651ec: don't count streams using the monitor source in pa_sink_used_by(), because this would disallow suspending a sink ehn an rtp stream is connected
	ba322a4: drop the PA_SOURCE_CAN_SUSPEND and PA_SINK_CAN_SUSPEND flags, since they were a bad idea in the first place. All sinks/sources are now *required* to handle suspending in one way or another. Luckily all current sink/source implementations handle it fine anyway.

2007-09-23	Lennart Poettering
	77ed60c: instead of using the mixer ioctl()s on the dsp fd, open a seperate fd for the mixer. This allows us the keep the mixer fd open while closing the dsp device while suspending.
	fc00eaf: use O_NOFOLLOW when creating lock files, too
	2860685: use O_NOFOLLOW when creating PID file, to avoid symlink vulnerability

2007-09-23	Tanu Kaskinen
	de079ac: Added an assertion for the case when the sink programmer hasn't installed the thread_mq properly.
	7bcbf16: Comment typo fix.

2007-09-22	Tanu Kaskinen
	ecad937: Fix the assignment of control values by using the right variable for indexing.
	1c44be2: Correct the parameter positions with the pa_cvolume_set() call.

2007-09-22	Lennart Poettering
	e04a857: minor optimization
	6cfb096: include the name of the master sink in the name for piggy-backed virtual sinks
	c6b43bf: prefix by order macros with PA_
	6683400: rework a couple of sample type converters, to actually work
	78a9ad3: - rework volume adjustment code to not require fp - don't hit an assert when we cannot do a volume adjustment, instead, print a warning and go on
	d7a0876: fix selection of working format
	9db4267: make use of byte swap builtins of gcc if they are available
	f26de80: add test program for the resampler

2007-09-21	Lennart Poettering
	c34a263: allow _unlink() functions to be called as many times as people want, even before _put() was called
	1fc168b: clamp sample data to -1 .. 1, before passing it to the plugin; if a control port data specification is left empty, initialize with the default value of the plugin
	29d25ec: add CLAMP macro

2007-09-20	Lennart Poettering
	e205bb2: don't segfault when the master changes
	3b2835d: properly detach/attach when moving sink inputs
	f3f44da: rework module-combine again
	c40c168: maintain the attach status in a boolean variable 'attach' accessible from the IO thread for sink_inputs/source_outputs

2007-09-19	Lennart Poettering
	75647bc: render new data always in the master sink's thread, fixing missing locking
	a8a9ee4: make sure we initialize thread private data before we move our ghost sink to the rt thread, not after
	42b71ff: fix trivial typo
	d716e3c: fix check for lrintf, make resample2.c again identical to upstream ffmpeg
	75f799a: make O_CLOEXEC, O_NONBLOCK and socket low latency fd ops more uniform: always return void, name them similarly, only pass a single fd
	0fcad97: copy free_cb into a temporary variable first, to avoid compiler warning

2007-09-18	Lennart Poettering
	ac66b6a: fall back to plughw:, if hw: doesn't work, in the alsa source, too
	781cf49: properly release memblock always abd as soon as possible
	1fd9afd: make use of pa_bool_t on a few places where applicable; really start work_cb
	b3093d8: lower SO_PRIORITY priority to 6, since this is the best we get without being root
	ef8df41: make rtp send socket low delay
	f44ddd1: add new pa_socket_udp_low_delay() API
	6b2fd23: add two missing header file inclusions
	eb23601: bug fixes for module-rtp-recv
	8fdf054: make sure we don't call pa_source_post() for a monitor source after it was unlinked
	ca71764: If PTHREAD_PRIO_INHERIT mutexes are not available fall back to normal mutexes
	a558e93: port module-rtp-send.c to lock-free core
	08d4b23: actually close the alsa device before we try to reopen it as plughw

2007-09-18	Pierre Ossman
	4ed41f3: strtof() is a rather recent addition to C. Fall back to strtod() if it isn't available.
	aff22cf: NSIG seems to be more common than _NSIG.
	03d9863: Emulate lrintf with simple truncation if it isn't available.
	31dfb31: Make sure the header file is only included on linux (as this is a linux-only feature).
	df1d347: NSIG is not defined by neither C99 nor POSIX so we can't rely on it.

2007-09-17	Lennart Poettering
	4cde507: add LADSPA sink than can be piggy-backed ontop of another sink
	7b4f981: print a message when we fall back on plughw
	8ff7d56: add a locale-independant pa_atof() implementation
	4cdf2ce: hide sig2str-test
	1ae473b: fall back to plughw: if hw: doesn't work
	26a1ae7: Rename pa_strsignal() to pa_sig2str(), since we return the symbolical signal name, not a human readable string. This follows the Solaris API of sig2str() a bit. Also, add all remaining signals to the list of signal names.
	d3b8985: drop a couple of WARNING prefixes in log messages, since we have pa_log_warn anyway for marking warnings especially
	19eb7eb: once.c is no longer POSIX specific. Since it is now considerably more advanced than it used to be, use it on windows, too
	7f9fea7: on Linu disable lazy binding altogether
	a1526f1: add missing initialization
	061e806: Add a special ltdl .so loader that avoids lazy frelocations during runtime
	2741685: use priority inheritance on mutexes where applicable

2007-09-16	Lennart Poettering
	61b90a0: add proper boolean type pa_bool_t
	116ddaa: use gcc const and pure function attributes wherever applicable
	35483ee: add a new module module-remap-sink which can be used to remap the channel maps of an already existant sink. one use case is to create a virtual sink that redirects stereo data to the rear speakers of a surround card.
	1d1eda6: add a "length" argument to the seek functions, as an optimization to request a certain block size if any data needs to be generated. this is merely a hint.
	5df7a85: split memblocks into multiples of the mempool tile size
	ac1ee4e: add new API pa_mempool_block_size_max() to query the maximum tile size
	fce8507: * add a new resampler "copy" which is does not change sample rates but copies data unmodified from input to output. * add a new API pa_resampler_max_block_size() which can be used to determine the maximum input buffer size for the resampler so that the bounce buffers don't grow larger then the mempool tile size
	d079b48: properly define MAX/MIN macros
	87795b0: add missing header file changes for frame alignment apis
	e17fbf0: be a little bit more elaborate on the reason why we drop to software volume control if hw is not featureful enough for us
	0469c84: add frame alignment APIs; don't require memory to be writable when silencing it (required of the mmap modes drivers where the hw data needs to be silenced, although it is not writable to others)

2007-09-15	Lennart Poettering
	298d239: trivial typo
	8389264: count corked streams per sink/source and make pa_sink_used_by() return only the number of streams that are not corked. Introduce pa_sink_linked_by() returning the number of streams connected at all. This will allow suspending of sinks/sources when all streams connected to a sink are corked.

2007-09-14	Lennart Poettering
	5ae4eed: Move attaching/detaching from a pa_rtpoll into pa_sink proper, remove it from module-combine
	3396b65: simplify rt loops a bit by moving more code into pa_rtpoll. It is now possible to attach "work" functions to a pa_rtpoll_item, which will be called in each loop iteration. This allows us to hide the message processing in the RT loops and to drop the seperate sink_input->process hooks. Basically, only the driver-specific code remains in the RT loops.
	f0b9dce: explicitly destory TLS data before destroying TLS
	bf274cb: add two new macros PA_ONCE_BEGIN and PA_ONCE_END which allow usage of pa_once without declaring a function to be called
	04ed0f9: call dbus_shutdown() before exiting, to make valgrind output more useful
	8775309: fix two typos in reference count handling
	9be0d70: make newer gcc shut up

2007-09-12	Lennart Poettering
	ef83a19: extend rtpoll API to allow registration of arbitray functions to be executed in the event loop. Add priority system for specifying the order of these functions.
	cf3e9da: add missing config.h inclusion
	03f311a: reindent, and s/assert/pa_assert/g
	4137865: change pa_modargs_get_channel_map() to take an extra argument for specifying the name of the modargs attribute to parse
	d9c4c95: add new pa_pipe_close() API to close two fds at the same time
	7f92542: consolidate close() calls to pa_close(), and make sure on every occasion that we handle failures of close() sensibly

2007-09-11	Lennart Poettering
	54506ab: on systems where we know that POSIX shm is mapped to /dev/shm, add the ability to cleanup stale SHM segments. (Right now only Linux)
	d5bedbc: remaining s/assert/pa_assert/ and refcnt.h modernizations
	2988c3d: Rework core-error.c on top of PA_STATIC_TLS_DECLARE, the windows specific parts need to be moved to thread-win32.c
	abb18d9: explcitly initialize tls memory to NULL
	9c523e0: more modernizations, s/assert/pa_assert/g
	27f13b3: finish modernizations in pulse/, s/assert/pa_assert/g
	038e560: More s/assert/pa_assert/ modernizations
	391d09c: add 'wait' parameter to pa_rtpoll_run(), if zero pa_rtpoll_runn will only update the struct pollfd but not wait for an event
	597a1c4: port client libs to refcnt.h
	55d9fcb: add globally defined PA_PATH_SEP macro, replacing private per-file macros
	6ac66e4: add missing config.h includes
	e2e2ce7: Instead of including config.h from header files, check whether PACKAGE is defined and if not, fail (thus using PACKAGE as a check for inclusion of config.h)
	848a4d7: more s/assert/pa_assert/ modernizations

2007-09-10	Lennart Poettering
	9b0ab39: unify static TLS support, make use of gcc __thread attribute if available
	3d122d0: s/assert/pa_assert/ modernizations
	de21b54: add new API pa_threaded_mainloop_in_thread(), update test case for it
	a6f8b81: simple modernizations: s/assert/pa_assert
	6629886: make sure we send each memblock only once when recording, not twice
	d5caa02: minor cleanup
	a77158e: make the memchunk writeable before silencing it
	841fcb4: beef up comment
	98f9bd6: make sure that the device volume is properly read before we call pa_sink_put() and thus make the pa_sink available
	69ece66: add pulseaudio logo with text
	44e514c: update todo file a little
	6c1682c: hide a couple of files
	27c3bd4: document that the native amd64 atomic ops implementation is incomplete
	06db921: don't call pa_source_process_msg() for PA_SOURCE_MESSAGE_GET_LATENCY, since it makes querying the latency always fail

2007-09-10	Pierre Ossman
	d9b3c0e: posix_madvise and posix_fadvise aren't present on all systems.
	9630e8d: Remove mkdir_p again...
	028632f: TIOCINQ isn't present on all systems.
	e176601: Monotonic clock is optional so treat is as such.
	717b164: POSIX realtime clock functions are in time.h so make sure to include it.

2007-09-09	Tanu Kaskinen
	dfdf1d7: Changed PA_SAMPLE_S16_NE to PA_SAMPLE_S16NE in the example code in the Simple API Doxygen documentation.

2007-09-06	Lennart Poettering
	b41dbfd: fix an assert when runnig module-oss in record only-mode. optimize allocation of memblocks on playback
	d60940d: install libpulsecore again, since libtool otherwise links it statically into every single module
	e4eefb8: fix copynpaste error
	45ba711: downgrade realtime group membership warning to 'info' at be a little bit more elaborate
	3b2cf1a: update default config: - check for existance of modules before loading them - disable all event sounds except hotplug by default
	b1fd53b: explicitly test for the availability of dbus_watch_get_unix_fd() before using it. The previous version-based check didn't work anyway since the constants checked for weren't set.

2007-09-04	Lennart Poettering
	a0d19c0: update libltdl copy
	a4757a1: add native amd64 atomic int implementation
	984ef82: detect whether gcc atomic builtins are available
	4c31ff9: fix a couple of compiler warnings
	2dbe137: if available, use native gcc atomicity builtins
	31c04a9: create config.rpath to fix build on fedora
	ac5f978: add a few missing files for make dist
	738f7d7: drop initial libtool_lock() call since this is a debian-specific borkage
	d1927c7: initialize libltdl for multi-thread support
	65ac0ea: When in PA_STREAM_AUTO_TIMING_UPDATE mode, delay completion of initialization until we have the first timing data

2007-09-03	Lennart Poettering
	c029038: actually add source code of module-default-device-restore
	11bf380: add a new module module-default-device-restore which automatically saves and restores the selected default device. Enable it by default.
	1d3e70c: header file cleanup
	104feb0: only list supported resampling methods when --dump-resample-methods is executed
	c9a0df3: add new API function pa_resample_method_supported() which tests whether a resampling method is supported. Fix building with libsamplerate enabled
	5bc1221: actually define HAVE_LIBSAMPLERATE with AC_DEFINE

2007-09-02	Lennart Poettering
	b2c4779: make libpulse-core a noinst lib, because it does not have yet a stable API and won't get one anytime. Also, don't install its header files
	b6bfaa9: add missing configure.ac part of the libsamplerate patch from r1753, re #125
	2e8244b: Allow compilation without libsamplerate; based on patch from Marc-Andre Lureau; re #125
	cc8c499: fix dbus version check for dbus_watch_get_unix_fd()
	011dfa5: make argument to pa_memchunk_will_need() const
	68981e5: fix build for dbus < 1.1.1, re #126, patch from Marc-Andre Lureau
	ca059ab: Don't set RLIMIT_MEMBLOCK to 0 on startup. Retain 4 pages
	3e188b1: make use of pa_memchunk_will_need() before handing sample cache audio to the RT threads
	7dbabc4: add new pa_memchunk_will_need() API, similar to pa_memblock_will_need()
	f36ca79: add new API pa_memblock_will_need() and make use of PA_PAGE_SIZE macro
	2f7b6fe: add new pa_will_need() API for paging in memory
	8cf822a: make use of new PA_PAGE_SIZE macro
	b54e71a: make use of new memory page alignment macros, reindent
	fe1f55b: add a couple of macros for memory page alignment

2007-08-31	Lennart Poettering
	1df817c: add pa_channel_position_to_pretty_string() to header
	718b1d2: add pa_channel_position_to_pretty_string() for usage in pavucontrol/pavumeter
	02811bf: make sure that we make include paths absolute before calling chdir()
	a132226: minor reformatting
	6eb2f88: add two new functions pa_make_path_absolute()/pa_getcwd()
	c627871: replace a pa_assert() by an pa_assert_se()
	f59dd18: - fix suspend handling - set sink description properly - honour resample_method setting

2007-08-30	Lennart Poettering
	241ad04: port module-combine to new core
	4d623f0: Lots of assorted minor cleanups and fixes: * s/disconnect/unlink/ at many places where it makes sense * make "start_corked" a normal pa_sink_input/pa_source_output flag instead of a seperate boolean variable * add generic process() function to pa_sink_input/pa_source_output vtable that can be used by streams to do some arbitrary processing in each rt loop iteration even the sink/source is suspended * add detach()/attach() functions to pa_sink_input/pa_source_output vtable that are called when ever the rtpoll object of the event thread changes * add suspend() functions to pa_sink_input/pa_source_output vtable which are called whenever the sink/source they are attached to suspends/resumes * add PA_SINK_INIT/PA_SOURCE_INIT/PA_SINK_INPUT_INIT/PA_SINK_OUTPUT_INIT states to state machines which is active between _new() and _put() * seperate _put() from _new() for pa_sink/pa_source * add PA_SOURCE_OUTPUT_DONT_MOVE/PA_SINK_INPUT_DONT_MOVE flags * make the pa_rtpoll object a property of pa_sink/pa_source to allow streams attached to them make use of it * fix skipping over move_silence * update module-pipe-source to make use of pa_rtpoll * add pa_sink_skip() as optimization in cases where the actualy data returned by pa_sink_render() doesn't matter
	b552541: reorder initialization of pa_core variables
	ca72adf: modernize and make use of a static flist for allocating idxset entries
	821eb8e: move queue processing code into pa_thread_mq
	687f1f1: add new function pa_memblock_ref_is_one()
	c2e4328: fix pa_memchunk_make_writable(), make memchunk functions return the memchunk they modify
	bfe69ce: add an assert()
	6817987: add pa_timespec_reset()
	747b01b: make passing a code pointer to pa_asyncmsgq_get() optional
	ee97c42: add new PA_SINK_CAN_SUSPEND/PA_SOURCE_CAN_SUSPEND flag

2007-08-26	Lennart Poettering
	d88514c: drop check for gid < 500, since this isn't really a security improvement, re: #111

2007-08-25	Lennart Poettering
	0362350: Add option --dump-resample-methods to list available resampler implementations
	782d5a5: make floating point speex resampler the default
	89fcd51: enable -ffast-math for gcc
	f82067f: lower suspend timeout to 1s
	f4e2d23: include ffmpeg resampler in build
	9439e81: make ffmpeg resampler actually work

2007-08-24	Tanu Kaskinen
	6687dd0: Corrected a bogus comment.

2007-08-24	Lennart Poettering
	f0dbbe9: add makefiles to speex/ and ffmpeg/ to easy compilation from emacs
	640ae04: Copy resampler from ffmpeg into our sources

2007-08-23	Lennart Poettering
	f754a24: make speex resampler the default
	ed4dc16: big resampler rework: support integer-only resampling, support speex resampler
	4eb9bb0: fix a bad memory access when destructing pa_memimports
	c1cdcfd: a couple of modernizations; parse RE sample types properly
	c72d4c6: add a small speex wrapper so that we can include both the fp and the fixed-point resampler in the same binary
	fdead57: build speex resampler tiwce, once for fixed point, one for floating point
	5ff891c: add a copy of the speex resampler to our sources

2007-08-22	Lennart Poettering
	b3b382d: fix minor typo
	9d38159: port remaining sinks to pa_rtpoll
	1bfa180: minor cleanups
	0ff2afd: support absolute, relative and periodic timers in pa_rtpoll
	53b872c: port alsa driver to make use of new pa_rtpoll object
	79d3ddd: reverse hrtimer check, add missing #include
	b937009: add convenience functions to hook up pa_fdsem and pa_asyncmsgq to an pa_rtpoll; add pa_rtpoll_item_get_userdata(), on EINTR/EAGAIN, reset revents; automatically destory left over items
	7490977: add missing include
	0449966: make pa_make_power_of_two() and pa_is_power_of_two() inline functions
	190648a: add missing #include
	0da65cf: add message about hrtimers, and initialize pa_core::high_priority
	0af0fb8: hide rtpoll-test from svn
	7fca890: check pa_core::high_priority before becoming rt thread
	b302946: add new option to pa_core stating whether we are running as high prio process
	3546198: add check for ppoll()
	8568f70: add rtpoll, rtclock, rtsig to Makefile
	dc9d803: add test program for pa_rtpoll
	78c362c: add new realtime event loop abstraction which precise time keeping by using hrtimers on Linux, if they are available
	8972d06: add facility for managing realtime signals
	ef2bc41: add monotonic clock abstraction pa_rtclock
	6bfeef1: rename a few things in a macro to make name collisions less likely
	531cc3c: make use of new public function pa_is_power_of_two()
	b7b119a: add pa_is_power_of_two() and pa_make_power_of_two() functions
	a0ad42a: add macro for creating static TLS objects
	b0b06b0: add more PA_PTR_TO_XXX macros
	fa7fc31: modernizations

2007-08-20	Tanu Kaskinen
	eaafb79: Modified the JACK sink heavily: * Made the sink realtime-safe. * To achieve the previous item, internal buffering was be added. New module   argument: buffersize. * Removed the user's need to set the JACK transport to playing state before he   could hear anything from PulseAudio. * In process of achieving the previous item, latency calculation got more   inaccurate: the reported latency is now always a multiple of the JACK   processing block size, and constant. * The JACK ports now have a running numbering in their names.

2007-08-16	Lennart Poettering
	2d292be: use realtime scheduling for ALSA and OSS driver threads
	876e682: never stay root after startup, even if we don't have capabilites
	5e93816: seperately get high nice level and acquire realtime sched
	d5cbf4f: Keep CAP_SYS_NICE not only in PERMITTED but also in EFFECTIVE capset
	843dcce: only suspend device when server is local
	39d1e65: truncate service names if necessary, include user name in service string
	03b0b1d: add pa_truncate_utf8() function for truncating a string and guaranteeing it stays valid UTF8 afterwards

2007-08-15	Lennart Poettering
	81cdb37: add fedora-snapshot target
	c0d6684: fix an awful race condition when handling data requests
	1ff4786: don't fail if no pa is srunning
	a96c5f8: add new tool pasuspender which temporarily suspends all sinks and resumes them later again
	33c6f9d: set CLOEXEC on more fds
	5679de5: add new commands suspend-source, suspend-sink
	d2d0978: add protocol support for muting sink inputs and suspending sinks/sources
	0640615: bump protocol revision and soname of libpulse
	b20d204: use pa_source_suspend_all/pa_sink_suspend_all for suspending all sinks/sources
	a74e804: fix muting for sink inputs
	3d92990: actually mute sinks when asked for i, add new function pa_sink_suspend_all
	6f714d9: actually mute sinks when asked for i, add new function pa_sink_suspend_all

2007-08-13	Lennart Poettering
	44f91cf: load module-x11-xsmp from a /etc/xdg/autostart file, to make sure it is loaded when we have XSMP
	80f5abf: add load-module and unload-module commands to pactl
	8a663d4: a couple of build fixes

2007-08-12	Lennart Poettering
	1d5e9f0: deactivate module-x11-xsmp by default, due to a deadlock when pa is being started from gnome-session
	e381dd9: 64 bit fixes and minor gcc shut ups
	5e96d5d: yet another new glibc build fix
	3cbcb98: build fix for newer glibc
	e6714e1: make make distcheck pass
	db7fdf6: make make dist work
	55f3d34: ship full libltdl tree in SVN to make sure we can build this crack on fedora
	b16d8e2: bump soname and stuff for fedora pre-release

2007-08-11	Lennart Poettering
	1cecd46: Resurrect ability to move streams between sinks
	79a586d: add comments describing the context these functions are called from
	3d81dde: modernize pa_play_memblockq() and add a new function pa_memblockq_sink_input_new() which allows creation of memblockq streams without activating them immediately
	14d93fc: minor cleanup
	45e4954: fix latency reporting for oss and alsa modules
	06f2799: minor modernizations
	57734ec: hook into move operations for resuming/suspending devices appropriately
	44b82a1: Add 'via DMA' to sink/source description if device is accessed with mmap()
	e71a347: restore the ability move record streams between sources
	50e014e: use single array for storing pa_core hook lists, add sink state changed hook, drop NO_HOOKS flags for sink inputs/source outputs, listen for resume events in module-suspend-on-idle.c
	a3cd800: port oss driver to make use of the default fragment sizes as defined in pa_core: store in the sink/source description whether mmap is used; if mmap() fails, fall back to UNIX read/write mode instead of bailing out immediately
	b71dde0: make sure that the device access event sound is only generated once
	447c4a5: deal with messages properly which are recieved after destruction of a stream
	107b23d: fix module-hal when no api= argument is specified
	c1c59b4: add proper refcounting to pa_asyncmsgq objects, to allow destruction from the dispatched callbacks
	f7b707b: allow destruction of pa_fdsem object that are still in 'poll' state
	e1100b5: modify alsa drivers to make use of new global fragment setting variables
	793f750: fix default device naming and fix api selection code
	a7a5f43: modernization
	e2a10de: allow setting the default sample and fragment settings from the config file
	b44ce9e: add default fragment settings variables to pa_core
	59c9ed5: move pstream item allocation to pa_flist

2007-08-10	Lennart Poettering
	d2fed9d: make revoke/release thread safe in the native protocol
	ff4814c: add callbacks for the revoke/release stuff, so that we can make this thing thread-safe
	4e145b6: if no thread-mq is attached to the current thread, return an error, don't hit an assert
	3eae903: make use of pa_thread_mq everywhere
	b3f1a13: minor update
	f7171e8: Wrap two pa_asyncmsq in a new pa_thread_mq object for bidirectional, lock-free communication between a main loop and a thread
	aff77c1: update thread test to use pa_once instead of pa_once_t
	27f75a5: Rename pa_once_t to pa_once
	d4cb042: move pa_queue to an implementation based on pa_flist
	ac49cc2: do not acces playback pa_messagq from main thread
	72840ab: minor cleanliness fixes
	357c0e4: fix closing of fds in gconf module
	ffa1708: * drop redundant pa_core argument from module initialization functions * make pa__done() implementations optional * a couple of modernizations * wrap lt_dlsym() at a single place * allow passing of an "api" argument to the HAL module, to choose whether OSS devices or ALSA devices should be picked up * optimize fd closing a little on linux in the forked gconf helper * save a little memory in the xsmp module
	e621071: fix minor memory leakage
	10b135a: avoid duplicate loading of modules
	1e5ca51: handle ACLAdded messages for previously unknown devices identically to a really new device
	3b078b2: Avoid a race condition when one PA instance gets HAL's ACLAdded message before the previous owner instance has given up access to the device, and thus the device is blocked

2007-08-09	Lennart Poettering
	d9e44c5: Add X11 XSMP module for hooking into the X11 session manager, for being notified about X11 disconnects before they actually happen, so that we are not killed by the bloody xlibs
	5831677: modernize
	3dfdb21: don't assume that sink/source is already unregistered from namereg when disconnect hook is called
	1c7b842: play ACL event sound only when gained access, not when losing it
	b751f3a: s/login.wav/startup3.wav
	02bf2f2: update default configuration
	0f15574: protect memimpors with a recursive mutex to avoid deadlock when shutting down
	e76efa9: forgot to actually add the new suspend-on-idle module source code
	bb46da3: add new module-suspend-on-idle module which suspends sinks/sources which are idle for more than 5s (or any other configurable time). Power saving, here we come\!
	9c89f37: if we get access to a device we don't know yet, add it to our tree instead of ignoring it
	30ccf9a: add a couple of additional hooks for modules to use
	ed01e1a: don't hit an assert when we cannot resume a device
	eaddc01: by default, store esd socket in /tmp/.esd-`id -u`/socket, instead of /tmp/.esd/socket, to allow multiple simultaneous esd instances. this is only compatible with a patched esd, which however ubuntu and fedora ship now. other distros need to patch their esd as well, or may pass socket=/tmp/.esd/socket to module-protocol-esound-unix
	33cd5e2: listen for HAL ACL events; play an event sound on hw coldplug, hotplug and ACL access
	0c29a2f: add new function pa_scache_play_item_by_name
	23ba125: fix bug in handling of defer events

2007-08-08	Lennart Poettering
	a69f470: modernize module-hal-detect.c and check for ALSA pcm_class != modem
	26a0246: modernize dbus-util.c
	e4e9a06: be more verbose when device does not support sampling parameters
	fedca91: Remove warning when client is too slow to handle our data
	df9522c: properly reinitialize pollfd array after resume
	54b9f55: properly reinitialize pollfd array after resume
	981d5fa: don't print error on socket read/write failure

2007-08-07	Lennart Poettering
	366d1d3: reinitialize sw params after resume
	0a6f9af: add global suspend command to cli

2007-08-06	Lennart Poettering
	1f9ce59: port esound protocol to new lock-free core
	243f2fc: minor fixes and cleanups
	74b3b6d: fix playback status querying
	455ff8d: fix a memory leak
	62790cc: fix playback over native protocol
	c306b83: initialize 'length' properly

2007-08-05	Lennart Poettering
	6775386: make sure to handle disconnecting our own connection properly
	41d67c4: minor optimization for cacheing in of samples by using posix_fadvise
	872951c: use posix_fadvise to avoid page faults when reading audio files from disk
	9d1eb1b: play memchunks completely
	bd0782e: initialize method pointers properly
	241a9e1: follow rename of pstream_close() to pstream_unlink()
	55e0866: typesafe casts
	23d01bb: Modernize pstream.[ch], reintroduce defer event to make things actually work
	36dd781: modernize play-memchunk and port it to the new core
	34e4165: minor cleanups

2007-08-04	Lennart Poettering
	81760ad: merge compat changes from trunk
	5ecaf31: compat with automake 1.10
	7455571: jack driver build fix which became apparent on fedora

2007-08-03	Lennart Poettering
	95fab18: Don't stop hardware on buffer underruns. Instead continue playing to guarantee that our time function stays as linear as possible.
	a6c44c0: Remove unnecessary snd_pcm_hwsync()
	9a4e84a: On recommendation of Takashi Iwai prefer Master volume control over PCM and don't control Mic control

2007-07-31	Lennart Poettering
	d3eca28: rename pa_source_output_new_data::corked to start_corked to match pa_sink_input_new_data::start_corked
	0defdfb: A lot of updates, all necessary to get the native protocol ported:

2007-07-28	Lennart Poettering
	a82505e: port module-alsa-source to new lock-free core
	13a4327: minor cleanups
	6afbbba: fix suspending logic
	81aa8ea: drop data from inputs only when in running state
	1615450: It is now allowed to call pa_sink_get_volume() from thread context
	8aee345: Fix suspending/resuming
	5fbb8e1: add PA_SINK_OPENED/PA_SOURCE_OPENED macros for easier checking for _IDLE or _RUNNING states
	10cb048: restore proper mixer volume control
	9dac60c: reload OSS volume after unsuspend
	dd40020: bring back alsa fd list managemet, since we need it for proper mixer change notification
	787f935: port module-alsa-sink to new lock-free core. also add mmmap'ing support while doing so.
	c7df4ba: minor modernizations

2007-07-26	Lennart Poettering
	8e4660a: Disable memory mapping if we open the device in O_WRONLY. Unfortunately we cannot do mmap() in Linux without opening the device for reading as well.
	c936e53: Fix channel remapping in resample; other modernizations
	4cc0d0a: remove some log messages
	86abfbf: remove debug messages; don't queue request messages like nothing when send file is finished
	bbb347f: properly free memblocks when skipping over them
	042cb09: make valgrind shut up regarding non-freed ident strings. other modernizations
	bc17b8e: reverse order flist destruction and mempool allocation warning
	222a6d2: Increase ref counter of sink input as long as it is included in the sink idxset
	d80fd10: properly deref sink_input/source_output objects when removing them from a sink/source
	58af737: Add fdsem to makefile
	8cdde28: reverse order of printf and push to make output more readable
	bc36932: port asyncq to make use of new fdsem object
	6ad165c: add abstracted file descriptor based semaphore object that is lock-free in the best cases

2007-07-25	Lennart Poettering
	8836396: Store strings directly in strlst elements, other modernizations
	98d36ef: fix some alignment issues and modernize file a little bit
	929526d: Convert most snprintf() calls to pa_snprintf()
	8e83838: Modernize things a little bith more
	2a43bbf: Modernize things a little
	2380ad9: add our own implementation for pa_snprintf() because NUL termination is apparently not guaranteed on windows and a couple of other libcs
	9e9dc0b: Simplify implementation of pa_assert_se()
	068f5d5: drop chunk argument from various drop() functions, since it doesn't make any sense if we want to guarantee always monotonously increasing read pointers; a couple of other fixes
	9cc20b4: update static free list usage in asyncmsgq
	e339d4b: update static free list usage in hashmap
	f42e443: destruct freelists properly, by using gcc destructors. we do this only to make valgrind shut up, not because it would have any real value during runtime
	279b1b3: wrap destructor gcc attribute in macro
	a094923: change order of munmap and freeing of memblocks

2007-07-14	Lennart Poettering
	c76d035: Fix a couple of typos in the resampler code

2007-07-13	Lennart Poettering
	2a19c46: Fix typo in pa_memblock_release() call; s/assert/pa_assert/
	65d54d6: s/assert/pa_assert/g; make use of static flist for memblock allocation where applicable; properly initialize length value in pa_memexport_put()
	0e84f04: Minor clarification
	f2c98d7: Make use of static flist for hashmap entry alllocation
	69bfa35: Actually make the static flist static
	3b912ac: Port module-sine to the new lock-free core
	8442926: Reenable a couple of more modules
	59faa5d: Remove a superfluous pa_memblock_release(); properly handle buf4 allocation
	63c231e: Fix concurrency bug when turning memblock into a local memblock
	481b425: Fix off-by-one in mixing code
	ca5874d: Replace a couple of assert()s by pa_assert()s
	ac1387d: Remove module-oss-mmap, since it is now merged into module-oss
	a42c19e: Merge module-oss-mmap into module-oss and make suspending working properly
	295e1c8: Make pa_sink_render_* and pa_source_post work only when in RUNNING state, to fix handling of monitor sources when their sink is suspended

2007-07-12	Lennart Poettering
	0a095f6: Properly initialize all revents on EINTR
	1a84664: Make sure pollfd[POLLFD_ASYNCQ].revents is properly initialized on signal
	683fc4c: fix segfault when recording with module-oss.c

2007-07-10	Pierre Ossman
	b0f692c: Make sure we link to the core to get all symbols.
	a228a51: Solaris hides inet_ntop in nsl.
	689fd70: Make -no-undefined actually work (and fix up error found by it).
	405d675: Move pthreads detection as it gets confused by things in LIBS.

2007-06-25	Lennart Poettering
	eec2fbe: Port module-oss to the new lock-free core
	6312938: remove pa_memblockq_is_writable() (because it is stupid and not used anywhere anyway, and replace all assert()s with pa_assert()s
	a482b9f: make sure we don't free the same connection twice

2007-06-24	Lennart Poettering
	6776678: Limit silence buffer size for pa_sink_render()
	de02c74: Track the 'missing' variable safely between the threads
	d873731: rework the logic of pa_asyncq
	77ebe70: Make sure the returned pa_msgobject object has a valid refcnt before returning it
	099f3f2: Include assert.h, since we use assert() for our pa_assert() macro
	a9fcd59: Fix length calculation in pa_silence_memblock_new() and make use of pa_assert() everywhere instead of assert()
	fdd3ac9: Make use of dbus_watch_get_unix_fd() instead of dbus_watch_get_fd() because of deprecation of the latter

2007-06-23	Lennart Poettering
	bb3ad9d: Update OSS driver for new lock-free core
	013a55a: remove underrun condition in pa_sinks. Instead return silence in pa_sink_render() when necessary. This is required to guarantee that the time functions in connected sink inputs stays linear
	780f736: don't handle underrun special
	f061636: drop silence generation from sink drivers
	fff9081: fix a typo and some minor optimizations
	1c9bd20: minor cleanups and optimizations
	e24c8de: Fix minor typo

2007-06-14	Lennart Poettering
	deb523e: Port module-pipe-source to the new threaded design
	94f6ab5: Fix another ugly typo, which made source outputs unusable
	e279778: use pa_memblockq_push_align() instead of pa_memblockq_push() to deal with unaligned data coming from clients
	1d7096b: Show memchunk length in debug output
	1c62ce6: Fix a nasty typo in pa_asyncq_pop
	572c77f: Remove anotify.[ch], since it is now entirely replaced by pa_asyncmsgq
	5e72ac3: rework sink input/source output state machine
	260dd1e: Make debug message more useful
	1b99fd2: Move a few things between the threads
	111dcd5: trivial cleanups

2007-06-13	Lennart Poettering
	be4a882: A lot of more work to get the lock-free stuff in place

2007-06-13	Pierre Ossman
	0694d2a: Make sure mixer ioctls work on /dev/dsp aswell.

2007-06-11	Lennart Poettering
	6911568: make untabify
	590ae20: Add new untabify makefile target
	a4fed0f: make eolspace
	00da37f: Merge HUGE set of changes temporarily into a branch, to allow me to move them from one machine to another (lock-free and stuff)
	6aeec56: add a new private branch

2007-06-11	Pierre Ossman
	14cbbe1: Support stat() and friends as some programs (audacity) likes to check if the device node is there first.

2007-06-04	Pierre Ossman
	13a4c52: Add support for the poorly documented SNDCTL_DSP_GETTRIGGER.

2007-05-29	Lennart Poettering
	1e12e0e: Kill spaces on EOL
	e4d63d0: add target "eolspace" to makefil to remove trailing newlines from all source files

2007-05-29	Pierre Ossman
	5530d32: We now use gid unconditionally, so make sure it's defined.

2007-05-28	Lennart Poettering
	67cb775: build fix for systems lacking capability suppoort. (Problem identified and original patch supplied by Diego Petteno

2007-05-27	Lennart Poettering
	707def1: Bump revision of libs and package
	918cacb: Replace AO_xxx usage with pa_atomic_xxx and friends wherever it makes sense
	6a2dffd: unfortunately we cannot detect if a foreign thread is still running. Thus sucks. But what can we do? U. Drepper thinks our use case is invalid.
	872018e: Minor optimization: read log level character code from array

2007-05-26	Lennart Poettering
	d949983: Add a new meta command ".ifexists" to the CLI language, to execute commands only if a specified file exists. Original patch from cjvdb. Closes #36

2007-05-25	Lennart Poettering
	4d88fcd: when called with the setid bit change euid to uid sooner to make sure that we can access our own files even when we dropped most capabilities. (Closes #21)
	65e8761: fix suid Makefile target

2007-05-23	Lennart Poettering
	0032642: only browse for ipv4 pa servers for now. Needs better fixing which however is not trivial and probably breaks the API
	79c94db: Fix another DoS vulnerability that has been identified by Luigi Auriemma. (Finally closes #67)
	30c52e5: add a missing initialization that causes a crash when parsing invalid volume restoration tables (Problem identified by Luigi Auriemma, re #67)
	33304ba: Fix a DoS with allocating overly large silence buffers. (Identified by Luigi Auriemma (re #67)
	4a05bc9: don't allow excessively high sample rates
	cf925b1: Fix yet another DoS vulnerability, also identified Luigi Auriemma (re #67)
	c3b5de7: fix minor typo
	f903395: Fix another DoS vulnerability, also identified Luigi Auriemma (closes #67)
	407a1b6: fix a DoS vulnerability (re #67), originally identified by Luigi Auriemma
	8e738ed: fix a few obvious copynpaste errors when handling volumes
	0e53f93: Treat empty :0.0 identically to unset :0.0 when trying to find a PA server. (Closes #87)
	312c326: Fix module-oss for devices that return EAGAIN when we don't expect it. (Closes #66)

2007-05-22	Lennart Poettering
	01ddb54: show socket directory when we fail to create it. (Closes #85)
	960b5cb: Fix build and only load OSS xor ALSA modules if both are available
	e41b91e: drop unused variable
	16dd5f7: fix comment

2007-03-07	Pierre Ossman
	9ee3981: Add support for SNDCTL_DSP_SETTRIGGER. (closes #56)

2007-03-06	Pierre Ossman
	f6023cb: Fix some instances where we printed a string without first checking that the pointer was valid.
	e042a90: Pulsecore should be linked into all modules.
	0b14c02: Don't fail if hal doesn't currently contain any devices. (closes #55)

2007-03-02	Pierre Ossman
	2b82336: Handle suspended alsa devices. Based on patch by ranma. (closes #26)

2007-03-01	Pierre Ossman
	19b17ff: Revert stuff from commit 1431 that wasn't supposed to be there.
	bb81243: Handle when ALSA tweaks our sample spec so much that the frame size changes. (closes #57).
	6ba21d4: Add some debugging output from sample cache subsystem.

2007-02-14	Pierre Ossman
	df47c7b: Add a wrapper around close() to work around Windows' ass backwards way of handling sockets.
	8bf7943: Allow a formatted string in the validation warning.
	3016c75: Prefix log lines with a character indicating level.

2007-02-13	Pierre Ossman
	06211b7: Add copyright notices to all relevant files. (based on svn log)

2007-02-12	Pierre Ossman
	1d0e8e4: Make sure we get proper host identifiers.
	de7a883: Allow specification of device number.

2007-02-05	Pierre Ossman
	f65ab1b: Don't abort config loading when the user specific cannot be loaded.

2007-01-19	Pierre Ossman
	4171f25: Make sure we report success for SNDCTL_DSP_SETDUPLEX.

2007-01-04	Pierre Ossman
	4c0a481: Report IO error on ioctl() when we're in a fatal error state.
	c992ed9: Free stream objects when they've been invalidated.
	19bd914: Fix error messages for failure connecting streams.
	521daf6: Huge trailing whitespace cleanup. Let's keep the tree pure from here on, mmmkay?

2006-12-04	Pierre Ossman
	1a460ee: Fix silly copy-and-paste error. (closes #45)

2006-11-24	Pierre Ossman
	68bcbd2: Fix incorrect assert.

2006-11-10	Pierre Ossman
	7933cba: Add atomic.h as a dependency at relevant places.
	86f4c21: Make sure we package version.h.in.

2006-11-09	Pierre Ossman
	0a37ec2: Yet again try to fix the creation of necessary directories when srcdir != builddir.

2006-11-08	Pierre Ossman
	0ef2d7e: Support reversed endian floats. (closes #28) (closes #35)
	55c25c6: Check correct variable for return value. Closes #37.

2006-11-06	Pierre Ossman
	d4ca81f: Fix some missing line breaks.
	8dc6214: Revert r1404 and keep it on a development branch until it is fully tested.
	d664492: Create branch for lock free memblock implementation.
	6ca8193: The OSS spec is unclear what should happen when a reset is requested. Let's have a nicer attitude and keep as much settings as possible.
	9776596: Handle when threaded mainloop is freed before it is started.

2006-09-26	Lennart Poettering
	d210ebb: rework memory block management to be thread-safe and mostly lock-free.
	5ad143b: upgrade refcnt.h to make use of our new pa_atomic_xxx() API
	736de36: add asynchronous inter-thread notification API

2006-09-20	Lennart Poettering
	f1021b9: enable module-hal-detect in the default configuration file only if HAL support is enabled (closes #30)
	bf83a96: rename default realtime group from "realtime" to "pulse-rt", since it is pulseaudio specific. you may still pass --with-realtime-group=realtime to configure to get the old behaviour

2006-09-19	Pierre Ossman
	71a6ceb: Revert r1398 as it broke the srcdir != builddir patch. New fix that doesn't use the $(mkdir_p) define as it isn't present on many systems.
	534eeb1: No need to create these dirs as they're part of the source tree.

2006-09-14	Pierre Ossman
	29ab939: Stop using x86-isms and use ISO C (oversized shifts are undefined).
	5f828c2: Fix debug output for SNDCTL_DSP_SETFRAGMENT.

2006-09-11	Pierre Ossman
	7726459: Fix up build structure for platform dependent modules. Also add implementation on Win32 for pa_once().
	a85b3e2: Use platform independent sleep.
	7c6088d: Fix typo.

2006-09-09	Lennart Poettering
	fc08db2: ignore flist-test in the correct dir
	6b1794d: ignore flist-test
	9358d28: update Makefile
	0e96d8b: make pa_mutex_new() and pa_cond_new() succeed in all cases. Similar behaviour to pa_xmalloc().
	3ae98db: add pa_once testing code
	d0dcde0: rework pa_once once again, because the once function needs to have terminated before pa_once returns, regardless whether the local call executes it or another thread does.
	6d53202: update for newer APIs: replace direct usage of libatomic_ops by usage of our own atomic.h; remove pa_once implementation; always use our pa_once implementation instead of the POSIX version
	3426a39: implement trival pa_once API based on atomic operations
	c89cb6a: add static initializer PA_ATOMIC_INIT()
	b93fedd: add a test program for the free list
	ee40a34: implement a simple lock-free free list

2006-09-08	Lennart Poettering
	bfaa358: add a tiny wrapper around libatomic_ops: pa_atomic_int_t and pa_atomit_ptr_t.

2006-09-07	Lennart Poettering
	791bbd8: don't maintain a list of allocated mempool slots, we don't use it anyway
	1728e3a: make pa_stream thread-safe: use new refcounting system, protect access using mutexes
	0669c99: add missing channel names (fixes a segfault when parsing invalid channel maps)
	40f18d9: fix alsa-sink example

2006-09-06	Lennart Poettering
	40ecf86: don't hit an assert in the client if posix shm is not available
	ead67cd: fix indentation
	66ec460: fix a bogus debug line
	6569199: implement a few more ioctl()s, including a subset of SNDCTL_DSP_GETOPTR. Just enough to make JavaSound work.

2006-09-04	Lennart Poettering
	e00ba02: remove yet another occurence of pthread_yield() by pa_thread_yield()
	6bbfb43: add accessor functions for the userdata attached to a pa_thread object
	3be920d: fix pa_thread_is_running() for foreign threads; fix a memory leak for foreign threads
	813e95f: port the threaded mainloop to our new abstract mutex/thread API
	8e7c2a3: make pa_thread_self() return a sensible pointer on foreign threads

2006-09-02	Lennart Poettering
	6db6c83: add missing g_type_init()
	2536ba9: rework handling of srcdir != builddir (patch from Flameeyes)
	e504e80: include PTRHEAD_LIBS in pkg-config file (patch from Flameeyes)
	b01fabf: update acx_pthread.m4
	6528b6b: allow building when srcdir != builddir (patch from Flameeyes)
	a00c3cb: fix a few autoconf warnings (patch by Flameeyes)
	11b6c45: fix esdcompat for non-gnu systems
	161c2c0: make esdcompat executable
	5fa9cdb: Merge FreeBSD compatibility patch (from Flameeyes)

2006-09-01	Pierre Ossman
	647ef18: Fix call to pa_mutex_new().
	f84c65e: Add pthread_once() equivalent support.
	3571bf1: Thread implementation for Win32.

2006-09-01	Lennart Poettering
	97202d1: fix a race condition with stream connection vs. latency measuremtn (found by theBear)

2006-08-31	Pierre Ossman
	6e3de3d: Make sure libatomic_ops.a isn't included in win32 builds as libtool doesn't like static libs in dlls. Everything is in the headers anyway, so we do not need it.
	6e9706b: Also wrap yield functionality so that it can be platform independent.

2006-08-31	Lennart Poettering
	0f6098b: work around bug in firefox which apparently misuses access() as NULL pointer test. Original patch by "alon". (Closes #27)
	aee4a37: define AO_REQUIRE_CAS in the Makefile instead of each source file, effectively reversing r1348
	7ce39d3: update todo

2006-08-30	Lennart Poettering
	2f6cc4f: fix handling of "running" variable

2006-08-30	Pierre Ossman
	ad0535b: Add AO_REQUIRE_CAS as we do.
	a6b99d5: Make sure the libatomic_ops lib is included.
	c4e47c6: Remove check for libatomic_ops library as some systems have no (zero, nada) symbols in it.
	078420a: We need to have a callback when changing volume or we might deadlock.

2006-08-29	Lennart Poettering
	b2c341f: add a threading primitive API
	5264d23: make pa_mempool_stat thread-safe/lock-free
	327e0cd: modify memory block reference counting to use the new reference counting API
	9948cb0: add lock-free reference counting macros, based on libatomic-ops
	91d8025: add libatomic-ops to hard dependencies

2006-08-28	Lennart Poettering
	a633944: fix an misdesigned assert()

2006-08-28	Pierre Ossman
	5ecbd9e: Add PulseAudio logo to tree.
	cd47673: update todo

2006-08-27	Lennart Poettering
	1ed3347: increase operation timeout

2006-08-26	Lennart Poettering
	bc87a58: bump version and sonames
	b8ea488: fix module-combine when used on top of a tunnel sink

2006-08-25	Lennart Poettering
	93e005a: update module-tunnel to latest protocol
	8ead68f: activate HAL in the default config

2006-08-24	Pierre Ossman
	aec3888: Add missing header.

2006-08-23	Lennart Poettering
	8f5b86b: fix handling of "mtu" module argument (patch by "theBear")

2006-08-23	Pierre Ossman
	2575b44: fix typo
	79c4a68: Make the recording a bit more chunky so that we can fit in the pool and have efficient blocks.

2006-08-22	Pierre Ossman
	b27ffbe: Remove silence generation in solaris module.
	d194604: Remove silence generation in waveout module.
	095f357: Proceed with connect even when no cookie is loaded. Allows you to connect to server which do not require a cookie under all circumstances.
	306aea7: Fix memory leak in waveout module.
	0249651: Log when there is a problem opening the waveOut/waveIn device.
	7bf2540: Fall back to creating a "normal" memory pool if unable to get a shared one.
	26bfce6: Improve error messages a bit.
	cf7b401: Fix up portability of memory pool handling a bit.
	10bbc4b: Fix detection of shared memory support and proper fallback.
	568c8ea: Fix typo.
	eeabf63: Add missing header.
	b5ef414: Fix call to pa_memblock_new().
	d964459: Fix detection of page size for non-POSIX systems.
	7bc7110: Fix missing header for timeval helpers.
	1c320fe: Fix calls to pa_memblock_new().
	6e3d8af: Add header for pa_cstrerror().
	8a16c73: Fix call to pa_pstream_send_tagstruct().
	25c0640: Add an ifdef for when we do not have creds.

2006-08-22	Lennart Poettering
	fef4a20: update todo
	22d8e0e: fix typo

2006-08-21	Lennart Poettering
	26201b2: fix pactl output (sink drivers and names where switched)

2006-08-19	Lennart Poettering
	3d32b96: update todo
	3dbc4ae: restore the sink/source for a client in addition to the playback volume. This changes the file format of the table file. To avoid parse errors ~/.pulse/volume.table has been renamed to ~/.pulse/volume-restore.table
	bffde5d: If a client leaves the sink/source for a stream unspecified by passing NULL as sink/source name sink/source we should pass NULL to pa_sink_input_new()/pa_source_output_new() as too. This allows hooks to change the sink/source device only if it is left unspecified by the client
	bf62e77: fix a bad memory access
	ce11b1f: update todo
	c0b3e8b: when transferring large memory chunks of a pa_pstream, split them up
	79b2628: update todo
	84d1d3e: update todo
	b642325: check for posix_memalign and friends
	3e0f00f: if MAP_ANONYMOUS is not supported use posix_memalign if possible to allocate the memory pool
	d50c56a: update todo
	c6ca9a8: print per-type memory block statistics on "stat"
	57f0b08: generate per-type memory block statistics
	16ff83f: update todo
	af87c7d: rework the resample to allocate temporary memory with pa_memblock_new() instead of pa_xrealloc()
	521d15b: fix a memory leak
	1b7fff3: update todo
	47c7a14: add --disable-shm command line option to the daemon
	a8519d5: add "disable-shm=" to default daemon configuration file
	dbc658d: add new "disable-shm" server config option
	c9b6d55: add default "disable-shm" option to client.conf
	d785b8f: add new "disable-shm" option to client.conf
	206ac6f: allow importing of external shm data blocks unconditionally, even when local SHM support is disabled
	046bdd9: deal properly with pa_mempool_new() failing
	8c9bdb8: fix allocation of anonymous memory
	c2db5f8: fix a memory leak

2006-08-18	Lennart Poettering
	c979b87: update todo
	40875d6: enable SHM support on the client side only if both the client and the server run as the same user and the server supports it
	e33abc3: activate SHM support on the server side only when new client supports it and when client and server have the same UID.
	c313b23: one s/0/NULL/
	7ac7909: remove export/import objects when SHM is disable for a pa_pstream object
	fd3fe96: add new function pa_mempool_is_shared() to test whether a memory pool is suitable for SHM data transfers
	7e01b1c: hide memblock-test
	e385d93: remove all occurences of
	1bc62d5: rework logging subsystem, to implicitly include __FILE__ in pa_log() calls. In addition we now record the line numbers and function names of pa_log calls. However, those are only shown If $PULSE_LOG_META is set.
	666eca3: update todo
	8ebef4d: look for shm_open in -lrt
	35caf0c: add new test memblock-test for testing SHM import/export
	c3fc2ea: update tests for new memory manager
	0e436a6: Rework memory management to allow shared memory data transfer. The central idea is to allocate all audio memory blocks from a per-process memory pool which is available as read-only SHM segment to other local processes. Then, instead of writing the actual audio data to the socket just write references to this shared memory pool.
	ff48681: add abstracted shared memory API
	20d0823: fix a bad type cast
	dfa17b9: cleanup hashmap.[ch] a little: use hash/compare func prototypes defined in idxset.h, add pa_hashmpa_{get,steal}_first
	8be0cf6: cleanup idxset.[ch] a little: define proper types for the hash/compare funcs, do ptr->int/int->ptr conversions with clean macros

2006-08-17	Lennart Poettering
	c3df1ce: fix a PA_LLIST_HEAD_INIT invocation
	a847f74: add missing #include
	d890660: modify pa_bytes_snprint() to return the string we just wrote to. This should be binary compat with older versions which returned void
	99db067: make PA_LLIST_HEAD_INIT thread safe

2006-08-15	Lennart Poettering
	1c3bfc4: use the description field of sinks/sources to name the zeroconf services, instead of the logical name

2006-08-14	Pierre Ossman
	6c39af7: update todo

2006-08-13	Lennart Poettering
	5d8d916: update todo
	2bf4653: extend module-rescue-streams to move also source outputs when a source dies
	3334814: fix a segfault when registering a service with avahi fails
	cdb173f: create rtp source output on correct source
	d182a0b: minor optimization
	a75e1ed: implement hook_source_ouput_new. For this I modified the pa_source_output_new constructor to take a struct similar to what I already did for pa_sink_input_new()
	e0f7e86: split a validity check into two
	79cb80c: implement hook_source_disconnect
	8f91b1f: define new hooks: hook_source_output_new, hook_source_disconnect
	a09a49e: update todo
	a7b9a7d: Load module-rescue-streams by default
	dd87061: implement new module "module-rescue-streams" which moves sink inputs away when their sink is removed.
	8180832: properly implement a pa_sink_disconnect() hook
	87e64d5: Clean up module description a little
	abbabd8: ignore if we recieved a memory block for an invalid stream, since this might happen unwillingly due to the asychnronous nature of the protocol
	72cf211: remove pa_sink_input::variable_rate field since it has been folded into pa_sink_input::flags
	3beef50: hide hook-list-test
	b37ad1f: modify module-volume-restore to change the initial volume of a sink input from a hook instead of an asyncronous subscription event.
	a621d90: allow hooking into the process of creating playback streams. To implement this I modified the pa_sink_input_new() signature to take a pa_sink_input_new_data structure instead of direct arguments.
	b5cbea9: fix bad printf()
	db3f561: rework hook list stuff once again: change the callback prototype to recieve three data pointers: one to the data for the hook, once for the slot and once for the call
	281125c: rework hook list stuff again, and replace macros with real functins. We loose type safety but things are much cleaner now

2006-08-12	Lennart Poettering
	2622b0c: update hook list test
	82a913d: reall add type safe hook list
	80d73dd: implement typeafe hook chain
	7f70ca3: extend maximum sink/source name length, because HAL UDIs can get ridiculously long
	17964dd: update todo
	02e083c: test if sink->monitor_source is set before making use of it
	dbe6bdd: make use of pa_sink_used_by()/pa_source_used_by() wherever applicable
	b5207fc: add pa_sink_used_by()/pa_source_used_by()
	b45c392: categorize todo file
	28f86ea: name the sink/source after the device file, just like we already do for the non-mmaped driver
	bf79e97: generate default sink/source names from the device files they belong to
	0050176: update todo
	4c9c426: handle hot-remeving of OSS devices properly
	3cfed30: print the device capabilities after opening the device
	fbeeb8b: when the requested sample format is not available for OSS devices, print a nice warning and take what we can get instead
	0547b0f: there's no need to queue subscription events if noone is listening, hence don't do it!
	c86890d: * only load an OSS driver for the first device of a sound card, similar to what is done for ALSA. * fix a mem leak
	7fa0744: fix a segfault in module-oss
	2d70271: fix pa_gettimeofday() return value testing
	adfa76c: update todo
	365ceec: update todo
	3aba099: clean up event generation a little: suppress unnecessary events and generate new ones on owner change
	47d009a: rework subscription code: try to drop redundant queued events
	f8e5f47: fix a compiler warning
	e9d9356: add new macro PA_LLIST_INSERT_AFTER
	1e12c75: update todo
	8da9b94: allow setting the null sink description by a module parameter

2006-08-12	Shahms E. King
	bb96156: increase module argument buffer size to prevent truncating names

2006-08-11	Lennart Poettering
	bfa6604: don't set the sink/source descriptions manually, use the new functions pa_{sink,source}_set_description() instead
	af1b031: comment which values in pa_{sink,source,sink_input,source_output} structures may be NULL
	c90dd53: * introduce new functions pa_sink_set_description() and pa_source_set_description() for changing the description of a sink/source * allow sinks without monitor sources attached
	0aebc03: update todo
	bfff23d: shorten sink/source device descriptions a little
	1d7b8e1: use the HAL UDI for naming input/output devices
	539612a: do not export name validity checking routes and apply them only to sink/source names, not sample names
	e1316f5: fix bad memory access and a leak when detructing ALSA fd lists
	576c4dd: rework name register a litle to only allow "valid" names.
	bf854c4: Build HAL support only when either OSS or ALSA is available
	dcd3acc: remove OSS specific code from module-hal-detect if HAVE_OSS is not set. Same for ALSA
	7a4e1c9: ALSA: handle write()/read() errors properly by unloading the driver module. This should fix problems when removing USB audio device while pulseaudio is running.
	b0b968d: change order of the ALSA event dispatch code to make sure that the code survives if the event dispatcher frees the ALSA client
	59f1a67: use the copied udi string as hash key for the device table, because the temporary one is freed when the function exits

2006-08-08	Shahms E. King
	7ee7a23: add HAL support for OSS devices and capability changes

2006-08-07	Shahms E. King
	b382df5: clean up hal patch to use pa_xnew and timeval compatibility wrappers

2006-08-07	Lennart Poettering
	5d8ccfd: try to reduce volume updates in the ALSA sinks/sources: only touch the shadowed hw volme if necessary

2006-08-06	Lennart Poettering
	d953870: * add SVN $Id$ tags * add a const
	050b739: merge HAL support from Shams E. King

2006-08-03	Lennart Poettering
	f74e5ef: update todo
	ad95c96: implement "pactl move-source-output"
	e52436b: implement pa_context_move_source_output_by_{name,index}()
	5fdc39d: wrap pa_source_output_move_to() in the native protocol
	1c45061: add new CLI command move-source-output as wrapper around pa_source_output_move_to()
	2d00de5: Implement pa_source_input_move_to() for moving record streams between sources
	ddc69fc: - don't call pa_sink_notify in pa_sink_input_new() because the virtual methods are not yet initialized at this time - some minor cleanups

2006-08-01	Lennart Poettering
	7f93d08: bump API and protocol version. Return PA_ERR_NOTSUPPORTED if pa_context_move_sink_input_by_*()is called for servers that don't support it

2006-07-31	Lennart Poettering
	bc30e2d: add new "move-sink-input" command to pactl
	bb9b087: wrap PA_COMMAND_MOVE_SINK_INPUT for libpulse
	785477b: add new native protocol function for moving sink inputs between sinks
	304fcbb: add new commands opcode for moving sink inputs and source outputs
	ccf67d2: deal properly with recursive module unloading
	e2e94ca: fix bad memory access if a non-existing entry shall be removed from a pa_idxset by index

2006-07-29	Lennart Poettering
	d7ee1bc: fix module-gconf initialization
	646deea: don't hit an assetr if there are operations outstanding when the pa_context is destroyed
	a7cf5e0: fix two typos (pierre, have you been sleeping? next time please the comments wrong but the code right, not the other way round! ;-))
	a1e8b09: add new CLI function "move-sink-input" as wrapper around pa_sink_input_move_to()
	5e92950: * implement "hot" moving of playback streams between sinks (pa_sink_input_move_to()). * optimize the adjusting of the volume in pa_sink_input_peek() a little
	4dd3b31: free the memblockq if we decide not to play it
	f15b4c7: if the memblockq is empty, return -1 in all cases
	9310a2e: fix calculation of pa_usec_to_bytes, to make sure that it never returns fractions of a frame size
	b325e07: handle EOF correctly if it is read before the stream was created

2006-07-28	Lennart Poettering
	d1db037: for the playing field of pa_timing_info use pa_sink_input::state == PA_SINK_INPUT_RUNNING. This means that this variable will now refer to the current state and not to the expected future state, which is probably more what clients expect.
	f1c4611: fold the seperate variable pa_sink_input::playing into pa_sink_input::state as state PA_SINK_INPUT_DRAINED. The following mappings hold:
	12aa842: introduce pa_play_memblockq() which creates a playback stream and passes the data from the memblockq to it. after that is done, frees the memblockq

2006-07-27	Lennart Poettering
	ecd4655: update todo
	c21f88c: load module-gconf in default install
	0dea223: introduce three virtual sink/source names: @DEFAULT_SINK@, @DEFAULT_SOURCE@, @DEFAULT_MONITOR@. Especially the latter is useful for connecting to the monitor source of the default sink.
	fec7e9b: if possible do not unload already loaded modules when the gconf settings change. instead try to reuse already loaded modules as much as possible
	87d4f0b: because gconf doesn't provide real transactions we emulate our own with a "locked" gconf key
	6afb61e: remove superfluous code

2006-07-26	Lennart Poettering
	358e577: remove two superfluous lines
	0d7be31: mainloop fixes: when disabling time events when dispatching them, make sure to adjust the cache time event and enabled time event counters
	b2ad9a9: add some protection that the gconf helper process will be killed when the daemon process dies. make sure the gconf helper process doesn't keep open file descriptors belonging to the daemon; if gconf helper path
	f5d29ac: add missing configure.ac checks for module-gconf
	cc1d821: add new module "module-gconf" which reads configuration information from gconf. this will be used in my upcoming paconf module

2006-07-25	Lennart Poettering
	61ce8bb: add new command line option --no-cpu-limit. This is useful when running PulseAudio in valgrind's massif or callgrind tools
	563fab9: Results of profiling PulseAudio with valgrind's callgrind module: rework the default event loop implementation to use PA_LLIST_xxx instead of pa_idxset; don't generate weakeup events if we aren't in STATE_POLLING; minimize dispatching of io events; cache next time event instead of traversing the list of time events on every event loop iteration; other optimizations
	216bdd4: split a few asserts
	32444f0: split a few assert()s
	c41d749: add a few more g_assert()s and change all assert()s to g_assert()s

2006-07-24	Lennart Poettering
	675bf2f: add autogen.sh for jhbuild (for you, elmarco!)
	0f8f5bc: bump version and sonames

2006-07-23	Lennart Poettering
	3aac893: add massif target to Makefile
	c85351b: as a result of memory profiling with valgrind/massif: decrease default hash table size from 1024 to 127. the hashtables are sparsely filled most of the time, so there is no point in allocating to much memory by default.
	95eee87: update todo

2006-07-22	Lennart Poettering
	07a1c45: fix horribly broken glib timeout event handling

2006-07-21	Pierre Ossman
	b345af2: Use proper @libdir@ in pc.in files to handle x86_64 machines.

2006-07-21	Lennart Poettering
	a84a2f9: raise the default value for RLIMIT_NOFILE to 200 since 25 is apparently too small if every single GNOME apps thinks it needs to create its own server connection!

2006-07-20	Pierre Ossman
	09e01af: Get ACL:s to work on Win32.
	4a59581: Fix incorrect call to nonexistant pa_log_warning().
	0762af2: Only warn when running as root and not --system.
	f3d4924: Centralise check if we're running as root.
	57d8a31: Move check for SUID into the caps functions.
	8d2dc9c: Handle user switch in a more platform independent manner.
	b12f29d: Make sure parse_rlimit is only used when rlimits are supported.
	246e30a: Add missing header.
	a3e7595: Make -1 mean "current group/user" so that some platform dependent calls can be centralised.
	7ba93eb: Protect platform dependent headers with ifdefs.
	2ad6938: Remove unneeded headers.

2006-07-20	Lennart Poettering
	40b4089: remove access group setting from default client.conf
	55e97b8: fix a few @@ replacments
	6ad1f33: even more FreeBSD portability (thanks Flameeyes, again!)
	90b521d: add missing #ifdef HAVE_CREDS (thanks, Flameeyes)
	2683f25: some more FreeBSD compat from Flameeyes
	b3d3d16: bump release and sonames
	da1ec27: remove configurable client access group, since can never work on Linux anway, since SCM_CREDENTAILS doesn't allow sending supplementary GIDs
	dd5fd8d: update todo
	44beeaa: implement "auth-ip-acl=" in the native and esound protocols
	db75f68: actually ship src/pulsecore/creds.h in the tarballs
	30ada90: add IP address ACL subsystem
	2409f1a: add support to set resource limits for the daemon and set some of them to some sane values
	0ff247d: undo r1111 in some way: include sys/socket.h and sys/un.h but wrap it in #ifdef HAVE_xxx_H. This should be safe because config.h should be the first included header in all .c files and creds.h is never included by any external tools

2006-07-19	Lennart Poettering
	703bb49: add a few comments
	a382492: * add new function pa_check_in_group() * abstract credential APis a little bit by introducing HAVE_CREDS and a structure pa_creds * rework credential authentication * fix module-volume-restore and friends for usage in system-wide instance * remove loopback= argument from moulde-*-protocol-tcp since it is a superset of listen= and usually a bad idea anyway since the user shouldn't load the TCP module at all if he doesn't want remote access * rename a few variables in the jack modules to make sure they don't conflict with symbols defined in the system headers * add server address for system-wide daemons to the default server list for the the client libs * update todo
	340803b: use access group dedclared in ~/.pulse/client.conf instead of PA_ACCESS_GROUP
	2b31a90: update @@ tokens according to recent Makefile.am change
	45a9a8b: fix sed scripts according to #define renames
	9c87a65: * add new --system command line parameter to the daemon for running PulseAudio as system-wide instance * add PA_ prefixes to all global #defines * modify auth-by-creds: define a new group "pulse-access" which is used for authentication * add proper privilige dropping when running in --system mode * create runtime directory once on startup and not by each module seperately

2006-07-18	Lennart Poettering
	9db7068: remove glib 1.2 adapter. It started to bitrot and wasn't used by anything anyway.
	d7cdaf2: add two more \since
	f4ec7d4: fix module-detect on FreeBSD (patch from Diego "Flameeyes" Pettenó)
	2c2abbb: turn the glib adapter into a single GSource instead of creating a bunch of seperate GSources for each event
	ddd5acf: define proper typdefs for callback prototypes

2006-07-17	Lennart Poettering
	64d87ac: change licensing blurb form "Library GPL" to "Lesser GPL" on request of Loic Minier. Effectively this means using the same license blurb like in all other source files.

2006-07-17	Pierre Ossman
	f5afb7b: Forgot to protect one access to with_creds with an ifdef.
	4b352e5: Restore SIGPIPE warning when the platform doesn't have MSG_NOSIGNAL.

2006-07-16	Lennart Poettering
	ba31adc: make pulseaudio compile again on FreeBSD (patch from Diego "Flameeyes" Petteno)
	e45b1dc: todo
	9ced7f6: show summary after "configure" has run (closes: #22)
	3b2843d: show value of PA_SINK_HARDWARE/PA_SOURCE_HARDWARE in pactl
	b91dd23: set is_hardware flag for a few hw plugins
	494fa68: add new PA_SOURCE_HARDWARE/PA_SINK_HARDWARE flag
	6e38949: add a new boolean variable is_hardware to pa_sink/pa_source to denote wether the specific device is a hardware device or virtual/software

2006-07-15	Lennart Poettering
	a537b01: update todo

2006-07-14	Lennart Poettering
	55a8db8: improve latency calculation of NULL sink
	d43bcb3: update todo
	b8f9ae0: remove checking for SIGPIPE blocking from client code. Because we use send(,,MSG_NOSIGNAL) for most socket writes now the reason for SIGPIPE blocking is no longer give. We keep this check for the server side however, because pipes create SIGPIPE too but cannot be used with MSG_NOSIGNAL. Some modules use pipes for internal and external communication.
	fc544a6: don't send SCM_CREDENTIALS on every sendmsg(), instead do it only on handshake
	3eeecdc: don't set MSG_NOSIGNAL for recvmsg(), since it doesn't make sense there
	860be2e: try to use send(,,MSG_NOSIGNAL) instead of write() wherever possible (which will allow us to drop the SIGPIPE check). Cache the results of the last write()/send() to make sure that we do not issue more than necessary system calls.
	350a253: remove vi'ism
	dfd864a: update todo
	883ce83: add new test get-binary-name-test for testing pa_get_binary_name()
	a87c43d: Don't call pa_path_get_filename() anymore since it is implicitly called by pa_get_binary_name() anyway
	881d4dd: * fall back to prctl(PR_GET_NAME) in pa_get_binary_name() if readlink() fails * call pa_path_get_filename() in all cases before returning in pa_get_binary_name(). We already did so on Win32, but didn't on Linux.

2006-07-14	Pierre Ossman
	82e680c: Make sure the win32 default conf gets shipped.

2006-07-13	Lennart Poettering
	5529604: support time events with NULL timevals which are OK in avahi, but not in PA. This makes padevchooser actually work on top of the new avahi browsing stuff
	7484b62: update todo
	ceb1b6f: remove avahi/howl item from todo list
	3f0f4f5: remove howl-wrap.[ch]
	6f24a9d: remove HOWL snippet from configure script
	1fd18d6: * add proper error handling to pabrowse.c * properly destroy pa_browser object on exit
	d989c69: add browser.h to doxygen docs
	76f93a0: * port libpulse-browse to use the native avahi API instead of the HOWL cruft * add new function pa_browser_set_error_callback() * add doxygen docs to browser.h
	3a81620: update module-zeroconf-publish to make use of the native AVAHI API, instead of HOWL
	10f7a64: make sure gccmacro.h and cdecl.h may be included at the same time as those headers from the avahi project
	8162164: check for avahi in configure.ac

2006-07-10	Lennart Poettering
	3428f03: mark HAL for shams king

2006-07-08	Lennart Poettering
	9c96bdc: * remove doc/ directory * move doc/todo to root dir
	f87f3c8: unhide a few files

2006-07-08	Pierre Ossman
	e12ead7: Remove some unused m4 files.
	eb4abb2: Fix typo.

2006-07-07	Lennart Poettering
	e16cdb5: remove all docs from tarball since they are now available on pulseaudio.org
	9a778bd: s/avahi/pulseuaiod/
	7fe5e5f: replace remaining ML refs to polyp
